# Generate automatically. Do not edit.

commit fd9997b67ca6d3ba62e5a854263d534ba1ad12b4
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-15

    Release version 3.6.1

 NEWS         | 7 +++++++
 configure.ac | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 8845d946f407539646abfca84a3fe8e6c3b8fed3
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-15

    gcr: Remove unneeded translation
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685602

 gcr/gcr-pkcs11-import-dialog.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 591c515fa88adb698a9d736874073accf85116bf
Author: Marek Černocký <marek@manet.cz>
Date:   2012-10-07

    Updated Czech translation

 po/cs.po | 739 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 398 insertions(+), 341 deletions(-)

commit dc8def89ed789bbb84efb9fc529b55e319451c71
Author: Alexander Shopov <ash@kambanaria.org>
Date:   2012-09-29

    Updated Bulgarian translation

 po/bg.po | 739 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 397 insertions(+), 342 deletions(-)

commit 6886a96b0c6bdb52c0d1479d24d72ca7707880c4
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   2012-09-27

    Updated Russian translation

 po/ru.po | 107 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 49 insertions(+), 58 deletions(-)

commit fcd65c6dae9ce51ce0fabafc66af98766e5a879e
Author: Stef Walter <stefw@gnome.org>
Date:   2012-09-20

    gck: Fix tests with p11-kit 0.13 and later
    
     * p11-kit now encodes all characters in the 'id' part of a PKCS#11 URI
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684477

 gck/tests/test-gck-uri.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cc771b6644b326b1e49347ed5835cc390772e7ef
Author: Stef Walter <stefw@gnome.org>
Date:   2012-09-20

    gck: Fix warnings printed by p11-kit during tests
    
     * Don't pass invalid data to the mutex functions in an effort
       to test them, while running other tests.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684476

 gck/gck-mock.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4776790b0f3f5ce9ce6a7909022746409c24a5a3
Author: Stef Walter <stefw@gnome.org>
Date:   2012-09-19

    gck: Keep enumerating if getting info about one slot fails.
    
     * This is happening with the opensc PKCS#11 driver.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684359

 gck/gck-enumerator.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 6ea2c2740fd8f62e59189e823a93c4c9b2d5bfde
Author: Stef Walter <stefw@gnome.org>
Date:   2012-09-19

    gcr-viewer: Clear and focus password entry when password invalid
    
     * When user tries to unlock something in the gcr-viewer, and
       types an invalid password, focus the password entry, and
       clear it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684356

 gcr/gcr-unlock-renderer.c | 16 ++++++++++++++++
 gcr/gcr-unlock-renderer.h |  5 +++++
 gcr/gcr-viewer-widget.c   |  2 ++
 3 files changed, 23 insertions(+)

commit ac1c213390a4fc97d0ecedd04f5e7bbce468b0c6
Author: Stef Walter <stefw@gnome.org>
Date:   2012-09-25

    Release version 3.6.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit c7aec6b37b047839ba10e48a67c5df649b799036
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   2012-09-24

    Updated Telugu Translation

 po/te.po | 630 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 353 insertions(+), 277 deletions(-)

commit 0180494fc397467dadc87ae1adc8b07fb3c434ac
Author: A S Alam <aalam@users.sf.net>
Date:   2012-09-24

    update Punjabi Translation

 po/pa.po | 62 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 28 insertions(+), 34 deletions(-)

commit a78f775493e2c7178643fd562c09a28c2946cae6
Author: Tobias Endrigkeit <tobiasendrigkeit@googlemail.com>
Date:   2012-09-23

    [l10n] Updated German translation

 po/de.po | 36 ++++++++++++++----------------------
 1 file changed, 14 insertions(+), 22 deletions(-)

commit 90cc078c2d7967b9e683985e453221539e6379c9
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   2012-09-23

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po | 733 +++++++++++++++++++++++++++++-------------------------
 1 file changed, 390 insertions(+), 343 deletions(-)

commit 2c078f57140c2628f712b8705bbce55983175f7b
Author: Joan Duran <jodufi@gmail.com>
Date:   2012-09-23

    [l10n] Updated Catalan translation

 po/ca.po | 736 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 392 insertions(+), 344 deletions(-)

commit 23be88ec29ede53ba3e73f934cbb56e9cf3abff9
Author: YunQiang Su <yqsu@src.gnome.org>
Date:   2012-09-23

    update Simplified Chinese (zh_CN) translation

 po/zh_CN.po | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 57bc638dc896d05464deeb3615a492185d307c4b
Author: Ani Peter <apeter@redhat.com>
Date:   2012-09-23

    Updated Malayalam file

 po/ml.po | 873 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 453 insertions(+), 420 deletions(-)

commit cc887bb4227b3196d05a6807c643c77ea7b90688
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   2012-09-22

    Updated Latvian translation

 po/lv.po | 808 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 431 insertions(+), 377 deletions(-)

commit dd752c3124268860bf4c1ddadfd5600f9568a005
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   2012-09-22

    Updated Thai translation

 po/th.po | 745 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 397 insertions(+), 348 deletions(-)

commit fb1a1aec88b3d7b77eaf2238399430eab5341783
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   2012-09-22

    hindi update

 po/hi.po | 831 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 435 insertions(+), 396 deletions(-)

commit 6e5cba831ba2173d77dc83c92175e3374e180065
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   2012-09-21

    Updated Russian translation

 po/ru.po | 704 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 388 insertions(+), 316 deletions(-)

commit ee5b9f237265979dba43afad9f06efa99c87c7aa
Author: Milo Casagrande <milo@ubuntu.com>
Date:   2012-09-20

    [l10n] Updated Italian translation.

 po/it.po | 36 ++++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)

commit e09c73a0ec73476043dafcddba67e0a0d9b5fa5c
Author: Stef Walter <stefw@gnome.org>
Date:   2012-09-18

    Release version 3.5.92

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 1ac90e02768ec3e3122dafec471effa1ee05c70c
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   2012-09-17

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 741 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 396 insertions(+), 345 deletions(-)

commit 07034ebc38f2971d5ae342f7b1e2edf8d1069d92
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2012-09-17

    Updated Korean translation

 po/ko.po | 63 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 32 insertions(+), 31 deletions(-)

commit 37d162c1ac7dcda3c629c996f10994ab9621d4e1
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   2012-09-16

    Updated Danish translation

 po/da.po | 737 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 399 insertions(+), 338 deletions(-)

commit a47d53e346f94f31125ea60f7c645c0b66a77a15
Author: Timo Jyrinki <timo@debian.org>
Date:   2012-09-15

    Finnish translation update by Jiri Grönroos

 po/fi.po | 728 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 404 insertions(+), 324 deletions(-)

commit 07614b39752199ce6ff79cf817ddf976884c48ff
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2012-09-15

    Updated Korean translation

 po/ko.po | 736 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 396 insertions(+), 340 deletions(-)

commit e2fed9914d2a3a071da6db02cacdd295965ecbe3
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   2012-09-12

    Updated Greek translation

 po/el.po | 194 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 78 insertions(+), 116 deletions(-)

commit 964bc66264a05c3b7adf1695db5a4fe4821a0776
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   2012-09-12

    Updated Slovenian translation

 po/sl.po | 102 +++++++++++++++++++++------------------------------------------
 1 file changed, 34 insertions(+), 68 deletions(-)

commit 8bc35a26ffab6ef4bb7d7bb7dbf7282483496ca9
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   2012-09-11

    uk update

 po/uk.po | 1080 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 557 insertions(+), 523 deletions(-)

commit eea824cb5c9e2df3bc103a88e6594f9a7b501f75
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   2012-09-09

    Updated Portuguese translation

 po/pt.po | 743 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 396 insertions(+), 347 deletions(-)

commit d9d1a393fca289406cf6d6ff18bff8ab585aaa49
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   2012-09-09

    Updated Belarusian translation.

 po/be.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit f3dbc03d31aec00c794f9e781bff86bd529139d5
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:   2012-09-06

    l10n: Added Persian translation

 po/fa.po | 745 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 402 insertions(+), 343 deletions(-)

commit 4875c2ee1d4fda1fe602c197b70508226076f5cf
Merge: b4459ca ae3afcd
Author: Stef Walter <stefw@gnome.org>
Date:   2012-09-06

    Merge tag '3.5.90'
    
    gcr 3.5.90:
     - Updated translations
     - Don't fail preconditions when pkcs11 isn't initialized in gcr
     - Fix regression in ASN.1 parsing
     - Build fixes
    
    Unfortunately I screwed up pushing the relevant release commit for
    3.5.90. The actual commit lives on the 3.5.90 tag, as if the release
    was made from that tag.

commit b4459ca574a61aa7d0863d0b010e98a7ab9631e6
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   2012-09-05

    updated Tamil translation

 po/ta.po | 736 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 393 insertions(+), 343 deletions(-)

commit 1f2b2ffa943345308ec14086a215f11b8889e036
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   2012-09-05

    Update French translation

 po/fr.po | 740 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 399 insertions(+), 341 deletions(-)

commit 34fbacfd61c98f53dd1244bf6d49af7980f0d0bf
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   2012-09-05

    Updated Hungarian translation

 po/hu.po | 738 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 400 insertions(+), 338 deletions(-)

commit df60d0c82c2a8f9a9feb8b7fd36553ae94318bd4
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   2012-09-04

    Updated British English translation

 po/en_GB.po | 742 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 396 insertions(+), 346 deletions(-)

commit f5c089e498b864412cdb2042d56e2ddce79e0518
Author: Milo Casagrande <milo@ubuntu.com>
Date:   2012-09-03

    [l10n] Updated Italian translation.

 po/it.po | 739 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 400 insertions(+), 339 deletions(-)

commit 6114cbc023d31d1b705c135bad1a864ea82e06bb
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2012-09-03

    Updated Polish translation

 po/pl.po | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 02a221538827bac067578b835f711ee83f2873d2
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   2012-08-22

    Updated Vietnamese translation

 po/vi.po | 77 ++++++++++++++++++++++++++++------------------------------------
 1 file changed, 34 insertions(+), 43 deletions(-)

commit 89514dcf3a8911f1f0513b13f5d02fad2a20fb4c
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   2012-08-22

    po/vi: imported from Damned Lies

 po/vi.po | 54 +++++++++++++++++++++++++++---------------------------
 1 file changed, 27 insertions(+), 27 deletions(-)

commit bcc2c9515ac2fc2935934dde096832dfe2b88aaf
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2012-08-22

    Updated Polish translation

 po/pl.po | 77 +++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 37 insertions(+), 40 deletions(-)

commit ae3afcd97e82bccf40045c9510213bb41c825422
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-20

    Release version 3.5.90

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 019184853c197fc16d870ed0f501ed2e7e88976d
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2012-08-17

    Updated Galician translations

 po/gl.po | 76 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 39 insertions(+), 37 deletions(-)

commit a6fe45ce4038e0db89f0bf4b0643cdd474e1658f
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-26

    gcr: Don't fail preconditions when pkcs11 isn't initialized
    
     * Callers should initialize pkcs11 early, because initialize can
       be a long running call, and should be handled appropriately in
       the user interface.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680652

 gcr/gcr-library.c | 28 ++++++++++++++++++++++------
 1 file changed, 22 insertions(+), 6 deletions(-)

commit 54f5587cd309f3991c12000c6bfb28fad41934f8
Author: Xan Lopez <xan@igalia.com>
Date:   2012-08-09

    gck: respect silent build option in cp command

 gck/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7f18d97354042cc6f95ebba0a4a4089ab891e066
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-01

    asn1x: Fix assertion in loading of default integer

 egg/egg-asn1x.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit fc0ad2f2eb09ce746f6267489517ea120ad6c7fc
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-06

    Release version 3.5.5

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit cf049d1b22d5e2cdf56ceccdaaa0023e40486287
Author: Evan Nemerson <evan@coeus-group.com>
Date:   2012-07-19

    Use p11-kit/pkcs11.h instead of shipping a copy with gck.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680271

 gck/gck-debug.c                    |    2 +-
 gck/gck-mock.c                     |    2 +-
 gck/gck-mock.h                     |    2 +-
 gck/gck-test.c                     |    2 +-
 gck/gck-test.h                     |    2 +-
 gck/gck.h                          |    2 +-
 gck/pkcs11.h                       | 1358 +-----------------------------------
 gck/pkcs11i.h                      |    2 +-
 gck/pkcs11x.h                      |    2 +-
 gck/tests/Makefile.am              |    2 +
 gck/tests/mock-test-module.c       |    2 +-
 gcr/gcr-openssh.c                  |    2 +-
 gcr/tests/Makefile.am              |    6 +-
 gcr/tests/test-certificate-chain.c |    2 +-
 gcr/tests/test-trust.c             |    2 +-
 15 files changed, 20 insertions(+), 1370 deletions(-)

commit c8390b4f5d6db2da3f70a6a7bc6fff864d3059a4
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-01

    gcr: Dump issuer and subject raw dns in frob-certificate
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681149

 gcr/tests/frob-certificate.c | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 72520b807a8b66f226f672f92384a3d25c81c9ca
Author: Dan Winship <danw@gnome.org>
Date:   2012-07-31

    gcr: fix declaration of GcrParser::authenticate

 gcr/gcr-parser.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 547c74f75bc2f592ade7d46971b2806e07698763
Author: Dan Winship <danw@gnome.org>
Date:   2012-07-31

    gcr: minor gtk-doc fixes

 gcr/gcr-collection.c      |  4 ++--
 gcr/gcr-parser.c          | 22 +++++++++++-----------
 gcr/gcr-renderer.c        |  2 +-
 gcr/gcr-system-prompter.c |  2 +-
 4 files changed, 15 insertions(+), 15 deletions(-)

commit 779f5b0f482d87e0c580f8131068dd95bb1dc527
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   2012-07-31

    Updated Serbian translation

 po/sr.po       | 810 ++++++++++++++++++++++++++++++---------------------------
 po/sr@latin.po | 795 +++++++++++++++++++++++++++++--------------------------
 2 files changed, 854 insertions(+), 751 deletions(-)

commit 580d5f775d3ac5516a6c8146d9320b1d2c33785e
Author: Tobias Endrigkeit <tobiasendrigkeit@googlemail.com>
Date:   2012-07-28

    Updated German translation

 po/de.po | 745 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 403 insertions(+), 342 deletions(-)

commit a89c8ee325fa54cf0abbd202c987664636c8673e
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   2012-07-25

    Updated Greek translation

 po/el.po | 119 ++++++++++++++++++++++++---------------------------------------
 1 file changed, 46 insertions(+), 73 deletions(-)

commit 2d9fe36645ea7109596b8e0349b2a342fcc1bc6d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2012-07-23

    Updated Norwegian bokmål translation

 po/nb.po | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit e6b0fdc2c641ebbb05b02d1ec9da3efd352170ac
Author: Cheng Lu <chenglu1990@gmail.com>
Date:   2012-07-22

    Update Chinese simplified translation for ui

 po/zh_CN.po | 745 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 400 insertions(+), 345 deletions(-)

commit cf06bae73a1e7f029076b63d7f42eee7dd5ba5db
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-16

    Release version 3.5.4

 NEWS         | 7 +++++++
 configure.ac | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 21c7dae0058d3d29889bd1c8b2167806a7bad89c
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   2012-07-14

    Updated Lithuanian translation

 po/lt.po | 783 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 435 insertions(+), 348 deletions(-)

commit 32aff59977f221d8ac65c3762a7f9be1ce1348e1
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   2012-07-12

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 733 ++++++++++++++++++++++++++++++++---------------------------
 po/zh_TW.po | 739 ++++++++++++++++++++++++++++++++----------------------------
 2 files changed, 795 insertions(+), 677 deletions(-)

commit 6cd972329bc176a20990f993055e5623ca27949d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2012-07-09

    Updated Norwegian bokmål translation

 po/nb.po | 97 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 48 insertions(+), 49 deletions(-)

commit 851e183f4fd8a1c3d2f2583856e2c2a414101a22
Merge: b5ecd78 d1cf6d5
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-30

    Merge branch 'gnome-3-4'

commit d1cf6d5d15e25d915a3ec37092f21e65d7b2e15c
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-30

    gcr: Add debug output to GcrSecretExchange

 gcr/gcr-debug.c           |  1 +
 gcr/gcr-debug.h           |  1 +
 gcr/gcr-secret-exchange.c | 46 ++++++++++++++++++++++++++++++++++++++++++----
 3 files changed, 44 insertions(+), 4 deletions(-)

commit b7e899d45a49085e2cedbff1cf76e6d8450b0bea
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-30

    gcr: Fix invalid warning when sending a secret exchange
    
     * We checked the prefix of the sent data, but didn't correctly
       remove whitespace. In addition the check was inverted
     * Exposed by recent changes to glib, which changed the whitespace
       in the format a GKeyFile slightly

 gcr/gcr-secret-exchange.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit b5ecd78ede34902779c4906ea6bf6f2cc4a33fe7
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   2012-06-30

    Updated Vietnamese translation

 po/vi.po | 307 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 130 insertions(+), 177 deletions(-)

commit 954becaa36824e47907d5ec306d93fbaf74dc53b
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   2012-06-30

    po/vi: import from Damned Lies

 po/vi.po | 572 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 330 insertions(+), 242 deletions(-)

commit fc492987bba398bcf2a491a093c042840f423d1f
Author: Andika Triwidada <andika@gmail.com>
Date:   2012-06-29

    Updated Indonesian translation

 po/id.po | 767 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 428 insertions(+), 339 deletions(-)

commit f41b7511306faa1ae4134fb42d1933b7b29b14b4
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-26

    Remove support code for old glib versions
    
     * Remove a bunch of #ifdefs for old glib versions prior
       to 2.32.0.
     * Already bumped glib dependency in a recent commit.

 egg/egg-libgcrypt.c     |  8 --------
 egg/egg-testing.h       |  2 --
 gck/gck-attributes.c    | 10 ----------
 gck/gck-enumerator.c    |  8 --------
 gck/gck-session.c       |  8 --------
 gcr/gcr-importer.c      | 10 ----------
 gcr/gcr-library.c       |  4 ----
 gcr/gcr-live-search.c   | 19 +------------------
 gcr/gcr-mock-prompter.c | 15 ---------------
 gcr/gcr-parser.c        |  4 ----
 gcr/gcr-system-prompt.c |  4 ----
 11 files changed, 1 insertion(+), 91 deletions(-)

commit ae047de1d36b163be956cd86fd47eaacadc6778a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2012-06-26

    Updated Slovenian translation

 po/sl.po | 144 ++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 63 insertions(+), 81 deletions(-)

commit 1295eca404dd02396abfcab35e3b5dda000c1712
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-26

    Documentation fixes
    
     * Clean up documentation and introspection warnings
     * Separate GcrImportInteraction docs into own page

 docs/reference/gcr/gcr-docs.sgml    |  1 +
 docs/reference/gcr/gcr-sections.txt | 14 +++++++++----
 gck/gck-attributes.c                | 23 ++--------------------
 gck/gck-enumerator.c                |  2 +-
 gcr/gcr-certificate-chain.c         |  6 ------
 gcr/gcr-import-interaction.c        | 39 +++++++++++++------------------------
 gcr/gcr-library.c                   |  6 ------
 gcr/gcr-parser.c                    |  2 +-
 gcr/gcr-prompt-dialog.c             |  8 ++++----
 gcr/gcr-system-prompt.c             |  6 +++---
 10 files changed, 36 insertions(+), 71 deletions(-)

commit 46062832e6c273392481b0358f8cb9e9e3af8a76
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-25

    Release version 3.5.3

 Makefile.am  | 3 +++
 NEWS         | 7 +++++++
 configure.ac | 2 +-
 3 files changed, 11 insertions(+), 1 deletion(-)

commit e5a42f97cd8f07e8a72606e7e95cffe5f21bf167
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-21

    egg: A few more asn.1 comments

 egg/egg-asn1x.c | 26 ++++++++++++++++++++++----
 1 file changed, 22 insertions(+), 4 deletions(-)

commit ae6f001f386df172f966e055516c0b968379804a
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-20

    egg: Rework how DER parsing works
    
     In particular fix things like
     * Indefinite parsing
     * Encoding of defaults
     * Ability to read values that haven't yet been encoded
     * Proper handling of ANY tags

 egg/egg-asn1x.c                               | 3170 +++++++++++++------------
 egg/egg-asn1x.h                               |   68 +-
 egg/egg-dn.c                                  |   50 +-
 egg/egg-dn.h                                  |    4 +-
 egg/egg-symkey.c                              |   74 +-
 egg/egg-symkey.h                              |    4 +-
 egg/tests/Makefile.am                         |   13 +-
 egg/tests/files/test-personalname-1.der       |    2 +-
 egg/tests/files/test-personalname-invalid.der |    1 +
 egg/tests/files/test-pkcs12-2.der             |  Bin 0 -> 2142 bytes
 egg/tests/test-asn1.c                         |   91 +-
 egg/tests/test-asn1x.c                        |  140 +-
 egg/tests/test-dn.c                           |   19 +-
 egg/tests/test.asn                            |    3 +-
 gcr/gcr-certificate-extensions.c              |   14 +-
 gcr/gcr-certificate-renderer.c                |    4 +-
 gcr/gcr-certificate-request.c                 |    7 +-
 gcr/gcr-parser.c                              |  190 +-
 gcr/gcr-subject-public-key.c                  |   30 +-
 gcr/tests/files/usr0052-firefox.p12           |  Bin 0 -> 2142 bytes
 gcr/tests/test-parser.c                       |    3 +
 21 files changed, 2001 insertions(+), 1886 deletions(-)

commit 2fce6f29272b9e78fb047913aab8531ddec2203e
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-20

    Use GBytes instead of our own EggBytes
    
     * Bump glib minimum version to 2.32

 configure.ac                           |   2 +-
 egg/Makefile.am                        |   1 -
 egg/egg-armor.c                        |  22 +-
 egg/egg-armor.h                        |   8 +-
 egg/egg-asn1x.c                        | 178 ++++++-------
 egg/egg-asn1x.h                        |  36 ++-
 egg/egg-bytes.c                        | 454 ---------------------------------
 egg/egg-bytes.h                        | 102 --------
 egg/egg-dn.c                           |  35 ++-
 egg/egg-dn.h                           |   6 +-
 egg/egg-openssl.c                      |  13 +-
 egg/egg-openssl.h                      |   6 +-
 egg/egg-symkey.c                       |  64 ++---
 egg/egg-symkey.h                       |   6 +-
 egg/egg-testing.h                      |   4 +-
 egg/tests/test-asn1.c                  | 282 ++++++++++----------
 egg/tests/test-asn1x.c                 |  10 +-
 egg/tests/test-dn.c                    |  30 +--
 egg/tests/test-openssl.c               |  36 ++-
 gcr/gcr-certificate-extensions.c       |  18 +-
 gcr/gcr-certificate-extensions.h       |  16 +-
 gcr/gcr-certificate-renderer.c         |  66 ++---
 gcr/gcr-certificate-request-renderer.c |  16 +-
 gcr/gcr-certificate-request.c          |  60 ++---
 gcr/gcr-certificate.c                  |  52 ++--
 gcr/gcr-fingerprint.c                  |   8 +-
 gcr/gcr-key-renderer.c                 |  13 +-
 gcr/gcr-openpgp.c                      |  20 +-
 gcr/gcr-openpgp.h                      |   6 +-
 gcr/gcr-openssh.c                      |  30 +--
 gcr/gcr-openssh.h                      |   6 +-
 gcr/gcr-parser.c                       | 233 +++++++++--------
 gcr/gcr-subject-public-key.c           |  68 ++---
 gcr/tests/frob-openpgp.c               |  16 +-
 gcr/tests/test-fingerprint.c           |  58 ++---
 gcr/tests/test-openpgp.c               |  18 +-
 gcr/tests/test-openssh.c               |  32 +--
 gcr/tests/test-pkcs11-certificate.c    |  14 +-
 gcr/tests/test-subject-public-key.c    |  66 ++---
 39 files changed, 766 insertions(+), 1345 deletions(-)

commit 7201cf3f86a76fc297102386c765194e04263a11
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   2012-06-19

    Updated Greek translation

 po/el.po | 966 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 532 insertions(+), 434 deletions(-)

commit 2ebe97ff0d7e6bf6852a4999a2d52af5309b7b67
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-19

    gcr: Fix signal documentation for GcrParser

 gcr/gcr-parser.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 94ef6acff706971f0275a3cc4f560378cb0e8c97
Merge: 8f7532e f7ccffe
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-19

    Merge branch 'gnome-3-4'

commit f7ccffe0c5cb81179d86c05caf3e83867d21a08a
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-19

    gcr: Enable gnome2 keyring storage
    
    It's the only one that sorta works currently. This really is
    a technology preview however.

 gcr/gcr-pkcs11-importer.c | 1 -
 1 file changed, 1 deletion(-)

commit 8f7532ef44e45ca49aaa65bc2a43524fb372ffdc
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   2012-06-08

    Updated Belarusian translation.

 po/be.po | 574 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 325 insertions(+), 249 deletions(-)

commit e3c988677b8ebe41b5ca513c8077a11226aeda03
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2012-05-30

    Updated Norwegian bokmål translation

 po/nb.po | 57 +++++++++++++++++++++++----------------------------------
 1 file changed, 23 insertions(+), 34 deletions(-)

commit 1e565ed0705ac7996c5f41168a5634033dcc23d3
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2012-05-29

    Added Slovenian translation

 po/sl.po | 792 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 462 insertions(+), 330 deletions(-)

commit 2578dd1e7588df54c8841692e496d41f3a9cbc48
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2012-05-26

    Updated Hebrew translation.

 po/he.po | 614 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 365 insertions(+), 249 deletions(-)

commit f3cee5251f875e7d1c9de81efb13ac723b708c14
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2012-05-20

    Updated Galician translations

 po/gl.po | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 1f442d980990cce6f112c11ed12020f1bbbf9955
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2012-05-19

    Updated Norwegian bokmål translation

 po/nb.po | 651 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 359 insertions(+), 292 deletions(-)

commit 37b9e4f8b1ffdecbd0115f2cc68ed6012cc283b4
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   2012-05-16

    Updated Spanish translation

 po/es.po | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 82d557de75012c929135ea782cd3d773c2abbc34
Author: A S Alam <aalam@users.sf.net>
Date:   2012-05-16

    update Punjabi Translation

 po/pa.po | 699 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 378 insertions(+), 321 deletions(-)

commit 0ba4c16e57f5cd7ad4bb2d81109cf2da08f3d5e0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2012-05-15

    Remove markup from strings in .ui file
    
    There is still markup in gcr/gcr-certificate-exporter.c file.

 gcr/gcr-pkcs11-import-dialog.ui | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 5f4fe889e0fd337eea44488020fc12515d471353
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2012-05-09

    Updated Galician translations

 po/gl.po | 733 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 392 insertions(+), 341 deletions(-)

commit 1ee26c1fc7d42d6429647ef0a3a6273cc9c0c88a
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   2012-05-08

    Updated Spanish translation

 po/es.po | 105 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 45 insertions(+), 60 deletions(-)

commit b330f1b22a652b45dad3e56a2771d9f07cef7af1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   2012-05-07

    Updated Spanish translation

 po/es.po | 665 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 366 insertions(+), 299 deletions(-)

commit ef5ea204da2f89c93f08610136d0a5fb5e604035
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-16

    Release 3.4.1

 NEWS         | 7 +++++++
 configure.ac | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 6f9cb64de1f1fa81317d44df3aa2773bd1786858
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-12

    Track disabling the grab correctly
    
     * Only regrab when we've previously disabled the grab due to a minimize
     * Also fix regression so window can be minimized.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=673517

 gcr/gcr-prompt-dialog.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 899786b887d1883dd8d0d8e0c04f18806fe4b8e1
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-03

    gcr: Add some more debug messages to GcrSystemPrompter

 gcr/gcr-system-prompter.c | 74 ++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 70 insertions(+), 4 deletions(-)

commit 60bcb157893ac25069353fc18f0885bc6b55a2b7
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-03

    Fix up GCR_DEBUG and GCK_DEBUG environment variables
    
     * This is due to the G_MESSAGES_DEBUG change in glib
     * We manage our own debug categories, so if G_MESSAGES_DEBUG
       is not being used but GCR_DEBUG or GCK_DEBUG are set
       we unconditionally print the debug messages.
     * If G_MESSAGES_DEBUG is being used, then make all the
       debug messages available to Glib.
     * Can build with -DGCR_DEBUG=category flags to permanently
       enable certain categories.

 README          | 37 ++++++++++++++++++++++++++++++++
 gck/gck-debug.c | 66 ++++++++++++++++++++++++++++++++++++++++++++++++---------
 gcr/gcr-debug.c | 65 +++++++++++++++++++++++++++++++++++++++++++++++---------
 3 files changed, 148 insertions(+), 20 deletions(-)

commit 5854d4968f6892bbf48109840500563e8b813866
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-03

    Don't distribute built sources
    
     * This caused problems with gdbus-codegen generated files
    
    https://bugzilla.gnome.org/show_bug.cgi?id=673110

 gck/Makefile.am | 20 ++++++++++----------
 gcr/Makefile.am | 20 +++++++++-----------
 2 files changed, 19 insertions(+), 21 deletions(-)

commit 5c37d74d444fe35c80f9d8501bf5be8a485fdb88
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-02

    Revert accidentally committed change

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5f222e4fb048fedc1b57328c2fd8256486b6879a
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-30

    Build .desktop and .service files correctly

 Makefile.decl                | 28 +++++++++++++++++++++++++++-
 configure.ac                 |  4 +---
 gcr/Makefile.am              |  8 ++++----
 gcr/gcr-viewer.desktop.in    | 10 ----------
 gcr/gcr-viewer.desktop.in.in |  2 +-
 5 files changed, 33 insertions(+), 19 deletions(-)

commit 74a481453b56fbeb49fe1f98b7eea422f1cd7f07
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-30

    Fix build of gcr-prompter
    
     * Add gck library even though we don't use it. Seems to be
       needed on some distros/setups.

 gcr/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 5391729f7eabe030e7461e88468c22f070f1421c
Author: Daniel Nylander <po@danielnylander.se>
Date:   2012-03-30

    Updated Swedish translation

 po/sv.po | 680 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 392 insertions(+), 288 deletions(-)

commit 6173ce926bfa5a5ff271ed0f3af7c7d28bab9b75
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-26

    Release 3.4.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 7d9ed10cbac374cba3dd12ef87144ecd5603f2ad
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-19

    Release version 3.3.92

 Makefile.am           | 3 ++-
 NEWS                  | 5 +++++
 configure.ac          | 7 ++++++-
 gcr/icons/Makefile.am | 3 +++
 4 files changed, 16 insertions(+), 2 deletions(-)

commit 2c45af3acd0bbab306f794e21690727fc1b17354
Author: Jordi Mallach <jordi@sindominio.net>
Date:   2012-03-15

    Fix copyright headers.
    
    Many files were missing “Public” in “GNU Lesser General Public License”,
    probably due to a mass replace that went a bit too far. Restore the
    correct wording in all affected places.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672187

 egg/egg-decimal.h     | 6 +++---
 egg/egg-dh.c          | 6 +++---
 egg/egg-dh.h          | 6 +++---
 egg/egg-error.h       | 6 +++---
 egg/egg-hex.c         | 6 +++---
 egg/egg-hex.h         | 6 +++---
 egg/egg-hkdf.c        | 6 +++---
 egg/egg-hkdf.h        | 6 +++---
 egg/egg-padding.c     | 6 +++---
 egg/egg-padding.h     | 6 +++---
 egg/egg-symkey.c      | 6 +++---
 egg/egg-symkey.h      | 6 +++---
 egg/egg-testing.c     | 6 +++---
 egg/egg-testing.h     | 6 +++---
 gck/gck-mock.c        | 6 +++---
 gck/gck-test.c        | 6 +++---
 gcr/gcr-fingerprint.c | 6 +++---
 gcr/gcr-fingerprint.h | 6 +++---
 18 files changed, 54 insertions(+), 54 deletions(-)

commit 03bc7c6f51fa51349658c1547a8deafdb6887b0f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2012-03-10

    Updated Polish translation

 po/pl.po | 724 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 391 insertions(+), 333 deletions(-)

commit 062172203095d2da734fb3e608abea5dfc2f1b63
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-09

    Remove interfaces file, should be auto-generated.

 docs/reference/gck/gck.interfaces | 1 -
 1 file changed, 1 deletion(-)

commit 198678cd79a944a5c2c66d387af3b8e08b0c6355
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-29

    Release version 3.3.90

 NEWS                                   | 3 +++
 configure.ac                           | 2 +-
 gcr/gcr-base.symbols                   | 1 -
 gcr/tests/files/gnupg-homedir/gpg.conf | 2 ++
 4 files changed, 6 insertions(+), 2 deletions(-)

commit 7d2cfe588e1c597680f3006885eaf0fe96beaeea
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2012-02-28

    Updated POTFILES.in

 po/POTFILES.in   | 11 ++++++-----
 po/POTFILES.skip |  1 +
 2 files changed, 7 insertions(+), 5 deletions(-)

commit 84999b2e50c9bfe86a1d6b7a56df3ac2299fd4a0
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-28

    Add a desktop file for gcr-prompter
    
     * So that it shows up in the shell correctly
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668535

 .gitignore                     | 3 +++
 configure.ac                   | 1 +
 gcr/Makefile.am                | 2 +-
 gcr/gcr-prompter.desktop.in.in | 8 ++++++++
 4 files changed, 13 insertions(+), 1 deletion(-)

commit d5d1b4ef195fb94f1cdcde71ef497cdac1c6ee1b
Author: Colin Walters <walters@verbum.org>
Date:   2012-02-28

    gcr-secure-memory: Fix prototype to match implementation

 gcr/gcr-secure-memory.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 43a3b9b29dfc857a714e39344589dcd5e4312370
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-27

    gcr: Change frob-prompt so that cancelling the prompt stops

 gcr/tests/frob-prompt.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit a9e9199acaec4c0af75758cec82bd36612f431ef
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-10

    gcr: Expose secure memory API
    
     * Add gcr_secure_memory_new() and gcr_secure_memory_free()
       and friends.
     * Exposed so that we can implement secure entry widget in
       gnome-shell

 docs/reference/gcr/gcr-docs.sgml    |   1 +
 docs/reference/gcr/gcr-sections.txt |  13 ++
 gcr/Makefile.am                     |   2 +
 gcr/gcr-base.h                      |   1 +
 gcr/gcr-base.symbols                |   9 ++
 gcr/gcr-secure-memory.c             | 247 ++++++++++++++++++++++++++++++++++++
 gcr/gcr-secure-memory.h             |  59 +++++++++
 gcr/tests/Makefile.am               |   1 +
 gcr/tests/test-secure-memory.c      | 149 ++++++++++++++++++++++
 9 files changed, 482 insertions(+)

commit 347d286e8db2787d26a26ab2336fb9a2884257c9
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-10

    Release 3.3.5

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit e05601b4f136ff9a6baf698c8260bf6cca8c69cb
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-10

    gcr: More checks and docs for GcrPrompt

 gcr/gcr-mock-prompter.c                             | 21 ++++++++-------------
 gcr/gcr-prompt.c                                    | 10 ++++++++++
 gcr/tests/files/prompt-tests/password-choice.prompt |  1 +
 3 files changed, 19 insertions(+), 13 deletions(-)

commit 5ef12d63fed8037151bdcbe904abe7c88ce5e507
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-10

    gcr: Add gcr_prompt_reset() function
    
     * Resets all properties of the prompt to the defaults in the
       interface

 docs/reference/gcr/gcr-sections.txt |  1 +
 docs/reference/gcr/gcr.interfaces   | 43 --------------------------
 gcr/gcr-base.symbols                |  1 +
 gcr/gcr-prompt.c                    | 54 +++++++++++++++++++++++++++++----
 gcr/gcr-prompt.h                    |  2 ++
 gcr/tests/test-system-prompt.c      | 60 +++++++++++++++++++++++++++++++++++--
 6 files changed, 109 insertions(+), 52 deletions(-)

commit 5306b977d1764adf2965baf17aaf4cd19de7935b
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-10

    gcr: Add way to set the labels for the prompt buttons
    
     * Add continue-label and cancel-label properties to GcrPrompt
     * Implement in GcrSystemPrompt and in the mock prompter
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669793

 docs/reference/gcr/gcr-sections.txt          |  4 ++
 gcr/gcr-base.symbols                         |  4 ++
 gcr/gcr-mock-prompter.c                      | 14 +++-
 gcr/gcr-prompt-dialog.c                      | 37 +++++++++--
 gcr/gcr-prompt.c                             | 96 +++++++++++++++++++++++++++-
 gcr/gcr-prompt.h                             | 12 +++-
 gcr/gcr-system-prompt.c                      | 22 ++++++-
 gcr/gcr-system-prompter.c                    |  2 +-
 gcr/tests/files/prompt-tests/multiple.prompt |  2 +
 gcr/tests/test-system-prompt.c               | 10 +++
 po/POTFILES.in                               |  1 +
 11 files changed, 190 insertions(+), 14 deletions(-)

commit 85ee40b4d5c573ed239214fc227611c7936c9c88
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-10

    gcr: Reenable grabs for password prompts
    
     * Disable them when configure is passed --enable-debug

 configure.ac            | 1 +
 gcr/gcr-prompt-dialog.c | 4 ++++
 2 files changed, 5 insertions(+)

commit 942a69b5a28cfee069efe8b9f1ccf78f708b005f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-01-16

    Release version 3.3.4

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit 185dcba1f2b6bf8922871c8efc8980d5938c56d9
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-01-10

    gcr: Display an appropriate title in gcr-viewer
    
     * And add display-name property to GcrViewerWidget

 docs/reference/gcr/gcr-sections.txt |  2 +
 docs/reference/gcr/gcr.interfaces   |  4 +-
 gcr/gcr-viewer-widget.c             | 97 ++++++++++++++++++++++++++++++++++---
 gcr/gcr-viewer-widget.h             |  5 ++
 gcr/gcr-viewer-window.c             |  2 +
 gcr/gcr.symbols                     |  2 +
 6 files changed, 104 insertions(+), 8 deletions(-)

commit ae734dd599400959afc4ecfca6c0bd800c350477
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-01-10

    gcr: rename prompt test file, and add another one

 gcr/tests/files/prompt-tests/multiple.prompt       | 31 ++++++++++++++++++++++
 .../files/prompt-tests/password-choice.prompt      |  7 +++++
 gcr/tests/files/prompt-tests/simple.prompt         | 28 -------------------
 3 files changed, 38 insertions(+), 28 deletions(-)

commit db8d420f9de952fa5355eff164fa4823dc2b3f06
Author: Ryan Lortie <desrt@desrt.ca>
Date:   2012-01-09

    Change style of toplevel installed headers
    
    Use <gcr/xxx.h> instead of "xxx.h" style.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=667573

 gcr/gcr-base.h | 44 ++++++++++++++++++++++----------------------
 gcr/gcr.h      | 42 +++++++++++++++++++++---------------------
 2 files changed, 43 insertions(+), 43 deletions(-)

commit a3cdb51965d83a7c2e817b6559047b514c09e9f6
Author: Ryan Lortie <desrt@desrt.ca>
Date:   2012-01-07

    various srcdir != builddir fixes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=667573

 gck/Makefile.am | 11 +++++------
 gck/gck.h       |  2 +-
 gcr/Makefile.am | 25 ++++++++++---------------
 gcr/gcr-base.h  |  2 +-
 gcr/gcr.h       |  2 +-
 5 files changed, 18 insertions(+), 24 deletions(-)

commit ff3aea653e8bf828941e351e32c42d4fb26a0a54
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-01-09

    gcr: Add tests for new-prompt signal on GcrSystemPrompter

 gcr/gcr-mock-prompter.c   | 52 +++++++++++++++++++++++++++++++++++++++++++----
 gcr/gcr-system-prompter.c | 21 ++++++++++++++-----
 2 files changed, 64 insertions(+), 9 deletions(-)

commit ed11922bffdb4ef212ce22ca440383d4a5a87656
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-01-09

    gcr: Some tweaks for the frob-prompt tester

 gcr/tests/frob-prompt.c | 53 +++++++++++++++++++++++++++++++------------------
 1 file changed, 34 insertions(+), 19 deletions(-)

commit a64e3bf65a741c0787e280d77c5b43a192a571ad
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-01-09

    gcr: Add 'new-prompt' signal to GcrSystemPrompter
    
     * A signal which creates and returns a prompt. The first new-prompt
       signal handler to return a non-null GcrPrompt 'wins'
     * This is for use in gnome-shell where we can't set a prompt-gtype

 gcr/gcr-marshal.list      |  1 +
 gcr/gcr-system-prompter.c | 54 ++++++++++++++++++++++++++++++++++++++++++++---
 gcr/gcr-system-prompter.h | 12 +++++++++++
 3 files changed, 64 insertions(+), 3 deletions(-)

commit b04a620fd29bb55d77f15fb6be0efbe23981f467
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-01-09

    gcr: Fixes for glib deprecations in the mock prompter

 gcr/gcr-mock-prompter.c | 21 ++++++++++++++++++++-
 1 file changed, 20 insertions(+), 1 deletion(-)

commit 2a573d5f98ebe6e98e613b88f49d1e5dfd8b3a58
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-01-03

    gcr: Include GcrPrompt stuff in documentation

 docs/reference/gcr/gcr-docs.sgml | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 15db61820f7cf2cd0a2631115c881367c7afc3c4
Author: darkxst <darkxst@fastmail.fm>
Date:   2011-12-23

    This fixes the build errors, on Ubuntu 11.10

 gcr/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 39f230c2fe4af2626a5c158f88266d9a2b7a4f25
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-22

    Bump version number

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e38c5779624e1f5db2169964664c0748e7908990
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-21

    gck: Remove gck_attributes_add_owned()
    
     * And make gck_attributes_add_attribute() handle owned attributes
     * Unowned attributes should be done with gck_attributes_add_data()
     * This change to ABI cleans things up before API is released as stable

 docs/reference/gck/gck-sections.txt |  1 -
 gck/gck-attributes.c                | 33 ++++++---------------------------
 gck/gck.h                           |  3 ---
 gck/gck.symbols                     |  1 -
 gck/tests/test-gck-attributes.c     |  2 +-
 gcr/gcr-pkcs11-importer.c           |  2 +-
 gcr/gcr-subject-public-key.c        |  2 +-
 gcr/tests/test-subject-public-key.c |  2 +-
 8 files changed, 10 insertions(+), 36 deletions(-)

commit defa049f5f9cd12d9273b2dfa689ed72bc735e15
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-21

    Release 3.3.3.1
    
     * And some build warning fixes

 NEWS                                 | 3 +++
 configure.ac                         | 2 +-
 gck/gck-attributes.c                 | 4 ++--
 gcr/tests/frob-certificate-request.c | 3 ++-
 4 files changed, 8 insertions(+), 4 deletions(-)

commit 290b322a2bbaa81c3f00f9241228ed38672fb03f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-20

    Fix build problems
    
     * Linker error with gcr-prompter
     * Fix warning about g_set_error
     * Fix documentation warnings about gck_attributes_set ...

 gck/gck-attributes.c         | 4 ----
 gcr/Makefile.am              | 1 +
 gcr/gcr-subject-public-key.c | 4 ++--
 3 files changed, 3 insertions(+), 6 deletions(-)

commit 7fbd8c05ab28a38c924fe8f607d93c54b6e3079f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    Add gobject and gio dependencies to package config files
    
    https://bugzilla.gnome.org/show_bug.cgi?id=666498

 gck/gck.pc.in      | 2 +-
 gcr/gcr-base.pc.in | 2 +-
 gcr/gcr.pc.in      | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 136b3785fc2f4bbfd70f3664d385bfb5b59b757d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    Release version 3.3.3

 NEWS | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 060eb446aa46fb6ad217d249af1b06397c6262b8
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    gcr: Build fix for Fedora packaging
    
    https://bugzilla.gnome.org/show_bug.cgi?id=666375

 gcr/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9bdd5192980ca72ed69e5a28f6d724b5d2370b4e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    gck: Documentation warning fixes

 docs/reference/gck/gck-sections.txt |  1 +
 gck/gck-attributes.c                | 32 ++++++++++++++++----------------
 2 files changed, 17 insertions(+), 16 deletions(-)

commit dd8726a73b42f82622e8ce29ee27ec42ee3c2511
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    gcr: Fix licensing
    
     * Remove unused gcr/gcr-menu-button.[ch]
     * Relicense gcr/gcr-collection-model.[ch]
    
    https://bugzilla.gnome.org/show_bug.cgi?id=666378

 gcr/Makefile.am            |   1 -
 gcr/gcr-collection-model.c |  27 ++--
 gcr/gcr-collection-model.h |  27 ++--
 gcr/gcr-menu-button.c      | 374 ---------------------------------------------
 gcr/gcr-menu-button.h      |  61 --------
 5 files changed, 30 insertions(+), 460 deletions(-)

commit c145132df840a498cb64a6423af5c30acc3f3b1e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    gcr: Build fixes

 gcr/Makefile.am           |  2 +-
 gcr/gcr-mock-prompter.c   | 13 +++++++------
 gcr/gcr-system-prompter.c |  4 ++++
 3 files changed, 12 insertions(+), 7 deletions(-)

commit 6bf4da09ec89522ec1f7049976bfe503eaadaf5b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    gcr: Fine tune dbus prompting interface
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656954

 gcr/Makefile.am                    |  3 +-
 gcr/gcr-dbus-constants.h           |  2 +-
 gcr/gcr-system-prompt.c            |  3 +-
 gcr/gcr-system-prompter.c          |  2 +-
 gcr/org.gnome.keyring.Prompt.xml   |  6 ----
 gcr/org.gnome.keyring.Prompter.xml | 57 +++++++++++++++++++++++++++++++++++++-
 6 files changed, 61 insertions(+), 12 deletions(-)

commit 520ba851d04be7de133ef3e6d8fb7338e08b081b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    gcr: Correct bus names in gcr-prompter service autostart files

 gcr/org.gnome.keyring.PrivatePrompter.service.in | 2 +-
 gcr/org.gnome.keyring.SystemPrompter.service.in  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 14934b72afd66cccff4c1fbbd065dbc4b91d9aeb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    gcr: Fix issues in GcrPromptDialog display
    
     * Allow message and description to wrap
     * Focus password entry on startup
     * Put spinner on main action button

 gcr/gcr-prompt-dialog.c | 26 ++++++++++++++++++--------
 1 file changed, 18 insertions(+), 8 deletions(-)

commit f8d85a9bfd74bc75b29a41f952c221c0d610ffe1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-18

    gcr: Add timeout to gcr-prompter process
    
     * When no prompts occur for 10 seconds, quit process

 docs/reference/gcr/gcr-sections.txt |   1 +
 gcr/Makefile.am                     |   3 +-
 gcr/gcr-base.symbols                |   1 +
 gcr/gcr-prompter-tool.c             | 114 +++++++++++++++++++++++++++++++++---
 gcr/gcr-system-prompter.c           |  42 ++++++++++++-
 gcr/gcr-system-prompter.h           |   6 +-
 6 files changed, 150 insertions(+), 17 deletions(-)

commit 3d8fd1a2f4ed07f049784e8f5f7ec17b1893d26f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-18

    gcr: Add frob-prompt tool and fix bugs
    
     * Add frob-prompt tool for playing around with prompts
     * Fix tons of bugs and refactor where necessary

 gcr/Makefile.am                                  |   4 +-
 gcr/gcr-dbus-constants.h                         |   4 +-
 gcr/gcr-prompt-dialog.c                          |  61 +++--
 gcr/gcr-prompter-tool.c                          |  62 ++++-
 gcr/gcr-system-prompt.c                          |  20 +-
 gcr/gcr-system-prompt.h                          |   6 +-
 gcr/gcr-system-prompter.c                        | 296 +++++++++++++----------
 gcr/org.gnome.keyring.PrivatePrompter.service.in |   3 +
 gcr/org.gnome.keyring.Prompter.service.in        |   3 -
 gcr/org.gnome.keyring.SystemPrompter.service.in  |   3 +
 gcr/tests/Makefile.am                            |   1 +
 gcr/tests/files/prompt-tests/simple.prompt       |  28 +++
 gcr/tests/frob-prompt.c                          | 202 ++++++++++++++++
 gcr/tests/frob-system-prompt.c                   |   2 +-
 gcr/tests/test-system-prompt.c                   |  67 +++--
 15 files changed, 547 insertions(+), 215 deletions(-)

commit 039f24d12e79d806f632e90332b50ca916ec83d6
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-17

    gcr: Fix up documentation for recent prompting work

 docs/reference/gcr/gcr-sections.txt  | 127 +++++++++-
 docs/reference/gcr/gcr.interfaces    |   5 +-
 docs/reference/gcr/gcr.types         |   4 +
 gcr/gcr-base.symbols                 |   1 -
 gcr/gcr-callback-output-stream.c     |   2 +
 gcr/gcr-certificate-basics-widget.c  |   6 +
 gcr/gcr-certificate-details-widget.c |   6 +
 gcr/gcr-certificate.c                |   8 +
 gcr/gcr-dbus-constants.h             |   1 +
 gcr/gcr-gnupg-importer.c             |   2 +
 gcr/gcr-importer.c                   |   2 +
 gcr/gcr-live-search.c                |   2 +
 gcr/gcr-menu-button.c                |   2 +
 gcr/gcr-mock-prompter.c              | 102 ++++++++
 gcr/gcr-mock-prompter.h              |   4 +-
 gcr/gcr-pkcs11-importer.c            |   2 +
 gcr/gcr-prompt-dialog.c              |  55 +++++
 gcr/gcr-prompt-dialog.h              |   4 +-
 gcr/gcr-prompt.c                     | 460 ++++++++++++++++++++++++++++++++++-
 gcr/gcr-prompt.h                     |   6 +-
 gcr/gcr-prompter-tool.c              |   2 +-
 gcr/gcr-secure-entry-buffer.c        |  17 +-
 gcr/gcr-secure-entry-buffer.h        |   7 +-
 gcr/gcr-system-prompt.c              | 136 +++++++++--
 gcr/gcr-system-prompt.h              |  11 +-
 gcr/gcr-system-prompter.c            |  84 ++++++-
 gcr/gcr-system-prompter.h            |   6 +-
 gcr/gcr-viewer-widget.c              |  15 ++
 28 files changed, 1009 insertions(+), 70 deletions(-)

commit b548891251edd0bf2afc9651c36ac3c7d1248e00
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-21

    gcr: Rework how prompter works by introducing GcrPrompt interface
    
     * GcrSystemPrompt is an implementation of GcrPrompt which
       calls to GcrSystemPrompter
     * GcrSystemPrompter creates GcrPrompt objects on its side
       which do the actual prompting.

 Makefile.decl                      |    4 +-
 gcr/Makefile.am                    |   10 +-
 gcr/gcr-base.h                     |    1 +
 gcr/gcr-base.symbols               |   86 ++-
 gcr/gcr-dbus-constants.h           |   30 +-
 gcr/gcr-mock-prompter.c            |  556 +++++++++------
 gcr/gcr-mock-prompter.h            |    4 +-
 gcr/gcr-prompt-dialog.c            |  808 +++++++++++++++++++++
 gcr/gcr-prompt-dialog.h            |   61 ++
 gcr/gcr-prompt.c                   |  441 ++++++++++++
 gcr/gcr-prompt.h                   |  152 ++++
 gcr/gcr-prompter-tool.c            |  595 +--------------
 gcr/gcr-secret-exchange.c          |   24 +-
 gcr/gcr-system-prompt.c            | 1333 ++++++++++++++++------------------
 gcr/gcr-system-prompt.h            |   76 +-
 gcr/gcr-system-prompter.c          | 1390 ++++++++++++++----------------------
 gcr/gcr-system-prompter.h          |   63 +-
 gcr/gcr.h                          |    1 +
 gcr/gcr.symbols                    |    1 +
 gcr/org.gnome.keyring.Prompt.xml   |   36 -
 gcr/org.gnome.keyring.Prompter.xml |   29 +-
 gcr/tests/frob-system-prompt.c     |   10 +-
 gcr/tests/test-system-prompt.c     |  227 ++++--
 po/POTFILES.in                     |    2 +
 24 files changed, 3243 insertions(+), 2697 deletions(-)

commit 4f19ddbf4e1f9c84594e6967584e4ad60254f828
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-01

    gcr: Fix dialog layout, and add dbus service
    
     * A bunch of bug fixes and other fixes to the default prompter tool
     * Add support for making the dialog transient

 .gitignore                                |   1 +
 configure.ac                              |  14 ++++
 gcr/Makefile.am                           |   9 +++
 gcr/gcr-dbus-constants.h                  |   2 +
 gcr/gcr-prompter-tool.c                   | 109 ++++++++++++++++++++++++++----
 gcr/gcr-system-prompt.c                   |  22 ++++--
 gcr/gcr-system-prompter.c                 |  46 +++++++++++--
 gcr/org.gnome.keyring.Prompter.service.in |   3 +
 gcr/tests/Makefile.am                     |   1 +
 9 files changed, 186 insertions(+), 21 deletions(-)

commit 6f8691b7260aa1f4c9b520b75c1a0c10170fa004
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-31

    gcr: Fix a couple memory leaks in the prompter

 gcr/gcr-system-prompt.c   |  1 +
 gcr/gcr-system-prompter.c | 18 +++++++++---------
 2 files changed, 10 insertions(+), 9 deletions(-)

commit cf51303c1b38857d3aa04cece982d6e8e58fea5a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-31

    gcr: Make prompter tests work properly, add debugging
    
     * Run mock prompter in a separate thread to fix blocking
       and concurrency issues.
     * Run tests in in the main process thread
     * Add more debugging output

 .gitignore                     |   2 +
 egg/egg-error.h                |  10 +-
 egg/egg-testing.c              |  85 ++++++++-
 egg/egg-testing.h              |   2 +
 gcr/gcr-mock-prompter.c        | 332 +++++++++++++++++++++++++++++----
 gcr/gcr-mock-prompter.h        |  22 +--
 gcr/gcr-system-prompt.c        | 195 ++++++++++++++++++--
 gcr/gcr-system-prompt.h        |  16 +-
 gcr/gcr-system-prompter.c      |  72 +++++---
 gcr/gcr-system-prompter.h      |   4 +-
 gcr/tests/frob-system-prompt.c | 106 +++++++++++
 gcr/tests/test-system-prompt.c | 409 +++++++++++++++++++++++++++++++++++++++++
 12 files changed, 1161 insertions(+), 94 deletions(-)

commit 4edd77e47f1f6ee6ed138a4d3f4f06cd5896cafa
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-31

    gcr: Fix missing bit of GcrSecureEntryBuffer symbols

 gcr/gcr.symbols | 2 ++
 1 file changed, 2 insertions(+)

commit 0bf6e6e710b1246072d0c4cbc05bca9a5dabafd7
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-31

    gcr: Pass properties changed back in prompter dbus method responses
    
     * This is to prevent race conditions with the PropertiesChanged
       signal.

 gcr/gcr-system-prompt.c          | 111 +++++++++++++++++----------------
 gcr/gcr-system-prompter.c        | 128 ++++++++++++++-------------------------
 gcr/org.gnome.keyring.Prompt.xml |  15 +++--
 3 files changed, 114 insertions(+), 140 deletions(-)

commit 316bb56cadbdd56ee0e897dcc571dec7ea8ac77a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-28

    gcr: Add system prompt and prompter
    
     * GcrSystemPrompt is a class used on the client.
     * GcrSystemPrompter is a base class for implementing the actual prompter
     * GcrMockPrompter is a mock prompter, which returns predefined values
       useful in tests

 configure.ac                        |    2 +-
 docs/reference/gcr/Makefile.am      |    2 +
 docs/reference/gcr/gcr-sections.txt |    5 +
 gcr/Makefile.am                     |   40 +-
 gcr/gcr-base.h                      |    3 +
 gcr/gcr-base.symbols                |   59 ++
 gcr/gcr-dbus-constants.h            |   62 ++
 gcr/gcr-debug.c                     |    1 +
 gcr/gcr-debug.h                     |    1 +
 gcr/gcr-mock-prompter.c             |  456 ++++++++++++
 gcr/gcr-mock-prompter.h             |   62 ++
 gcr/gcr-prompter-tool.c             |  630 +++++++++++++++++
 gcr/gcr-system-prompt.c             | 1330 +++++++++++++++++++++++++++++++++++
 gcr/gcr-system-prompt.h             |  174 +++++
 gcr/gcr-system-prompter.c           | 1162 ++++++++++++++++++++++++++++++
 gcr/gcr-system-prompter.h           |  113 +++
 gcr/org.gnome.keyring.Prompt.xml    |   39 +
 gcr/org.gnome.keyring.Prompter.xml  |   15 +
 gcr/tests/Makefile.am               |    3 +-
 19 files changed, 4154 insertions(+), 5 deletions(-)

commit 19f5cd44bbcb5771c1519a0f7d55b46043c5d858
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-27

    gcr: Fix typo in GcrSecretExchange docs

 gcr/gcr-secret-exchange.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e4b4d14fbe700e813dbdaeb058985c1ebc9c3043
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-27

    gcr: Fix up the gcr-secret-exchange.h header

 gcr/gcr-secret-exchange.h | 4 ++++
 1 file changed, 4 insertions(+)

commit 23ab85ea7e8844104ea7b700f276f9e494ad449e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-27

    gcr: Expose GcrSecureEntryBuffer as a public class
    
     * This is a GtkEntryBuffer that uses non-pageable memory for the
       buffer, to be used with passwords and secrets.

 docs/reference/gcr/gcr-docs.sgml    |   1 +
 docs/reference/gcr/gcr-sections.txt |  17 +++
 docs/reference/gcr/gcr.types        |   1 +
 egg/Makefile.am                     |   8 --
 egg/egg-entry-buffer.c              | 200 -------------------------------
 egg/egg-entry-buffer.h              |  59 ---------
 gcr/Makefile.am                     |   3 +-
 gcr/gcr-failure-renderer.c          |   5 +-
 gcr/gcr-pkcs11-import-dialog.c      |   4 +-
 gcr/gcr-secure-entry-buffer.c       | 231 ++++++++++++++++++++++++++++++++++++
 gcr/gcr-secure-entry-buffer.h       |  63 ++++++++++
 gcr/gcr-unlock-renderer.c           |   5 +-
 gcr/gcr.h                           |   1 +
 gcr/tests/Makefile.am               |   1 -
 14 files changed, 322 insertions(+), 277 deletions(-)

commit 4ed60e05c20a644a794bf5b6de62f2899ce8d0ec
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-13

    gcr: Add uris to GcrImporter
    
     * This allows us to refresh the appropriate place in seahorse

 gcr/gcr-gnupg-importer.c  | 21 ++++++++++++++++++---
 gcr/gcr-importer.c        |  9 +++++++++
 gcr/gcr-pkcs11-importer.c | 24 +++++++++++++++++++++---
 3 files changed, 48 insertions(+), 6 deletions(-)

commit 1b5dfd5d5bf2e53eb8c1edb53605bc93443e0f73
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-13

    egg: Check that bytes are valid when they come into ASN.1

 egg/egg-asn1x.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 567cf5f4ecf914a2b949ae2014d0a27088697f65
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-13

    gcr: Check for invalid attributes when creating subject public keys

 gcr/gcr-subject-public-key.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 33b7694c293bf78c06136d07e9ad9744287b1c78
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-13

    gcr: Fix invalid cast in GcrPkcs11Importer

 gcr/gcr-pkcs11-importer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 673a4c9e42883150e9835dc8a8b4f14c805b8264
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-09

    gcr: GcrKeyRenderer has a writable object and attributes properties
    
     * Allows updating the the attributes and object so that we can
       retrieve attributes on demand and show them later

 gcr/gcr-key-renderer.c | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit 358a4d29c50e09525591a929c4b86b168f05e31e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-09

    Revert changes to libtool version and removed API
    
     * There were problems with applications that didn't use libgck but
       linked to the old version with the old libtool number: empathy
     * So stub out the removed functions, revert the libtool version changes
       instead of removing those functions.
    
    This reverts commit ef7e91d66839d4104ee6ba9681e49506f5dd5fa3.

 configure.ac                        |   2 +-
 docs/reference/gck/gck-sections.txt |  26 ++-
 docs/reference/gcr/gcr-sections.txt |   1 -
 gck/gck-attributes.c                | 375 +++++++++++++++++++++++++++++++++++-
 gck/gck-deprecated.h                |  73 ++++++-
 gck/gck-misc.c                      |   7 +
 gck/gck-module.c                    |   8 +-
 gck/gck-modules.c                   |   2 +-
 gck/gck-slot.c                      |  19 +-
 gck/gck-uri.c                       |  17 +-
 gck/gck.h                           |  10 +-
 gck/gck.symbols                     |  21 ++
 gck/tests/test-gck-attributes.c     |  15 +-
 gck/tests/test-gck-module.c         |   4 +-
 gck/tests/test-gck-modules.c        |   4 +-
 gck/tests/test-gck-slot.c           |   2 +-
 gck/tests/test-gck-uri.c            |   2 +-
 gcr/gcr-importer.c                  |   2 +-
 gcr/gcr-key-mechanisms.c            |   2 +-
 19 files changed, 565 insertions(+), 27 deletions(-)

commit ef7e91d66839d4104ee6ba9681e49506f5dd5fa3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-08

    gck: Bump gck libtool version, as we removed interfaces from libgck
    
     * libgck API is not yet stable.
     * Gck is only used internally in the gcr projcet, gnome-keyring project
       and the seahorse project.
     * We want to be threadsafe with regard to attributes, and the
       functions removed can't be implemented within the new framework.
     * Remove deprecated functions at the same time, since this is an
       opportunity to cleanup.

 configure.ac                        |  2 +-
 docs/reference/gck/gck-sections.txt |  9 +--------
 docs/reference/gcr/gcr-sections.txt |  1 +
 gck/gck-attributes.c                |  7 -------
 gck/gck-deprecated.h                | 14 +-------------
 gck/gck-misc.c                      |  7 -------
 gck/gck-module.c                    |  8 ++++----
 gck/gck-modules.c                   |  2 +-
 gck/gck-slot.c                      | 19 +++----------------
 gck/gck-uri.c                       | 17 +----------------
 gck/gck.h                           |  2 +-
 gck/gck.symbols                     |  3 ---
 gck/tests/test-gck-module.c         |  4 ++--
 gck/tests/test-gck-modules.c        |  4 ++--
 gck/tests/test-gck-slot.c           |  2 +-
 gck/tests/test-gck-uri.c            |  2 +-
 gcr/gcr-key-mechanisms.c            |  2 +-
 17 files changed, 21 insertions(+), 84 deletions(-)

commit 742d24ccecd31071a5e763c1e1884fb0dac5558b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-08

    gck: Add documentation for newly functions

 docs/reference/gck/gck-docs.sgml    |   2 +-
 docs/reference/gck/gck-sections.txt | 124 ++++++---
 gck/gck-attributes.c                | 526 +++++++++++++++++++++++++++++++++++-
 gck/gck-enumerator.c                |   2 +-
 gck/gck-misc.c                      |   1 +
 gck/gck-module.c                    |   4 +-
 gck/gck-modules.c                   |   6 +-
 gck/gck-object-cache.c              | 154 +++++++++--
 gck/gck-object.c                    |   8 +
 gck/gck-session.c                   |  35 +++
 gck/gck-slot.c                      |   4 +
 gck/gck.h                           |  10 +-
 gck/gck.symbols                     |   2 +-
 gck/tests/test-gck-enumerator.c     |   6 +-
 gcr/tests/test-subject-public-key.c |   6 +-
 15 files changed, 800 insertions(+), 90 deletions(-)

commit 55961a2887b5636c256367a3013c662adccf5928
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-08

    gck: Rename GckObjectAttributes to GckObjectCache
    
     * And allow updating of the attributes, in particula adding
       attributes that are discovered.
     * Add a gck_object_cache_lookup() methods which load attributes
       and then updates the cache if the object has a cache.

 docs/reference/gck/gck.types        |   2 +-
 gck/Makefile.am                     |   2 +-
 gck/gck-enumerator.c                |  10 +-
 gck/gck-object-attributes.c         | 111 ------------
 gck/gck-object-cache.c              | 352 ++++++++++++++++++++++++++++++++++++
 gck/gck.h                           |  70 +++++--
 gck/gck.symbols                     |  13 +-
 gck/tests/test-gck-enumerator.c     |  27 ++-
 gcr/gcr-key-mechanisms.c            |  23 +--
 gcr/gcr-key-renderer.c              | 146 +++++++++++++--
 gcr/gcr-subject-public-key.c        |  52 ++++--
 gcr/tests/test-subject-public-key.c |  27 ++-
 12 files changed, 636 insertions(+), 199 deletions(-)

commit 411cc74ad88cfe1fee0ad58b05338b408fe8622b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-07

    gck: Add floating references to GckAttributes
    
     * Allows us more flexibility in our API in the future
     * Simplifies the common case of generating a set of attributes
       and directly passing it to a gck function

 gck/gck-attributes.c                   | 60 ++++++++++++++++++++++++++++++++--
 gck/gck-enumerator.c                   |  2 +-
 gck/gck-mock.c                         | 33 +++++++++++--------
 gck/gck-mock.h                         |  2 +-
 gck/gck-modules.c                      |  2 +-
 gck/gck-object-attributes.c            |  5 +++
 gck/gck-object.c                       | 20 ++++++++----
 gck/gck-session.c                      | 32 ++++++++++++++----
 gck/gck-slot.c                         |  2 +-
 gck/gck-uri.c                          |  2 +-
 gck/gck.h                              |  2 ++
 gck/gck.symbols                        |  1 +
 gck/tests/test-gck-crypto.c            | 18 ++++------
 gck/tests/test-gck-enumerator.c        | 13 +++-----
 gck/tests/test-gck-modules.c           |  5 +--
 gck/tests/test-gck-object.c            | 35 ++++++--------------
 gck/tests/test-gck-session.c           |  2 +-
 gck/tests/test-gck-uri.c               | 10 +++---
 gcr/gcr-certificate-renderer.c         |  5 +--
 gcr/gcr-certificate-request-renderer.c |  9 ++---
 gcr/gcr-gnupg-importer.c               |  5 +--
 gcr/gcr-gnupg-renderer.c               |  5 +--
 gcr/gcr-key-renderer.c                 |  5 +--
 gcr/gcr-openssh.c                      |  4 +--
 gcr/gcr-parser.c                       |  2 +-
 gcr/gcr-pkcs11-certificate.c           |  2 +-
 gcr/gcr-pkcs11-importer.c              | 23 +++++--------
 gcr/gcr-renderer.c                     |  2 +-
 gcr/gcr-subject-public-key.c           | 10 ++----
 gcr/gcr-trust.c                        | 15 ++++-----
 gcr/tests/test-certificate-chain.c     |  6 ++--
 gcr/tests/test-fingerprint.c           |  2 +-
 gcr/tests/test-pkcs11-certificate.c    |  2 +-
 gcr/tests/test-subject-public-key.c    | 10 +++---
 gcr/tests/test-trust.c                 |  2 +-
 35 files changed, 197 insertions(+), 158 deletions(-)

commit cb64b5ec5ff1b7ae50bfa09267f05011f9b8de96
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-05

    gck: Add GckBuilder as a mutable attribute set
    
     * Use GckBuilder to build a set of attributes, and then
       GckAttributes is a immutable set of attributes.
     * We reference count the memory used in attributes, so
       as we copy and transfer the attributes without duplicating
       values unnecessarily

 docs/reference/gck/gck.types           |    2 +-
 gck/gck-attributes.c                   | 2219 ++++++++++++++++++--------------
 gck/gck-dump.c                         |    8 +-
 gck/gck-enumerator.c                   |   24 +-
 gck/gck-mock.c                         |  251 ++--
 gck/gck-object.c                       |   95 +-
 gck/gck-private.h                      |   14 +-
 gck/gck-session.c                      |   29 -
 gck/gck-uri.c                          |   11 +-
 gck/gck.h                              |  195 ++-
 gck/gck.symbols                        |   57 +-
 gck/tests/test-gck-attributes.c        | 1034 ++++++++++++---
 gck/tests/test-gck-crypto.c            |   31 +-
 gck/tests/test-gck-enumerator.c        |   21 +-
 gck/tests/test-gck-modules.c           |    5 +-
 gck/tests/test-gck-object.c            |   56 +-
 gck/tests/test-gck-session.c           |    9 +-
 gck/tests/test-gck-uri.c               |   33 +-
 gcr/gcr-base.symbols                   |    1 +
 gcr/gcr-certificate-renderer.c         |    7 +-
 gcr/gcr-certificate-request-renderer.c |   16 +-
 gcr/gcr-gnupg-importer.c               |    5 +-
 gcr/gcr-gnupg-renderer.c               |    7 +-
 gcr/gcr-import-interaction.c           |   24 +-
 gcr/gcr-import-interaction.h           |   12 +-
 gcr/gcr-importer.c                     |    2 +-
 gcr/gcr-key-renderer.c                 |    9 +-
 gcr/gcr-openssh.c                      |  113 +-
 gcr/gcr-parser.c                       |   33 +-
 gcr/gcr-pkcs11-certificate.c           |   15 +-
 gcr/gcr-pkcs11-import-dialog.c         |   12 +-
 gcr/gcr-pkcs11-import-dialog.h         |    4 +-
 gcr/gcr-pkcs11-import-interaction.c    |   18 +-
 gcr/gcr-pkcs11-importer.c              |  109 +-
 gcr/gcr-subject-public-key.c           |  175 ++-
 gcr/gcr-trust.c                        |   69 +-
 gcr/gcr.symbols                        |    1 +
 gcr/tests/frob-parser.c                |    2 +-
 gcr/tests/test-certificate-chain.c     |   41 +-
 gcr/tests/test-fingerprint.c           |   13 +-
 gcr/tests/test-pkcs11-certificate.c    |   19 +-
 gcr/tests/test-subject-public-key.c    |   30 +-
 gcr/tests/test-trust.c                 |   15 +-
 43 files changed, 2929 insertions(+), 1917 deletions(-)

commit 007f81cb2856fdfa8879e39f8032057e521867b4
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-05

    egg: Make secure memory pool shared across modules
    
     * The globals for the secure memory pool need to be shared across linked
       modules. So that for example gck, gcr, and gsecret libraries can
       share the same pool, even though code is compiled into each library.
     * There's versioning so they'll only work with each other if they all
       share the same code.

 egg/Makefile.am          |  4 +++
 egg/egg-secure-memory.c  | 69 +++++++++++++++++++++++++++---------------------
 egg/egg-secure-memory.h  | 42 +++++++++++++++--------------
 egg/tests/test-dh.c      |  2 +-
 egg/tests/test-hkdf.c    | 12 ++++++++-
 egg/tests/test-openssl.c |  2 +-
 egg/tests/test-secmem.c  |  2 +-
 egg/tests/test-symkey.c  |  2 +-
 gck/Makefile.am          |  3 ++-
 gck/gck-misc.c           |  4 +++
 gck/gck.symbols          |  1 +
 gcr/Makefile.am          |  2 +-
 gcr/gcr-memory.c         | 66 +--------------------------------------------
 13 files changed, 89 insertions(+), 122 deletions(-)

commit a16ba63c2d0d7018fcd19ec895160fe44fd6b8ca
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-08

    Bump version number for upcoming release

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 05229c49db4159fb909d4f70a3d2d4cc930b3a90
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-06

    Fix build for glib 2.31 deprecations
    
     * Mainly g_mutex_new/g_mutex_free g_cond_new/g_cond_free
     * Since we like to build with the last stable version of glib,
       using #ifdef until these glib changes make it into a stable release.

 build/glib.supp      | 27 ++++++++++++++++++++++++++-
 build/unknown.supp   | 36 ++++++++++++++++++++++++++++++++++++
 egg/egg-libgcrypt.c  | 10 ++++++++++
 gck/gck-enumerator.c | 10 ++++++++++
 gck/gck-session.c    | 10 ++++++++++
 gcr/gcr-importer.c   | 14 ++++++++++++++
 6 files changed, 106 insertions(+), 1 deletion(-)

commit 8c11d569c94519c7bc099ec2b6ddd4d944e186eb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-30

    gcr: Fix testing errors

 build/glib.supp | 10 ++++++++++
 gcr/gcr.symbols |  2 ++
 2 files changed, 12 insertions(+)

commit e6402dc8507290d6871e337a6714dd6fa265e9c4
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-30

    gcr: Parse gnupg import errors correctly to GError result
    
     * Look at first error output line, and try to get message from
       gnupg stderr

 gcr/gcr-gnupg-importer.c | 46 ++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 42 insertions(+), 4 deletions(-)

commit 25b171348301141da37239078c81f3d0cfad1d68
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-30

    gcr: Fix problem looking up the renderers
    
     * Fix format being copied in gcr_parsed_ref()
     * Add debug output to the lookup for importers

 gcr/gcr-importer.c | 14 ++++++++++++++
 gcr/gcr-parser.c   |  2 ++
 2 files changed, 16 insertions(+)

commit 8db137b0d9c747773d2e4978fb8295eaf2ec5f80
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-30

    gcr: Don't show empty dates in gnupg key renderer
    
     * Also hide capabilities line if none are present

 gcr/gcr-gnupg-renderer.c | 2 +-
 gcr/gcr-record.c         | 8 ++++++--
 2 files changed, 7 insertions(+), 3 deletions(-)

commit 62fbbdb564bfb28addeebf060a58dd20f026b398
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-30

    gcr: Show import errors in an info bar under the viewer
    
     * Add importing signal to GcrImportButton
     * Add a GtkInfoBar to GcrViewerWindow

 docs/reference/gcr/gcr-sections.txt |  8 +---
 docs/reference/gcr/gcr.interfaces   |  7 ++--
 gcr/gcr-import-button.c             | 16 ++++++++
 gcr/gcr-import-button.h             |  6 +++
 gcr/gcr-viewer-widget.c             | 79 +++++++++++++++++++++++++++++++------
 gcr/gcr-viewer-widget.h             | 11 +++---
 gcr/gcr-viewer-window.c             | 20 +++++++---
 7 files changed, 115 insertions(+), 32 deletions(-)

commit 5b2e1e18810b48618b9e17d5c5ae9c0b6cd3438c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-30

    gcr: Fix invalid memory access in _gcr_records_parse_colons()

 gcr/gcr-record.c | 50 +++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 49 insertions(+), 1 deletion(-)

commit b951143ba734e7b1664b5241434a96e0ce12a0fe
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-30

    gck: Make the gck_attributes_to_string() function public
    
     * Used for debugging and logging

 docs/reference/gck/gck-sections.txt |  1 +
 gck/gck-attributes.c                | 13 ++++++++++++-
 gck/gck-enumerator.c                |  6 +++---
 gck/gck-private.h                   |  2 --
 gck/gck-session.c                   |  4 ++--
 gck/gck.h                           |  2 ++
 gck/gck.symbols                     |  1 +
 7 files changed, 21 insertions(+), 8 deletions(-)

commit 42eab234b2257ac818988d64adb0781a2d62eddb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-29

    gcr: Add gcr_certificate_get_basic_constraints()
    
     * Function to retrieve basic constraints info from a certificate

 docs/reference/gcr/gcr-sections.txt |  1 +
 gcr/Makefile.am                     |  1 +
 gcr/gcr-base.symbols                |  1 +
 gcr/gcr-certificate-extensions.c    | 32 ++++++++++++++++++++++++++++++++
 gcr/gcr-certificate-extensions.h    |  4 ++++
 gcr/gcr-certificate.c               | 37 +++++++++++++++++++++++++++++++++++++
 gcr/gcr-certificate.h               |  4 ++++
 gcr/tests/test-certificate.c        | 19 +++++++++++++++++--
 8 files changed, 97 insertions(+), 2 deletions(-)

commit 09d2d7d14b0fcadaabad6155ab635f890c957bd9
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-29

    gcr: Add gcr_certificate_get_xxx_name()
    
     * To get a decent name for a certificate, using the CN, OU, and O

 docs/reference/gcr/gcr-sections.txt |  2 ++
 gcr/gcr-base.symbols                |  2 ++
 gcr/gcr-certificate.c               | 58 ++++++++++++++++++++++++++++++++++---
 gcr/gcr-certificate.h               |  4 +++
 4 files changed, 62 insertions(+), 4 deletions(-)

commit fcb9ad9d2a52ff32991a42ac55c29ebc5829ef94
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-29

    gck: Retrieve attributes in GckEnumerator properly
    
     * Previously retrieved attributes only for first enumerator
       iteration.
     * Properly retrieve attributes for objects found, but not
       yet attributes retrieved.

 gck/gck-enumerator.c            | 90 +++++++++++++++++++----------------------
 gck/tests/test-gck-enumerator.c | 36 ++++++++++++++++-
 2 files changed, 77 insertions(+), 49 deletions(-)

commit 2b9854eabc343bec42c313ac5df82091d355a6c7
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-25

    gcr: Fix build gulong != gsize
    
    https://bugzilla.gnome.org/show_bug.cgi?id=664832

 gcr/gcr-key-mechanisms.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 248450a71a214f9aed593431e4068a71bba54c88
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-24

    gcr: Update documentation and symbols

 docs/reference/gcr/gcr-sections.txt |  7 ++++++-
 gcr/gcr-base.symbols                |  3 +++
 gcr/gcr-certificate-request.c       | 31 +++++++++++++++++++++++++++++++
 3 files changed, 40 insertions(+), 1 deletion(-)

commit df77f1b4561671791b535a89d3f39c7ded35b1e1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-23

    gcr: Support plain RSA signing
    
     * And detect the mechanisms supported on a given key.

 gcr/Makefile.am                      |   1 +
 gcr/gcr-certificate-request.c        | 243 ++++++++++++++++++++++++++++++-----
 gcr/gcr-certificate-request.h        |  13 ++
 gcr/gcr-key-mechanisms.c             | 222 ++++++++++++++++++++++++++++++++
 gcr/gcr-key-mechanisms.h             |  56 ++++++++
 gcr/tests/frob-certificate-request.c |   9 ++
 6 files changed, 515 insertions(+), 29 deletions(-)

commit 2edc1fc3bdb4e014bd9188ea5ef776fda21849b0
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-23

    gcr: Add support for encoding certificate requests as PEM
    
     * Add textual argument to gcr_certificate_request_encode()

 gcr/gcr-certificate-request.c        | 28 +++++++++++++++++++++++++---
 gcr/gcr-certificate-request.h        |  1 +
 gcr/tests/frob-certificate-request.c | 14 ++++----------
 3 files changed, 30 insertions(+), 13 deletions(-)

commit 84e3880d32f058a2a1c98fb750fc87fb9e3559e1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-23

    gck: Change gck_object_get attr_types arguments to const
    
     * So they can be used with const defined arrays

 gck/gck-object.c | 15 +++++++++++----
 gck/gck.h        |  4 ++--
 2 files changed, 13 insertions(+), 6 deletions(-)

commit 1d2a165dfd59ab2e1b604eaba12e18790c9ed281
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-21

    gcr: Add missing symbols, and build fixes

 docs/reference/gcr/Makefile.am      |  1 +
 docs/reference/gcr/gcr-sections.txt |  9 ---------
 gcr/Makefile.am                     |  2 +-
 gcr/gcr-base.symbols                | 10 ++++++++++
 gcr/gcr-parser.c                    |  2 +-
 gcr/gcr-subject-public-key.c        |  2 +-
 po/POTFILES.in                      |  3 ++-
 7 files changed, 16 insertions(+), 13 deletions(-)

commit afab17dbf9607620995f4a10304f66315469f597
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-21

    gcr: Rename GcrCertificateReqRenderer to GcrCertificateRequestRenderer
    
     * Longer name is more in line with our other names

 gcr/Makefile.am                        |   2 +-
 gcr/gcr-certificate-req-renderer.c     | 538 ---------------------------------
 gcr/gcr-certificate-req-renderer.h     |  70 -----
 gcr/gcr-certificate-request-renderer.c | 538 +++++++++++++++++++++++++++++++++
 gcr/gcr-certificate-request-renderer.h |  70 +++++
 gcr/gcr-renderer.c                     |   4 +-
 gcr/tests/frob-request.c               |   4 +-
 7 files changed, 613 insertions(+), 613 deletions(-)

commit e247100fb735ff5e0650fa0f3d45785875701ca3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-21

    gcr: Document GcrCertificateRequest
    
    https://bugzilla.gnome.org/show_bug.cgi?id=663604

 docs/reference/gcr/Makefile.am       |   1 +
 docs/reference/gcr/gcr-docs.sgml     |   1 +
 docs/reference/gcr/gcr-sections.txt  |  28 +++++++++
 gck/gck-session.c                    |   2 +-
 gcr/gcr-certificate-request.c        | 114 ++++++++++++++++++++++++++++++++++-
 gcr/gcr-certificate-request.h        |  18 +++---
 gcr/tests/frob-certificate-request.c |   2 +-
 7 files changed, 154 insertions(+), 12 deletions(-)

commit 6830937f195dce60a7bfe2c59846ffdda0c3e55a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-18

    gcr: Add GcrCertificateRequest class for requesting certificates
    
     * The GcrCertificateRequest class can be used to build certificate
       requests.
     * Currently only the PKCS#10 format is supported.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=663604

 gcr/Makefile.am                      |   2 +
 gcr/gcr-base.h                       |   1 +
 gcr/gcr-certificate-request.c        | 493 +++++++++++++++++++++++++++++++++++
 gcr/gcr-certificate-request.h        |  71 +++++
 gcr/gcr-oids.list                    |   9 +-
 gcr/tests/Makefile.am                |   5 +
 gcr/tests/console-interaction.c      | 175 +++++++++++++
 gcr/tests/console-interaction.h      |  34 +++
 gcr/tests/frob-certificate-request.c | 114 ++++++++
 9 files changed, 901 insertions(+), 3 deletions(-)

commit c2c73dfc3ff6c94aa5615c1c8047ed8b862f7b6f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-18

    gcr: Implement functions for loading and using SubjectPublicKeyInfo
    
     * Move key calculation routines into gcr-subject-public-key.c
     * Move creation of SPK from gcr-fingerprint.c into here
     * Implement loading of SPK from PKCS#11 certificates, public keys,
       private keys
     * Add support for parsing SubjectPublicKeyInfo to parser. Generates
       attributes for a CKO_PUBLIC_KEY
     * Fix bugs in DER encoding related to this.
     * More tweaks on testing infrastructure

 docs/reference/gcr/gcr-sections.txt |   1 -
 egg/egg-asn1x.c                     |  11 +-
 egg/egg-testing.h                   |   2 +
 gck/gck-mock.c                      |   7 +-
 gcr/Makefile.am                     |   4 +-
 gcr/gcr-base.symbols                |   1 -
 gcr/gcr-certificate-req-renderer.c  |  16 +-
 gcr/gcr-certificate.c               |   4 +-
 gcr/gcr-debug.c                     |   1 +
 gcr/gcr-debug.h                     |   1 +
 gcr/gcr-fingerprint.c               | 327 +-------------
 gcr/gcr-fingerprint.h               |   4 -
 gcr/gcr-key-size.c                  | 106 -----
 gcr/gcr-key-size.h                  |  33 --
 gcr/gcr-parser.c                    | 117 +++++
 gcr/gcr-subject-public-key.c        | 848 ++++++++++++++++++++++++++++++++++++
 gcr/gcr-subject-public-key.h        |  55 +++
 gcr/gcr-types.h                     |   2 +
 gcr/tests/Makefile.am               |   1 +
 gcr/tests/files/client.spk          | Bin 0 -> 294 bytes
 gcr/tests/files/generic-dsa.spk     | Bin 0 -> 443 bytes
 gcr/tests/test-subject-public-key.c | 721 ++++++++++++++++++++++++++++++
 po/POTFILES.in                      |   1 +
 23 files changed, 1785 insertions(+), 478 deletions(-)

commit 07ac51b4f1c7268d807370cf63ab7de9c02d8ac1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-17

    gck: add gck_attributes_set() and gck_attributes_set_all() functions

 docs/reference/gck/gck-sections.txt |   3 +
 gck/gck-attributes.c                |  77 ++++++++++++++++++++++++
 gck/gck.h                           |   8 +++
 gck/gck.symbols                     |   3 +
 gck/tests/test-gck-attributes.c     | 114 +++++++++++++++++++++++++++++++++---
 5 files changed, 197 insertions(+), 8 deletions(-)

commit b9ce2ad2d7a24aba078238ba0e2f38726a5627c1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-17

    egg: Add support for building simple DNs

 egg/egg-dn.c        | 85 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 egg/egg-dn.h        |  4 +++
 egg/tests/test-dn.c | 39 ++++++++++++++++++++++++
 3 files changed, 128 insertions(+)

commit ef4773b8f4b00ca9b4c2fa4e73e2c6523d1f7389
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-17

    egg: Fix regression of DER choice encoding

 egg/egg-asn1x.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 77bbfca91cba5e9428c0c716a1a5cd82ae40717b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-17

    egg: Encode DER tag classes correctly
    
     * Encode DER tag classes correctly for universal, application
       and private classes

 egg/egg-asn1x.c       | 38 +++++++++++++++------
 egg/tests/test-asn1.c | 95 ++++++++++++++++++++++++++++++++++++++++++++++++---
 egg/tests/test.asn    |  2 ++
 3 files changed, 119 insertions(+), 16 deletions(-)

commit c823c00677ddda03862adf2914a35670fa7cb0c9
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-17

    egg: Rework egg_assert_cmpbytes()
    
     * Rename to more inline with other testing functions
     * Clearer messages

 egg/egg-bytes.h          |  3 ---
 egg/egg-testing.c        |  3 ++-
 egg/egg-testing.h        |  7 +++++++
 egg/tests/test-asn1.c    | 22 +++++++++++-----------
 egg/tests/test-openssl.c |  2 +-
 5 files changed, 21 insertions(+), 16 deletions(-)

commit 56132c69b650504d05f485f3222263a170fb5cc1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-17

    egg: In egg_assert_cmpmem() output printable without encoding

 egg/egg-testing.c | 17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)

commit 66873180053acac68a93cb98fbc81f0bcb55a174
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-17

    egg: Expose ASN.1 node types

 egg/egg-asn1x.c       | 355 ++++++++++++++++++++++++--------------------------
 egg/egg-asn1x.h       |  27 ++++
 egg/tests/test-asn1.c |  30 ++++-
 3 files changed, 225 insertions(+), 187 deletions(-)

commit c5b9ceec53e3ce9346fc25d620147e998ded53ab
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-17

    egg: Rename egg_asn1x_xxx_raw_element() to egg_asn1x_xxx_element_raw()

 egg/egg-asn1x.c                     |  4 ++--
 egg/egg-asn1x.h                     |  4 ++--
 egg/egg-dn.c                        |  6 +++---
 egg/egg-symkey.c                    |  4 ++--
 egg/tests/test-asn1.c               | 16 ++++++++--------
 gcr/gcr-certificate-extensions.c    |  4 ++--
 gcr/gcr-certificate-renderer.c      |  6 +++---
 gcr/gcr-certificate-req-renderer.c  |  4 ++--
 gcr/gcr-certificate.c               |  4 ++--
 gcr/gcr-fingerprint.c               |  8 ++++----
 gcr/gcr-key-size.c                  |  2 +-
 gcr/gcr-parser.c                    | 24 ++++++++++++------------
 gcr/tests/test-fingerprint.c        |  2 +-
 gcr/tests/test-pkcs11-certificate.c |  2 +-
 14 files changed, 45 insertions(+), 45 deletions(-)

commit b189cedc1a41703dedd3e9a256e7689c34e38705
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-08

    gcr: Add support for viewing certificate requests
    
     * Both PKCS#10/CSR and SPKAC
     * Update mime database for SPKAC and CSR
     * Associate viewer with these files
    
    https://bugzilla.gnome.org/show_bug.cgi?id=663604

 egg/pkix.asn                            |   5 +
 gcr/Makefile.am                         |   3 +
 gcr/gcr-certificate-renderer-private.h  |  51 +++
 gcr/gcr-certificate-renderer.c          | 392 ++++++++++++-----------
 gcr/gcr-certificate-req-renderer.c      | 550 ++++++++++++++++++++++++++++++++
 gcr/gcr-certificate-req-renderer.h      |  70 ++++
 gcr/gcr-certificate.c                   | 100 +-----
 gcr/gcr-crypto-types.xml                |  16 +
 gcr/gcr-key-size.c                      | 106 ++++++
 gcr/gcr-key-size.h                      |  33 ++
 gcr/gcr-oids.list                       |   1 +
 gcr/gcr-renderer.c                      |   2 +
 gcr/gcr-types.h                         |   2 +-
 gcr/gcr-viewer.desktop.in               |   2 +-
 gcr/gcr-viewer.desktop.in.in            |   2 +-
 gcr/tests/Makefile.am                   |   1 +
 gcr/tests/files/pem-with-attributes.req |  64 ++++
 gcr/tests/frob-request.c                |  96 ++++++
 po/POTFILES.in                          |   1 +
 19 files changed, 1217 insertions(+), 280 deletions(-)

commit c574a0f1118c713ebdfd06da77936d11e8158c04
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-07

    gcr: Add support for parsing PKCS#10 and SPKAC formats
    
     * Add support for PKCS#10 both DER and PEM encoded
     * Add support for HTML5 SPKAC <keygen> certificate request
       format, both raw DER and encoded like OpenSSL output
    
    https://bugzilla.gnome.org/show_bug.cgi?id=663604

 egg/pkix.asn                            |  14 ++++
 gcr/gcr-parser.c                        | 144 +++++++++++++++++++++++++++++++-
 gcr/gcr-types.h                         |  17 +++-
 gcr/tests/files/base64-rsa-2048.spkac   |   1 +
 gcr/tests/files/der-rsa-2048.p10        | Bin 0 -> 681 bytes
 gcr/tests/files/der-rsa-2048.spkac      | Bin 0 -> 592 bytes
 gcr/tests/files/pem-rsa-2048.req        |  17 ++++
 testing/ca-example/requests/email.spkac |   1 +
 8 files changed, 190 insertions(+), 4 deletions(-)

commit 8b228a5dd283d998b1b3cc01b4fa9a76cab8e4eb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-22

    Release version 3.3.2.1

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 8e785ff6cf5f1d2e48f713f7d4f0ee8872bb9d79
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-21

    Don't include internal glib headers
    
     * Fixes the build with glib 2.31

 egg/egg-bytes.h | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit bed72254b9dda55e6a6412b4313ae9452eea0fc3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-21

    Fix bugs and unused code highlighted by the clang static analyzer

 .gitignore                     |  1 +
 egg/egg-armor.c                |  4 +-
 egg/egg-asn1x.c                |  3 +-
 egg/egg-symkey.c               |  1 -
 gck/gck-enumerator.c           |  1 -
 gcr/gcr-certificate-renderer.c |  5 ++-
 gcr/gcr-gnupg-key.c            | 91 +-----------------------------------------
 gcr/gcr-gnupg-records.c        |  1 -
 gcr/gcr-gnupg-renderer.c       |  2 +-
 gcr/gcr-parser.c               |  3 --
 10 files changed, 9 insertions(+), 103 deletions(-)

commit 6a99e2f0f6d1108b899244f2838ad85261ea7596
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-21

    Bump version number

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1079619fac3542ef5a3d9071488feba046a60cef
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-21

    Release 3.3.2

 NEWS | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 2343c7fcebb865c3c8ad139bac89f7b4a053cc66
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-21

    egg: Remove usage of libtasn1.h
    
     * Copy a few definitions for using the asn1Parser generated
       definitions files.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=664187

 .gitignore             |   3 +-
 Makefile.decl          |   9 +++-
 egg/Makefile.am        |  23 +++++----
 egg/egg-asn1-defs.c    |  33 +++++++++++++
 egg/egg-asn1-defs.h    |  12 +++--
 egg/egg-asn1x.c        | 123 +++++++++++++++++++++++++++++++------------------
 egg/egg-asn1x.h        |   8 ++--
 egg/tests/Makefile.am  |  18 +++++---
 egg/tests/test-asn1.c  |   4 +-
 egg/tests/test-asn1x.c |   4 +-
 egg/tests/test-dn.c    |   1 -
 gcr/gcr-parser.c       |   2 +-
 12 files changed, 161 insertions(+), 79 deletions(-)

commit f3b9d46c75675e9b4b451164dd32ed9b1af0dfb1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-17

    Add valgrind memory checking and fix up errors
    
     * This is especially necessary after migrating to EggBytes
       since it's reference counted and an easy sourc of memory leaks
     * Remove threading from testing framework, as gcr isn't threadsafe
       in all parts.
     * Fix bugs discovered in memory checking.
     * Fix up some of the testing stuff.

 .gitignore                          |    5 +-
 Makefile.am                         |   22 +-
 Makefile.decl                       |   26 +
 build/Makefile.am                   |   28 +
 build/gcr.supp                      |   14 +
 build/gcrypt.supp                   |   39 +
 build/glib.supp                     |  384 +++
 build/glibc.supp                    |   13 +
 build/m4/.gitignore                 |    1 +
 build/p11-kit.supp                  |    6 +
 build/pixman.supp                   |    6 +
 build/pthread.supp                  |    7 +
 build/unknown.supp                  |  384 +++
 build/valgrind/memcheck.h           |  283 ++
 build/valgrind/valgrind.h           | 5344 +++++++++++++++++++++++++++++++++++
 configure.ac                        |    2 +
 egg/Makefile.am                     |    7 +-
 egg/egg-asn1x.c                     |   25 +-
 egg/egg-bytes.c                     |    1 +
 egg/egg-decimal.c                   |    2 +
 egg/egg-dh.c                        |    2 +-
 egg/egg-dn.c                        |    5 +-
 egg/egg-hkdf.c                      |    1 +
 egg/egg-openssl.c                   |    1 +
 egg/egg-secure-memory.c             |  393 +--
 egg/egg-secure-memory.h             |   38 +-
 egg/egg-symkey.c                    |    1 -
 egg/egg-testing.c                   |  131 +-
 egg/egg-testing.h                   |   17 +-
 egg/tests/Makefile.am               |    3 +
 egg/tests/test-asn1.c               |    8 +-
 egg/tests/test-hex.c                |    6 +
 egg/tests/test-openssl.c            |    4 +
 egg/tests/test-padding.c            |    2 +
 egg/tests/test-secmem.c             |   15 +-
 egg/tests/test-symkey.c             |    7 +
 gck/Makefile.am                     |    3 +
 gck/gck-interaction.c               |    1 +
 gck/gck-mock.c                      |    6 +-
 gck/gck-session.c                   |    1 +
 gck/tests/Makefile.am               |    4 +
 gck/tests/test-gck-attributes.c     |    2 +
 gck/tests/test-gck-crypto.c         |   31 +-
 gck/tests/test-gck-enumerator.c     |   22 +-
 gck/tests/test-gck-module.c         |    3 +-
 gck/tests/test-gck-modules.c        |    2 +-
 gck/tests/test-gck-object.c         |    6 +-
 gck/tests/test-gck-session.c        |   12 +-
 gck/tests/test-gck-slot.c           |    2 +-
 gck/tests/test-gck-uri.c            |    1 +
 gcr/Makefile.am                     |    3 +
 gcr/gcr-fingerprint.c               |    7 +-
 gcr/gcr-gnupg-key.c                 |    4 +-
 gcr/gcr-gnupg-process.c             |   35 +-
 gcr/gcr-internal.h                  |    2 +
 gcr/gcr-library.c                   |   21 +
 gcr/gcr-openssh.c                   |    1 +
 gcr/gcr-parser.c                    |   14 +-
 gcr/gcr-secret-exchange.c           |    9 +-
 gcr/gcr-util.c                      |    8 +-
 gcr/tests/Makefile.am               |    3 +
 gcr/tests/test-certificate-chain.c  |    4 +-
 gcr/tests/test-gnupg-collection.c   |    2 +-
 gcr/tests/test-gnupg-key.c          |   11 +-
 gcr/tests/test-gnupg-process.c      |   71 +-
 gcr/tests/test-memory-icon.c        |   17 +-
 gcr/tests/test-openpgp.c            |    2 +-
 gcr/tests/test-openssh.c            |    2 +-
 gcr/tests/test-parser.c             |    2 +
 gcr/tests/test-pkcs11-certificate.c |    4 +-
 gcr/tests/test-secret-exchange.c    |    7 +-
 gcr/tests/test-trust.c              |    4 +-
 testing/Makefile.am                 |    4 -
 73 files changed, 7223 insertions(+), 343 deletions(-)

commit 97cd79171dfbba24394f070f3946b20c2d518d2d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-16

    gcr: Use GBytes immutable ref counted byte buffers
    
     * Copy from glib patch to EggBytes
     * This allows us to reliably build up ASN.1 structures from different
       sources, and is needed for the certificate request work.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=663291

 egg/Makefile.am                     |   2 +-
 egg/egg-armor.c                     |  40 +--
 egg/egg-armor.h                     |  11 +-
 egg/egg-asn1x.c                     | 595 +++++++++++++++++++++++-------------
 egg/egg-asn1x.h                     |  80 +++--
 egg/egg-byte-array.c                |  65 ----
 egg/egg-byte-array.h                |  33 --
 egg/egg-bytes.c                     | 453 +++++++++++++++++++++++++++
 egg/egg-bytes.h                     | 106 +++++++
 egg/egg-dn.c                        |  79 ++---
 egg/egg-dn.h                        |   8 +-
 egg/egg-openssl.c                   |  82 ++---
 egg/egg-openssl.h                   |  20 +-
 egg/egg-symkey.c                    | 193 +++++++-----
 egg/egg-symkey.h                    |   8 +-
 egg/tests/test-asn1.c               | 435 ++++++++++++++------------
 egg/tests/test-asn1x.c              |  17 +-
 egg/tests/test-dn.c                 |  26 +-
 egg/tests/test-openssl.c            |  65 ++--
 gcr/gcr-certificate-extensions.c    |  54 ++--
 gcr/gcr-certificate-extensions.h    |  20 +-
 gcr/gcr-certificate-renderer.c      | 141 +++++----
 gcr/gcr-certificate.c               | 148 +++++----
 gcr/gcr-fingerprint.c               | 115 ++++---
 gcr/gcr-openpgp.c                   |  16 +-
 gcr/gcr-openpgp.h                   |   8 +-
 gcr/gcr-openssh.c                   |  35 ++-
 gcr/gcr-openssh.h                   |   8 +-
 gcr/gcr-parser.c                    | 470 +++++++++++++++-------------
 gcr/tests/frob-openpgp.c            |  29 +-
 gcr/tests/test-fingerprint.c        |  95 +++---
 gcr/tests/test-openpgp.c            |  26 +-
 gcr/tests/test-openssh.c            |  39 ++-
 gcr/tests/test-pkcs11-certificate.c |  16 +-
 34 files changed, 2233 insertions(+), 1305 deletions(-)

commit 44aac490b6866c01d81975de2094899ed843bbc1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-15

    gck: Make gck_attributes_unref take a pointer
    
     * So it can be used as a GDestroyNotify

 gck/gck-attributes.c | 21 +++++++++++----------
 gck/gck.h            |  2 +-
 2 files changed, 12 insertions(+), 11 deletions(-)

commit 5e7f0de4dad010e2e94b525f9c77de8b683e63d5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-15

    gcr: Add missing symbols to gcr.symbols

 gcr/gcr.symbols | 2 ++
 1 file changed, 2 insertions(+)

commit c20ca48b9822ff7f2128c5055d13a5abb337c354
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-15

    gck: Fix problem where gck_slot_open_session_async() leaked objects
    
     * Held a reference to the session and result, which kept the module

 gck/gck-mock.c               |  1 +
 gck/gck-slot.c               | 11 +++++++++--
 gck/tests/test-gck-session.c |  4 ++++
 3 files changed, 14 insertions(+), 2 deletions(-)

commit b22d39cf68a59189572006a21537018e6c5ab4d6
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-15

    Ignore editor backup files

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit d9b98a02bb228552244096e8ce78b2b8ebbdc202
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-14

    gck: Fix regression in gck_slot_open_session_finish
    
     * The first argument is a slot, but we directly called
       g_async_initable_new_async, and therefore a GckSession
       was erroneously expected.

 gck/gck-slot.c | 40 +++++++++++++++++++++++++++++++++++++---
 1 file changed, 37 insertions(+), 3 deletions(-)

commit 6ec1c6ae545bdc99b821063456a111257b8110c1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-13

    Fix problem where test sources were being ignored by git.
    
     * And add test-filter-collection.c

 .gitignore                         |  17 ++-
 gcr/tests/test-filter-collection.c | 274 +++++++++++++++++++++++++++++++++++++
 2 files changed, 282 insertions(+), 9 deletions(-)

commit ec6e65cf09804d91bf10b15e75b02056c02f59a0
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-09

    gcr: Allow changing the collection on a GcrCollectionModel
    
     * Make the collection property writable any time
     * Add gcr_collection_model_set_collection() function
     * Try to be smart about adding/removing objects that are in
       the intersection of the old/new collections

 gcr/gcr-collection-model.c | 88 +++++++++++++++++++++++++++++++++++-----------
 gcr/gcr-collection-model.h |  3 ++
 2 files changed, 70 insertions(+), 21 deletions(-)

commit 3bffaf39e4e32daa1942e32f68c10ff35d509bd7
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-09

    gcr: Add tree and list mode for GcrCollectionModel
    
     * Way for callers to turn off the nesting behavior of GcrCollectionModel
     * Specify GCR_COLLECTION_MODEL_LIST at startup.
     * No stable software yet uses GcrCollectionModel, so changing API.

 docs/reference/gcr/gcr-sections.txt |  4 +++
 gcr/gcr-collection-model.c          | 65 +++++++++++++++++++++++++++----------
 gcr/gcr-collection-model.h          |  7 ++++
 gcr/gcr-combo-selector.c            |  1 +
 gcr/gcr-list-selector.c             |  1 +
 gcr/gcr-tree-selector.c             |  1 +
 6 files changed, 61 insertions(+), 18 deletions(-)

commit c84c8f8ab0168e288e5f92a09d9dc9f4ef1d0192
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-09

    gck: Fix annotations for array and out params in GckSession

 gck/gck-session.c | 99 ++++++++++++++++++++++++++++---------------------------
 1 file changed, 51 insertions(+), 48 deletions(-)

commit 23a6d43242398990e7fc46d3044883299803aafc
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-09

    gck: Allow generating key without getting out key objects
    
     * Allow public_key and private_key locations to be null in
       gck_session_generate_key_pair(), -gck_session_generate_key_pair_full()
       and gck_session_generate_key_pair_finish()

 gck/gck-session.c | 50 +++++++++++++++++++++++++++++---------------------
 1 file changed, 29 insertions(+), 21 deletions(-)

commit fa095ebe11a59c9cda2a49651a0bec821e9fce30
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-09

    gcr: Add GcrFilterCollection
    
     * Adds a new collection type, which wraps another collection and
       filters out certain objects

 docs/reference/gcr/gcr-sections.txt |  21 ++
 docs/reference/gcr/gcr.interfaces   |   1 +
 docs/reference/gcr/gcr.types        |   1 +
 gcr/Makefile.am                     |   2 +
 gcr/gcr-base.h                      |   1 +
 gcr/gcr-base.symbols                |   5 +
 gcr/gcr-filter-collection.c         | 381 ++++++++++++++++++++++++++++++++++++
 gcr/gcr-filter-collection.h         |  76 +++++++
 gcr/tests/Makefile.am               |   1 +
 9 files changed, 489 insertions(+)

commit 97c5fa57007784ad11419c0828e5348c06894c21
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-07

    gck: fix symbols file

 gck/gck.symbols | 1 +
 1 file changed, 1 insertion(+)

commit 7cb2c0e109760bce566a4dfea77f2fe899e652ad
Author: Colin Walters <walters@verbum.org>
Date:   2011-11-03

    autogen.sh: Make executable

 0 files changed

commit 41e66a2cc61376a82cb53423e4a8c1e03b19058e
Author: Colin Walters <walters@verbum.org>
Date:   2011-11-03

    build: Don't reference uninstalled gck
    
    The --include-uninstalled argument is sufficent; we shouldn't
    redundantly pass gck as a package or include.

 gcr/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 794ca1502a562b20ace487c23bb15884df5dd3f3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-03

    gck: gck_attribute_get_string() should not return a NULL string
    
     * Fix bug where a NULL string would be returned if the attribute
       was found but was invalid.

 gck/gck-attributes.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 8667b2f7756b42a570ef1328d3f4658da7dffb3f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-03

    gck: Add gck_attribute_hash and cleanup for use in hash table
    
     * Add gck_attribute_hash() so GckAttribute can be used as a
       hash table key.
     * Change gck_attribute_free() and gck_attribute_equal() to use
       pointers so they can be used as GEqualFunc and GDestroyNotify
       without casting

 docs/reference/gck/gck-sections.txt |  1 +
 gck/gck-attributes.c                | 47 ++++++++++++++++++++++++++++---------
 gck/gck.h                           |  8 ++++---
 3 files changed, 42 insertions(+), 14 deletions(-)

commit 468414442f0c4a785fcf784752cae8a1e44323c9
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-02

    gck: Chaining of enumerators
    
     * Add functions gck_enumerator_get_chained() and
       gck_enumerator_set_chained()
     * Chaining enumerator returns results from the chained enumerator
       after all results have been retrieved from the former.

 docs/reference/gck/gck-sections.txt |   2 +
 gck/gck-enumerator.c                | 198 +++++++++++++++++++++++++++++-------
 gck/gck.h                           |   5 +
 gck/gck.symbols                     |   2 +
 gck/tests/test-gck-enumerator.c     |  40 ++++++++
 5 files changed, 210 insertions(+), 37 deletions(-)

commit 83c859210e66ffa5e0d7814cb822066c23c1e7bb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-02

    gck: Allow enumerating objects on a session
    
     * Add gck_session_enumerate_objects()
     * This has several advantages such as retrieving attributes during
       the enumeration, etc.

 docs/reference/gck/gck-sections.txt |   1 +
 gck/gck-enumerator.c                | 100 +++++++++++++++++++++++++++---------
 gck/gck-modules.c                   |   4 +-
 gck/gck-private.h                   |   9 +++-
 gck/gck-session.c                   |  27 +++++++++-
 gck/gck-slot.c                      |   2 +-
 gck/gck.h                           |   3 ++
 gck/gck.symbols                     |   1 +
 gck/tests/test-gck-enumerator.c     |  57 +++++++++++++++-----
 9 files changed, 163 insertions(+), 41 deletions(-)

commit b4fa5d383344c703de7c40ab6d058c8410c19220
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-02

    gck: Fix documentation

 gck/gck-session.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 399f40a41f058a19c490cf8e5c8ba940e053510f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-02

    gck: GTlsInteraction is set on sessions, not slots
    
     * At least for now. We can figure out how to have a global interaction
       handler later.
     * interactions often are specific to windows which are bound to sessions
       rather than being a global deal so we need to have this level of
       granularity.

 docs/reference/gck/gck-sections.txt |  3 +-
 docs/reference/gcr/gcr.interfaces   |  1 +
 gck/gck-session.c                   | 89 ++++++++++++++++++++++++++--------
 gck/gck-slot.c                      | 96 +------------------------------------
 gck/gck.h                           |  8 ++--
 gck/gck.symbols                     |  3 +-
 gcr/gcr-pkcs11-importer.c           | 11 ++---
 7 files changed, 79 insertions(+), 132 deletions(-)

commit 7d5588e54caced82b19073850a8332647e4e0d37
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-02

    gck: Remove unneeded variable in gck_session_from_handle()

 gck/gck-session.c | 3 ---
 1 file changed, 3 deletions(-)

commit f96fe8eb8a497522abd6fd6c0301abff48604e60
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-02

    gck: Don't try and discard handle for session that was not opened

 gck/gck-session.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit cb5ac66f0773c439c00b8a87f4a43e2532402412
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-01

    gck: Add methods for opening and logging in that accept interactions
    
     * Make GckSession GInitable and GAsyncInitable
     * With convenience functions gck_session_open and
       gck_session_open_async
     * Also add gck_session_login_interactive and
       gck_session_login_interactive_async

 docs/reference/gck/gck-sections.txt |   6 +
 docs/reference/gck/gck.interfaces   |   1 +
 gck/gck-call.c                      |   6 +-
 gck/gck-session.c                   | 441 +++++++++++++++++++++++++++++++++---
 gck/gck-slot.c                      | 158 ++-----------
 gck/gck.h                           |  33 +++
 gck/gck.symbols                     |   6 +
 gck/tests/Makefile.am               |   4 +
 gck/tests/test-gck-session.c        | 191 +++++++++++++++-
 9 files changed, 675 insertions(+), 171 deletions(-)

commit ff247f1e8128b944e6781b819c73ab9e7f5505e1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-31

    Ignore coverage file types for git inclusion

 .gitignore | 4 ++++
 1 file changed, 4 insertions(+)

commit 07a447524f89f60c7e77a83174c5efe52608911f
Author: Travis Reiter <travis.reitter@collabora.co.uk>
Date:   2011-11-01

    gcr: Fix build, link against glib
    
    https://bugzilla.gnome.org/show_bug.cgi?id=662647

 gcr/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 7702296c156d114b950d71c043b413f0a1d3de07
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-30

    gcr: Fix gobject-introspection build ... again
    
    https://bugzilla.gnome.org/show_bug.cgi?id=662648

 gcr/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit d2210cc236c1f0fcddfcba19ce2787b24b6327da
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-29

    Remove g_thread_init() calls.
    
     * g_type_init() initializes threads since 2.24 and is no longer needed
       since 2.32

 egg/egg-testing.c     | 4 +++-
 gcr/gcr-viewer-tool.c | 1 -
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 49201f9d22f6466887bf73ba62ea6644e439c902
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-28

    gcr: Remove redefinition of GcrRenderer typedef

 gcr/gcr-renderer.h | 1 -
 1 file changed, 1 deletion(-)

commit 5c59540676d1bcc88ece3d0650a78005202ed60d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-28

    gck: Remove duplicate typedef of GckObjectAttributes

 gck/gck.h | 1 -
 1 file changed, 1 deletion(-)

commit 7cad8afcea294a756f7ebdcc5d30e5b7e690f981
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-26

    Bump version number

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 78d560bf8cfd405dc381cc0abd856b7a38b89027
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-26

    Release version 3.3.1.1

 NEWS         | 5 ++++-
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 9561b78150fe2fc0cca552f2e67839ebaae0a045
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-26

    gcr: Fix building of introspection dependencies
    
     * Was failing to find glib.h

 gcr/Makefile.am | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit 62bbe3c9980716ff344a6f43101b128b4baf18ed
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-26

    gcr: Don't include main headers in individual components
    
     * Just include what we need, this helps keep rebuild times down
       and makes interdependencies clear.

 gcr/gcr-callback-output-stream.h    | 1 -
 gcr/gcr-certificate-chain.c         | 1 +
 gcr/gcr-gnupg-collection.h          | 1 -
 gcr/gcr-gnupg-process.h             | 2 +-
 gcr/gcr-icons.c                     | 1 -
 gcr/gcr-import-button.c             | 1 +
 gcr/gcr-import-button.h             | 2 +-
 gcr/gcr-library.c                   | 2 +-
 gcr/gcr-pkcs11-import-dialog.c      | 1 +
 gcr/gcr-pkcs11-import-dialog.h      | 2 +-
 gcr/gcr-pkcs11-import-interaction.h | 2 --
 gcr/gcr-secret-exchange.h           | 2 +-
 gcr/gcr-simple-certificate.h        | 2 --
 gcr/gcr-simple-collection.h         | 1 -
 gcr/gcr-single-collection.h         | 1 -
 gcr/gcr-trust.c                     | 1 -
 gcr/gcr-trust.h                     | 1 +
 gcr/gcr-union-collection.h          | 1 -
 18 files changed, 9 insertions(+), 16 deletions(-)

commit 358dda1805bb12ccda8f4888aa443713c70d0da9
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-24

    Bump version number

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a319d7963feefccba02c7ac9faec5fed281d0729
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-24

    Release version 3.3.1

 NEWS                                | 12 +++++++++++-
 docs/reference/gcr/gcr-sections.txt |  1 +
 gck/gck.symbols                     |  1 +
 gcr/gcr-base.symbols                |  1 +
 4 files changed, 14 insertions(+), 1 deletion(-)

commit fb973d9c553412cb66f6ec9be005d4cdab67eb0e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-19

    gcr: Add function to get the elements of a union collection

 gcr/gcr-union-collection.c | 16 ++++++++++++++++
 gcr/gcr-union-collection.h |  2 ++
 2 files changed, 18 insertions(+)

commit 874df503452d9578efcd0fca6b1c8958a433d10b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-17

    Add gnupg, and cleanup icon rendering
    
     * key and key-pair icons get rendered like the rest
     * Add simple gnupg icon based on gnupg logo.

 gcr/gcr-icons.h                       |    1 +
 gcr/icons/16x16/Makefile.am           |   13 +-
 gcr/icons/16x16/gcr-gnupg.png         |  Bin 0 -> 637 bytes
 gcr/icons/16x16/gcr-key-pair.png      |  Bin 878 -> 879 bytes
 gcr/icons/16x16/gcr-key.png           |  Bin 675 -> 650 bytes
 gcr/icons/22x22/Makefile.am           |   11 +-
 gcr/icons/22x22/gcr-gnupg.png         |  Bin 0 -> 843 bytes
 gcr/icons/22x22/gcr-key-pair.png      |  Bin 0 -> 1275 bytes
 gcr/icons/22x22/gcr-key.png           |  Bin 0 -> 868 bytes
 gcr/icons/24x24/Makefile.am           |   13 +-
 gcr/icons/24x24/gcr-gnupg.png         |  Bin 0 -> 858 bytes
 gcr/icons/24x24/gcr-key-pair.png      |  Bin 1221 -> 1278 bytes
 gcr/icons/24x24/gcr-key.png           |  Bin 875 -> 882 bytes
 gcr/icons/256x256/Makefile.am         |   11 +-
 gcr/icons/256x256/gcr-gnupg.png       |  Bin 0 -> 8863 bytes
 gcr/icons/32x32/Makefile.am           |   13 +-
 gcr/icons/32x32/gcr-gnupg.png         |  Bin 0 -> 1129 bytes
 gcr/icons/32x32/gcr-key-pair.png      |  Bin 1882 -> 1903 bytes
 gcr/icons/32x32/gcr-key.png           |  Bin 1201 -> 1176 bytes
 gcr/icons/48x48/Makefile.am           |   13 +-
 gcr/icons/48x48/gcr-gnupg.png         |  Bin 0 -> 1679 bytes
 gcr/icons/48x48/gcr-key-pair.png      |  Bin 3480 -> 3502 bytes
 gcr/icons/48x48/gcr-key.png           |  Bin 2087 -> 2036 bytes
 gcr/icons/Makefile.am                 |    8 +-
 gcr/icons/Makefile.decl               |   15 +
 gcr/icons/key-and-keypair.svg         | 3921 -------------------------------
 gcr/icons/src/gcr-gnupg.svg           |  293 +++
 gcr/icons/src/gcr-key-and-keypair.svg | 4138 +++++++++++++++++++++++++++++++++
 28 files changed, 4472 insertions(+), 3978 deletions(-)

commit 50dc5f5936aea5f1e8e19f7ea321dfa691e11282
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   2011-10-16

    Include gi18n-lib.h in library sources instead of gi18n.h
    
    https://bugzilla.gnome.org/show_bug.cgi?id=661929

 gck/gck-module.c                 | 2 +-
 gck/gck-modules.c                | 2 +-
 gck/gck-session.c                | 2 +-
 gcr/gcr-callback-output-stream.c | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 4886578695814db0debbe9d1ea7edfa68069e451
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-13

    gcr: Fix up docs and symbols

 docs/reference/gcr/gcr-sections.txt | 1 +
 gcr/gcr-base.symbols                | 1 +
 gcr/gcr-icons.h                     | 1 +
 3 files changed, 3 insertions(+)

commit 08066aff6ee8bcd26a84ee863197139375489406
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-13

    gcr: Add password icon

 gcr/icons/16x16/Makefile.am          |    1 +
 gcr/icons/16x16/gcr-password.png     |  Bin 0 -> 483 bytes
 gcr/icons/22x22/Makefile.am          |    1 +
 gcr/icons/22x22/gcr-password.png     |  Bin 0 -> 803 bytes
 gcr/icons/22x22/gcr-smart-card.png   |  Bin 662 -> 666 bytes
 gcr/icons/24x24/Makefile.am          |    1 +
 gcr/icons/24x24/gcr-password.png     |  Bin 0 -> 744 bytes
 gcr/icons/24x24/gcr-smart-card.png   |  Bin 636 -> 645 bytes
 gcr/icons/256x256/Makefile.am        |    1 +
 gcr/icons/256x256/gcr-password.png   |  Bin 0 -> 5596 bytes
 gcr/icons/256x256/gcr-smart-card.png |  Bin 9294 -> 10098 bytes
 gcr/icons/32x32/Makefile.am          |    1 +
 gcr/icons/32x32/gcr-password.png     |  Bin 0 -> 902 bytes
 gcr/icons/48x48/Makefile.am          |    1 +
 gcr/icons/48x48/gcr-password.png     |  Bin 0 -> 1525 bytes
 gcr/icons/48x48/gcr-smart-card.png   |  Bin 1684 -> 1724 bytes
 gcr/icons/src/gcr-password.svg       | 1222 ++++++++++++++++++++++++++++++++++
 17 files changed, 1228 insertions(+)

commit 7075ac649738fb977671022388833f99396d1261
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-13

    gcr: Function to emit notify on GcrCertificate props for data change

 gcr/gcr-certificate.c | 15 +++++++++++++++
 gcr/gcr-certificate.h |  2 ++
 2 files changed, 17 insertions(+)

commit 119d3232310824ad7ed3a72c6e77fce3bf30f5fa
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-12

    gck: Add gck_slot_enumerate_objects() function

 docs/reference/gck/gck-sections.txt |  1 +
 gck/gck-slot.c                      | 38 +++++++++++++++++++++++++++++++++----
 gck/gck.h                           |  6 +++++-
 3 files changed, 40 insertions(+), 5 deletions(-)

commit 459787f5a616e47a75a41999ce2f9fb04c6a81be
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-12

    gck: Documentation fix up

 .gitignore                        |  1 +
 docs/reference/gck/Makefile.am    |  2 +-
 docs/reference/gck/gck.interfaces |  1 -
 docs/reference/gck/gck.types      | 15 +++++++++++++++
 gck/gck-enumerator.c              |  7 +++----
 gck/gck-module.c                  |  1 -
 gck/gck-object.c                  |  1 -
 gck/gck-password.c                |  1 -
 gck/gck-session.c                 |  4 +---
 gck/gck-slot.c                    |  1 -
 10 files changed, 21 insertions(+), 13 deletions(-)

commit 074c6666bb3bb5264d9a0833c136c44ee9492b5e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-12

    gck: Enumerator can now retrieve object attributes
    
     * New interface called GckObjectAttributes. Callers derive from
       GckObject, implement GckObjectAttributes and set fields in the
       iface to denote which attributes are interested in.
     * Caller passes type of derived object to gck_enumerator_set_object_type()
       and then enumerator will retrieve attributes set in iface, and return
       objects of that type
     * GckObjectAttributes has attributes property.

 .gitignore                          |   1 -
 docs/reference/gck/Makefile.am      |   2 +-
 docs/reference/gck/gck-docs.sgml    |   1 +
 docs/reference/gck/gck-sections.txt |  24 ++-
 docs/reference/gck/gck.interfaces   |   1 +
 docs/reference/gcr/gcr.interfaces   |  39 ++++
 gck/Makefile.am                     |   1 +
 gck/gck-enumerator.c                | 413 ++++++++++++++++++++++++++++--------
 gck/gck-object-attributes.c         | 106 +++++++++
 gck/gck-object.c                    |  35 ++-
 gck/gck-private.h                   |   3 +
 gck/gck.h                           |  41 +++-
 gck/gck.symbols                     |   5 +
 gck/tests/Makefile.am               |   2 +-
 gck/tests/test-gck-enumerator.c     | 137 +++++++++++-
 15 files changed, 694 insertions(+), 117 deletions(-)

commit fdd117df3883adbd25f0eaa40c50129b23584429
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-11

    gck: Fix build issue on i686 where sizeof (gsize) != sizeof (CK_ULONG)

 gck/gck-session.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 96f9babf503f5acb8df3209bbe25c13eda2ce2a8
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-11

    gcr: Fix documentation build by linking to right library

 docs/reference/gcr/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 446337e1ab9cb371a90322e695f195e297ab3b2d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-07

    gck: Add gck_session_find_handles() and friends
    
    Allows callers to create their own objects for PKCS#11
    objects.

 .gitignore                          |   1 +
 docs/reference/gck/Makefile.am      |   3 +-
 docs/reference/gck/gck-sections.txt |   3 +
 gck/gck-session.c                   | 179 +++++++++++++++++++++++++++++-------
 gck/gck.h                           |  21 ++++-
 gck/gck.symbols                     |   3 +
 6 files changed, 174 insertions(+), 36 deletions(-)

commit 365f0f09f29fd09454132a5d6ecb1ddacb0a62e8
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-06

    Update glib dependency for 2.30.0
    
     * We need it for GTlsInteraction

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0ee09c69a99003e1de81dd03224bb9f4f4cb9de9
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-06

    Fix problem with doap file syntax

 gcr.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c6691faa0348ab087e99ab9bd9914e1d5e81fa14
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-06

    Split the GCR and GCK libraries out of gnome-keyring
    
    Commits prior to this commit will not build. To build
    old releases of Gcr or Gck you should use the gnome-keyring
    git module.
    
    This module currently depends on: gtk+ >= 3.0, glib >= 2.28.0,
    p11-kit >= 0.6, libgcrypt >= 1.2.2
    
    Additionally it requires asn1Parser for building.

 .gitignore                          |   92 +++
 AUTHORS                             |    5 +
 COPYING                             |  481 ++++++++++++
 ChangeLog                           |   33 +
 HACKING                             |  142 ++++
 MAINTAINERS                         |    3 +
 Makefile.am                         |   57 ++
 NEWS                                |    1 +
 README                              |    6 +
 autogen.sh                          |   22 +
 configure.ac                        |  395 ++++++++++
 docs/Makefile.am                    |    2 +
 docs/reference/gck/Makefile.am      |   12 +-
 docs/reference/gcr/Makefile.am      |    8 +-
 docs/reference/gcr/gcr-docs.sgml    |    1 -
 egg/Makefile.am                     |   48 --
 egg/tests/Makefile.am               |    4 +-
 gck/Makefile.am                     |   15 +-
 gck/gck-dump.c                      |    4 +-
 gck/gck-mock.c                      |    4 +-
 gck/gck-mock.h                      |    4 +-
 gck/gck-test.c                      |    2 +-
 gck/gck-test.h                      |    4 +-
 gck/pkcs11.h                        | 1373 ++++++++++++++++++++++++++++++++++-
 gck/pkcs11i.h                       |  141 ++++
 gck/pkcs11n.h                       |  221 ++++++
 gck/pkcs11x.h                       |   44 ++
 gcr.doap                            |   24 +
 gcr/Makefile.am                     |    6 +-
 gcr/gcr-openpgp.c                   |    2 +-
 gcr/gcr-openssh.c                   |    2 +-
 gcr/gcr-pkcs11-certificate.c        |    7 +-
 gcr/gcr-trust.c                     |    9 +-
 gcr/gcr-viewer.desktop.in           |   10 +
 gcr/tests/test-certificate-chain.c  |    5 +-
 gcr/tests/test-fingerprint.c        |    3 +-
 gcr/tests/test-pkcs11-certificate.c |    3 +-
 gcr/tests/test-simple-certificate.c |    2 -
 gcr/tests/test-trust.c              |    7 +-
 po/LINGUAS                          |   85 +++
 po/POTFILES.in                      |   33 +
 po/af.po                            | 1054 +++++++++++++++++++++++++++
 po/ar.po                            | 1049 ++++++++++++++++++++++++++
 po/as.po                            | 1067 +++++++++++++++++++++++++++
 po/ast.po                           | 1063 +++++++++++++++++++++++++++
 po/az.po                            |  995 +++++++++++++++++++++++++
 po/be.po                            | 1004 +++++++++++++++++++++++++
 po/be@latin.po                      | 1056 +++++++++++++++++++++++++++
 po/bg.po                            | 1027 ++++++++++++++++++++++++++
 po/bn.po                            | 1056 +++++++++++++++++++++++++++
 po/bn_IN.po                         | 1060 +++++++++++++++++++++++++++
 po/bs.po                            |  995 +++++++++++++++++++++++++
 po/ca.po                            | 1035 ++++++++++++++++++++++++++
 po/ca@valencia.po                   | 1035 ++++++++++++++++++++++++++
 po/cs.po                            | 1031 ++++++++++++++++++++++++++
 po/cy.po                            |  998 +++++++++++++++++++++++++
 po/da.po                            | 1032 ++++++++++++++++++++++++++
 po/de.po                            | 1044 ++++++++++++++++++++++++++
 po/dz.po                            | 1014 ++++++++++++++++++++++++++
 po/el.po                            | 1055 +++++++++++++++++++++++++++
 po/en@shaw.po                       | 1065 +++++++++++++++++++++++++++
 po/en_CA.po                         | 1002 +++++++++++++++++++++++++
 po/en_GB.po                         | 1037 ++++++++++++++++++++++++++
 po/eo.po                            | 1036 ++++++++++++++++++++++++++
 po/es.po                            | 1039 ++++++++++++++++++++++++++
 po/et.po                            | 1051 +++++++++++++++++++++++++++
 po/eu.po                            | 1035 ++++++++++++++++++++++++++
 po/fa.po                            | 1025 ++++++++++++++++++++++++++
 po/fi.po                            | 1026 ++++++++++++++++++++++++++
 po/fr.po                            | 1038 ++++++++++++++++++++++++++
 po/ga.po                            | 1012 ++++++++++++++++++++++++++
 po/gl.po                            | 1039 ++++++++++++++++++++++++++
 po/gu.po                            | 1058 +++++++++++++++++++++++++++
 po/he.po                            | 1003 +++++++++++++++++++++++++
 po/hi.po                            | 1065 +++++++++++++++++++++++++++
 po/hr.po                            | 1005 +++++++++++++++++++++++++
 po/hu.po                            | 1029 ++++++++++++++++++++++++++
 po/id.po                            | 1024 ++++++++++++++++++++++++++
 po/is.po                            |  991 +++++++++++++++++++++++++
 po/it.po                            | 1048 ++++++++++++++++++++++++++
 po/ja.po                            | 1059 +++++++++++++++++++++++++++
 po/ka.po                            |  992 +++++++++++++++++++++++++
 po/kn.po                            | 1057 +++++++++++++++++++++++++++
 po/ko.po                            | 1022 ++++++++++++++++++++++++++
 po/lt.po                            | 1029 ++++++++++++++++++++++++++
 po/lv.po                            | 1037 ++++++++++++++++++++++++++
 po/mai.po                           | 1015 ++++++++++++++++++++++++++
 po/mg.po                            |  995 +++++++++++++++++++++++++
 po/mk.po                            | 1039 ++++++++++++++++++++++++++
 po/ml.po                            | 1059 +++++++++++++++++++++++++++
 po/mn.po                            |  997 +++++++++++++++++++++++++
 po/mr.po                            | 1061 +++++++++++++++++++++++++++
 po/ms.po                            | 1050 +++++++++++++++++++++++++++
 po/nb.po                            | 1024 ++++++++++++++++++++++++++
 po/ne.po                            | 1010 ++++++++++++++++++++++++++
 po/nl.po                            | 1047 ++++++++++++++++++++++++++
 po/nn.po                            | 1067 +++++++++++++++++++++++++++
 po/oc.po                            |  996 +++++++++++++++++++++++++
 po/or.po                            | 1067 +++++++++++++++++++++++++++
 po/pa.po                            | 1032 ++++++++++++++++++++++++++
 po/pl.po                            | 1029 ++++++++++++++++++++++++++
 po/pt.po                            | 1036 ++++++++++++++++++++++++++
 po/pt_BR.po                         | 1048 ++++++++++++++++++++++++++
 po/ro.po                            | 1061 +++++++++++++++++++++++++++
 po/ru.po                            | 1031 ++++++++++++++++++++++++++
 po/rw.po                            | 1000 +++++++++++++++++++++++++
 po/si.po                            |  998 +++++++++++++++++++++++++
 po/sk.po                            | 1061 +++++++++++++++++++++++++++
 po/sl.po                            | 1038 ++++++++++++++++++++++++++
 po/sq.po                            | 1035 ++++++++++++++++++++++++++
 po/sr.po                            | 1038 ++++++++++++++++++++++++++
 po/sr@latin.po                      | 1039 ++++++++++++++++++++++++++
 po/sv.po                            | 1032 ++++++++++++++++++++++++++
 po/ta.po                            | 1038 ++++++++++++++++++++++++++
 po/te.po                            | 1026 ++++++++++++++++++++++++++
 po/th.po                            | 1030 ++++++++++++++++++++++++++
 po/tr.po                            | 1071 +++++++++++++++++++++++++++
 po/ug.po                            | 1049 ++++++++++++++++++++++++++
 po/uk.po                            | 1051 +++++++++++++++++++++++++++
 po/vi.po                            | 1050 +++++++++++++++++++++++++++
 po/xh.po                            |  995 +++++++++++++++++++++++++
 po/zh_CN.po                         | 1040 ++++++++++++++++++++++++++
 po/zh_HK.po                         | 1019 ++++++++++++++++++++++++++
 po/zh_TW.po                         | 1019 ++++++++++++++++++++++++++
 schema/Makefile.am                  |    2 -
 125 files changed, 88985 insertions(+), 126 deletions(-)

commit 5791608b2762d7264c58caaf9fe53d7a16ede1c1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-05

    gcr: Make spinner on GcrImportButton actually spin

 gcr/gcr-import-button.c   | 6 ++++++
 gcr/gcr-pkcs11-importer.c | 1 +
 2 files changed, 7 insertions(+)

commit 2b5be723faed77b82e2034a698a5c1d75776f023
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-05

    gcr: Fix build issues with gcr-icons.h header

 gcr/gcr-icons.h | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 000e0a5916f0c5d4e3788950be5bc6670799205a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-05

    gcr: Properly get labels from the parser into the importer
    
     * Pull in the labels seen by the parser, but not in the attributes
     * Fix issues supplementing when no login is required

 gcr/gcr-pkcs11-import-interaction.c | 25 +++++++++++++------------
 gcr/gcr-pkcs11-importer.c           |  8 +++++++-
 gcr/gcr-pkcs11-importer.h           |  1 +
 3 files changed, 21 insertions(+), 13 deletions(-)

commit c4d29054431a1470bf08e0e00e65b83798deab45
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-05

    gcr: Parse required attributes out of certificates
    
     * PKCS#11 requires the CKA_SUBJECT, CKA_ISSUER and
       CKA_SERIAL_NUMBER in new certificate objects, so we parse
       them in the parser.

 gcr/gcr-parser.c | 66 ++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 45 insertions(+), 21 deletions(-)

commit b3c7f4601ab23e9a05c8c6696b5fc150cc7cdc6e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-05

    gcr: Use the home directory for the NSS icon

 gcr/gcr-icons.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 23f7e8e398e707a3cccb3774960f7b2b3ef56ef3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-05

    gcr: Stop gcr-viewer process correctly when Close is clicked

 gcr/gcr-viewer-tool.c | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 53ac7932ff2b9f80a3a71de4a0b42dd5bd274060
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-05

    gcr: Rework how we get supplemental information for the import

 docs/reference/gcr/Makefile.am      |   2 +
 docs/reference/gcr/gcr-sections.txt |  14 +++-
 gcr/gcr-base.symbols                |   3 +-
 gcr/gcr-fingerprint.c               |   4 +-
 gcr/gcr-import-interaction.c        |  99 +++++++++++++++++----------
 gcr/gcr-import-interaction.h        |  13 ++--
 gcr/gcr-pkcs11-import-dialog.c      | 132 ++++++++----------------------------
 gcr/gcr-pkcs11-import-dialog.h      |   9 ++-
 gcr/gcr-pkcs11-import-interaction.c |  86 +++++++++++++----------
 gcr/gcr-pkcs11-importer.c           |  84 +++++++++++++++++++----
 10 files changed, 248 insertions(+), 198 deletions(-)

commit 19e2f3edee54c77e86fa8924060083930e3cc9a9
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-05

    gcr: Fix PKCS#11 importer attribute cleanup before import
    
     * Add proper CKA_ID, CKA_DECRYPT, CKA_SIGN, CKA_SIGN_RECOVER
       CKA_UNWRAP, CKA_SENSITIVE, and CKA_PRIVATE attributes
     * Create pairs of keys and certificates, and import those
       first

 gcr/gcr-base.symbols      |  11 +++
 gcr/gcr-debug.c           |   1 +
 gcr/gcr-debug.h           |   3 +-
 gcr/gcr-pkcs11-importer.c | 222 +++++++++++++++++++++++++++++++++++++---------
 4 files changed, 196 insertions(+), 41 deletions(-)

commit a6d4a9fe03b0109ef4b24e06dfdd5fb056aed879
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-05

    gcr: Complete and make gcr_fingerprint_xxx functions public
    
     * These functions create consistent key fingerpints for
       public, private and certificates.

 docs/reference/gcr/gcr-docs.sgml    |   1 +
 docs/reference/gcr/gcr-sections.txt |   7 ++
 gcr/Makefile.am                     |   3 +-
 gcr/gcr-certificate-renderer.c      |   2 +-
 gcr/gcr-fingerprint.c               | 219 +++++++++++++++++++++++++++++-------
 gcr/gcr-fingerprint.h               |  23 ++--
 gcr/gcr-key-renderer.c              |   8 +-
 gcr/tests/test-fingerprint.c        |  46 ++++++--
 8 files changed, 246 insertions(+), 63 deletions(-)

commit acc403e77774308cfd7ba7cab3d65a7799d2ff47
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-04

    egg: Fix parsing of unsigned integers in DER
    
     * When the unsigned integer had a high bit set, we would store/parse
       it incorrectly. We have to force these numbers to be unsigned so
       we prefix/strip an extra zero byte on the front.
     * Also make accessing raw and usg numbers in DER not have to copy
       the value, since these are often sensitive.

 egg/egg-asn1x.c                | 125 +++++++++++++++++++++++++++++++++++------
 egg/egg-asn1x.h                |  11 +++-
 egg/tests/test-asn1.c          |  53 +++++++++++++++++
 gcr/gcr-certificate-renderer.c |   8 +--
 gcr/gcr-certificate.c          |   4 +-
 gcr/gcr-fingerprint.c          |  14 ++---
 gcr/gcr-parser.c               |  43 +++++++-------
 7 files changed, 206 insertions(+), 52 deletions(-)

commit cf3d2e4ba298e5ee8c1bda80e2a71d47ef635a89
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-04

    gcr: Import keys first when importing via PKCS#11
    
     * This is what some smartcards seem to require, an easy enough fix
       so just work around this problem.

 gcr/gcr-pkcs11-importer.c | 24 +++++++++++++++++++++++-
 1 file changed, 23 insertions(+), 1 deletion(-)

commit a9aabfebbffa6b4fc7990b15f2daa6c1472cc777
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-04

    gck: Include CKK_XXX values in debug output correctly

 gck/gck-attributes.c | 45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

commit f4ac10720e2998583c60a084ecd6ac8a34300a40
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-04

    gcr: Complete the PKCS#11 import dialog
    
     * Add GcrImportInteraction interface which importers
     * Hookup between non-GUI importers and import interaction
       isn't yet completely thought out.

 gcr/Makefile.am                     |   8 +-
 gcr/gcr-deprecated.h                |   1 -
 gcr/gcr-dialog-util.c               | 182 ++++++++++++++
 gcr/gcr-dialog-util.h               |  42 ++++
 gcr/gcr-gnupg-importer.c            |  14 +-
 gcr/gcr-import-button.c             |  12 +
 gcr/gcr-import-dialog.c             | 459 ------------------------------------
 gcr/gcr-import-dialog.h             |  82 -------
 gcr/gcr-import-dialog.ui            | 128 ----------
 gcr/gcr-import-interaction.c        | 178 ++++++++++++++
 gcr/gcr-import-interaction.h        |  89 +++++++
 gcr/gcr-importer.c                  |  54 ++++-
 gcr/gcr-importer.h                  |  45 ++--
 gcr/gcr-parser.c                    |   1 -
 gcr/gcr-pkcs11-import-dialog.c      | 350 +++++++++++++++++++++++++++
 gcr/gcr-pkcs11-import-dialog.h      |  62 +++++
 gcr/gcr-pkcs11-import-dialog.ui     | 251 ++++++++++++++++++++
 gcr/gcr-pkcs11-import-interaction.c | 240 +++++++++++++++++++
 gcr/gcr-pkcs11-import-interaction.h |  45 ++++
 gcr/gcr-pkcs11-importer.c           | 184 +++++++++++----
 gcr/gcr-pkcs11-importer.h           |  14 +-
 21 files changed, 1686 insertions(+), 755 deletions(-)

commit 393ad5f15b2f7f6bfa000c0871161c81742806e7
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-04

    gck: Add support for setting attributes in an array
    
     * Either change the attribute to the new value, or add an
       attribute if one doesn't exist.

 docs/reference/gck/gck-sections.txt |   4 ++
 gck/gck-attributes.c                | 112 ++++++++++++++++++++++++++++++++++++
 gck/gck.h                           |  16 ++++++
 gck/gck.symbols                     |   4 ++
 4 files changed, 136 insertions(+)

commit 51dd9e1aa79a6429d1692234deab8fc39762843d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-03

    gck: Integrate GTlsInteraction into libgck
    
     * Deprecate the GckModule signals which were used for password auth
     * Fire deprecated GckModule signals from a compat GTlsInteraction
     * Add some tests for this integration

 docs/reference/gck/gck-sections.txt |  23 ++
 gck/Makefile.am                     |   2 +
 gck/gck-enumerator.c                | 311 ++++++++++-------
 gck/gck-interaction.c               | 176 ++++++++++
 gck/gck-misc.c                      |  15 +
 gck/gck-module.c                    |  82 +----
 gck/gck-modules.c                   |  12 +-
 gck/gck-password.c                  | 255 ++++++++++++++
 gck/gck-private.h                   |  48 ++-
 gck/gck-session.c                   | 643 +++++++++++++++++++++++-------------
 gck/gck-slot.c                      | 184 ++++++++---
 gck/gck.h                           |  56 +++-
 gck/gck.symbols                     |   9 +
 gck/tests/Makefile.am               |   4 +
 gck/tests/mock-interaction.c        |  97 ++++++
 gck/tests/mock-interaction.h        |  43 +++
 gck/tests/test-gck-crypto.c         |   2 +
 gck/tests/test-gck-enumerator.c     |  76 +++++
 gck/tests/test-gck-session.c        |   2 +
 19 files changed, 1543 insertions(+), 497 deletions(-)

commit a41c5670005eb86f69f09cb36df9075495275dda
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-01

    gcr: Check that secret exchanged data has correct protocol prefix
    
     * This is for future backward compatibility, so when we have more
       than one protocol, we can be sure we can identify the old one.

 gcr/gcr-secret-exchange.c | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 40da05f717179cf3316bcd9fd406507cc4d54e89
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-01

    gcr: Documentation fixes for secret exchange commits

 docs/reference/gcr/Makefile.am      |  3 +++
 docs/reference/gcr/gcr-sections.txt | 29 ++---------------------------
 gcr/gcr-secret-exchange.c           |  2 +-
 3 files changed, 6 insertions(+), 28 deletions(-)

commit 1e3a5058766025d8e68e264636cc002d9cd3d54e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-01

    ui: Use GcrSecretExchange for passing passwords to/from prompt
    
     * And integrate this with our credential stuff inside of the
       dbus secret service prompts
     * Fix a bug in GcrSecretService if key already derived, and data
       is received.

 egg/Makefile.am           |  2 +-
 gcr/gcr-secret-exchange.c | 10 ++++++----
 2 files changed, 7 insertions(+), 5 deletions(-)

commit 1cc65dbe1ac64af14d91fa1c1d19ed5d6b0316bf
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-01

    gcr: More work on the GcrSecretExchange
    
     * Expose the concept of which protocol is being used although
       currently only one is supported.
     * Add virtual method hooks so all crypto stuff can be swapped
       out with other implementations.
     * Build, documentation and test fixes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656955

 gcr/Makefile.am                  |   2 +-
 gcr/gcr-base.symbols             |   7 +
 gcr/gcr-secret-exchange.c        | 699 +++++++++++++++++++++++++++------------
 gcr/gcr-secret-exchange.h        |  38 ++-
 gcr/tests/test-secret-exchange.c |   4 +-
 5 files changed, 526 insertions(+), 224 deletions(-)

commit 971d9db89a43a8b46de3cf84da2a51f0be4725a5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-23

    gcr: Add documentation for GcrSecretExchange
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656955

 docs/reference/gcr/gcr-docs.sgml    |   1 +
 docs/reference/gcr/gcr-sections.txt |  20 +++++++
 gcr/gcr-secret-exchange.c           | 101 ++++++++++++++++++++++++++++++++++++
 gcr/gcr-secret-exchange.h           |   4 +-
 4 files changed, 124 insertions(+), 2 deletions(-)

commit e09c71b6fcdc25800d684f52c3c853a1069f2cef
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-20

    gcr: Refactor GcrSecretExchange
    
     * Use the GcrSecretExchange object on both sides.
     * Allow exchange of multiple secrets, and in both directions.
     * Add tests

 gcr/gcr-base.h                   |   2 +
 gcr/gcr-secret-exchange.c        | 220 +++++++++++++++------------------------
 gcr/gcr-secret-exchange.h        |  25 ++---
 gcr/tests/Makefile.am            |   1 +
 gcr/tests/test-secret-exchange.c | 162 ++++++++++++++++++++++++++++
 5 files changed, 260 insertions(+), 150 deletions(-)

commit 4ebec2c877e849f9fa747f73b83b36f7e6cf41ae
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-10

    gcr: Implement GcrSecretExchange
    
    * Class which allows exchanging secrets over an unsecure or logged
       channel.
     * Does *NOT* protect against active attacks like MITM.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656955

 gcr/Makefile.am           |   2 +
 gcr/gcr-secret-exchange.c | 523 ++++++++++++++++++++++++++++++++++++++++++++++
 gcr/gcr-secret-exchange.h |  78 +++++++
 3 files changed, 603 insertions(+)

commit 08479cc76baebe35fa95a12d8ba1b65b015b3b51
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-01

    gcr: More documentation fixes

 gcr/gcr-certificate-chain.c    |  1 +
 gcr/gcr-certificate-renderer.c |  4 ++--
 gcr/gcr-gnupg-collection.c     |  2 +-
 gcr/gcr-gnupg-process.c        | 10 +++++-----
 4 files changed, 9 insertions(+), 8 deletions(-)

commit 679110b437b6c73362c7b063eb7bf3fcb695334b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-01

    Fix up exported symbols for recent changes
    
     * Including one symbol removal, but since this was added during
       this unstable cycle, no problem changing it.

 gck/gck.symbols      | 20 ++++++++++++++++++++
 gcr/gcr-base.symbols |  2 +-
 2 files changed, 21 insertions(+), 1 deletion(-)

commit ac925c56040e7bc82577115324b1a6796121a96b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-30

    gck: Fix more argument types
    
     * and mark up introspection annotations on some more arrays

 gck/gck-object.c | 12 ++++++------
 gck/gck-slot.c   |  8 +++++---
 gck/gck.h        | 14 +++++++-------
 3 files changed, 18 insertions(+), 16 deletions(-)

commit 1b11a90afead9a0d8f7a3fd830c806b0c116adf3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    gck: More introspection tweaks, checking for parameters which allow none

 gck/gck-attributes.c               |  6 ++---
 gck/gck-misc.c                     |  4 +--
 gck/gck-module.c                   |  4 ++-
 gck/gck-modules.c                  | 14 +++++++---
 gck/gck-object.c                   |  6 ++---
 gck/gck-session.c                  | 52 +++++++++++++++++++++++---------------
 gck/gck-slot.c                     | 11 +++++---
 gck/gck-uri.c                      |  2 +-
 gck/gck.h                          | 24 +++++++++---------
 gcr/gcr-certificate-chain.c        | 32 +++++++++++++----------
 gcr/gcr-certificate-chain.h        |  3 ++-
 gcr/gcr-certificate-renderer.c     | 12 ++++-----
 gcr/gcr-certificate-widget.c       | 10 ++++----
 gcr/gcr-certificate.c              | 43 +++++++++++++++++++------------
 gcr/gcr-collection-model.c         |  6 ++---
 gcr/gcr-combo-selector.c           |  2 +-
 gcr/gcr-failure-renderer.c         |  2 +-
 gcr/gcr-gnupg-collection.c         |  2 +-
 gcr/gcr-gnupg-importer.c           |  1 +
 gcr/gcr-gnupg-process.c            | 10 ++++----
 gcr/gcr-import-button.c            |  2 +-
 gcr/gcr-key-renderer.c             |  8 +++---
 gcr/gcr-key-widget.c               |  6 ++---
 gcr/gcr-library.c                  |  8 +++---
 gcr/gcr-live-search.c              |  1 +
 gcr/gcr-menu-button.c              |  1 +
 gcr/gcr-parser.c                   | 39 +++++++++++++++-------------
 gcr/gcr-renderer.c                 |  6 ++---
 gcr/gcr-types.h                    |  1 +
 gcr/gcr-viewer-widget.c            |  2 +-
 gcr/gcr-viewer.c                   |  2 +-
 gcr/tests/test-certificate-chain.c |  2 +-
 32 files changed, 187 insertions(+), 137 deletions(-)

commit f7003cd2f252d599c369afdb00c3ef8d14f1b09a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    gcr: Annotate which types are being returned
    
     * If the C function is returning a base type, then annotate
       what derived type is actually being returned.

 gcr/gcr-callback-output-stream.c     |  5 +++++
 gcr/gcr-certificate-basics-widget.c  | 15 +++++++++++++--
 gcr/gcr-certificate-details-widget.c | 16 +++++++++++-----
 gcr/gcr-failure-renderer.c           |  2 +-
 gcr/gcr-gnupg-collection.c           |  2 +-
 gcr/gcr-gnupg-importer.c             |  5 +++++
 gcr/gcr-live-search.c                |  5 +++++
 gcr/gcr-memory-icon.c                |  2 +-
 gcr/gcr-menu-button.c                |  5 +++++
 gcr/gcr-pkcs11-importer.c            |  5 +++++
 gcr/gcr-simple-certificate.c         |  4 ++--
 gcr/gcr-simple-collection.c          |  4 ++--
 gcr/gcr-union-collection.c           |  4 ++--
 gcr/gcr-unlock-options-widget.c      |  4 ++--
 gcr/gcr-viewer-window.c              |  2 +-
 15 files changed, 61 insertions(+), 19 deletions(-)

commit d7724d62c78ae009e8a35e71a496d944010bbebb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    gcr: Add gcr_viewer_widget_get_parser()
    
     * This property returns the parser currently in use by the viewer widget

 docs/reference/gcr/gcr-sections.txt |  1 +
 gcr/gcr-viewer-widget.c             | 48 +++++++++++++++++++++++++++++++++++++
 gcr/gcr-viewer-widget.h             |  2 ++
 gcr/gcr.symbols                     |  1 +
 4 files changed, 52 insertions(+)

commit 51346d522d589ada0622bc081968f8b486ebef43
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    gck: Fix precondition in gck_object_from_handles

 gck/gck-object.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8177dd8f2797c897ca037a1288350e42e10dc38c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    gcr: More introspection and documentation cleanup
    
     * Tag proper transfer on return values
     * Use guchar * for arrays of bytes

 docs/reference/gcr/gcr-docs.sgml     |  4 +++
 gcr/gcr-certificate-basics-widget.c  |  4 +--
 gcr/gcr-certificate-chain.c          |  6 ++---
 gcr/gcr-certificate-details-widget.c |  4 +--
 gcr/gcr-certificate-renderer.c       | 23 +++++++++---------
 gcr/gcr-certificate-widget.c         | 12 ++++-----
 gcr/gcr-certificate.c                |  6 +++--
 gcr/gcr-certificate.h                |  3 ++-
 gcr/gcr-collection-model.c           | 10 +++++---
 gcr/gcr-collection.c                 | 14 +++++++++++
 gcr/gcr-comparable.c                 |  2 +-
 gcr/gcr-import-button.c              |  4 +--
 gcr/gcr-key-renderer.c               |  4 +--
 gcr/gcr-library.c                    | 28 +++++++++++++++++++++
 gcr/gcr-list-selector.c              |  6 ++---
 gcr/gcr-parser.c                     | 47 ++++++++++++++++++++++++++++++------
 gcr/gcr-parser.h                     |  2 +-
 gcr/gcr-pkcs11-certificate.c         |  5 ++--
 gcr/gcr-renderer.c                   | 11 +++++++++
 gcr/gcr-simple-certificate.c         | 17 +++++++------
 gcr/gcr-simple-certificate.h         |  4 +--
 gcr/gcr-tree-selector.c              |  8 +++---
 gcr/gcr-types.h                      |  4 +--
 gcr/gcr-viewer-widget.c              | 21 +++++++++++++++-
 gcr/gcr-viewer-widget.h              |  2 +-
 gcr/gcr-viewer-window.c              | 16 +++++++++++-
 gcr/gcr-viewer.c                     |  8 ++++++
 gcr/tests/frob-parser.c              |  2 +-
 gcr/tests/test-certificate-chain.c   |  2 +-
 gcr/tests/test-certificate.c         |  6 ++---
 gcr/tests/test-parser.c              |  4 +--
 gcr/tests/test-trust.c               |  2 +-
 32 files changed, 216 insertions(+), 75 deletions(-)

commit e8cbdae82efcf8508d900547396b74c74080ae45
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    gck: More introspection and documentation cleanup
    
     * In particular, use guchar * for arrays of bytes.

 gck/gck-attributes.c            | 143 ++++++++++++++++------------------------
 gck/gck-misc.c                  |  23 ++++---
 gck/gck-mock.c                  |   8 +--
 gck/gck-module.c                |   8 +--
 gck/gck-object.c                |  29 ++++----
 gck/gck-session.c               |  45 ++++++++-----
 gck/gck-slot.c                  |  32 ++++-----
 gck/gck-uri.c                   |   4 +-
 gck/gck.h                       |  14 ++--
 gck/tests/test-gck-attributes.c |  20 +++---
 gck/tests/test-gck-crypto.c     |  20 +++---
 gck/tests/test-gck-object.c     |   2 +-
 gck/tests/test-gck-uri.c        |   2 +-
 13 files changed, 171 insertions(+), 179 deletions(-)

commit 22d6f3be20483adedefe2ad7c11e9fa144fa8873
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    gck: Fix if _gck_debug was not called _gck_debugging doesn't work
    
     * Initialize debugging in both _gck_debug and _gck_debugging

 gck/gck-debug.c | 19 ++++++++++++++-----
 gck/gck-debug.h |  2 ++
 2 files changed, 16 insertions(+), 5 deletions(-)

commit 72ab8176e27e5e91c876e48123b09c3b3b2e7759
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    gck: Documentation, introspection, and header fixes

 docs/reference/gck/Makefile.am          |  2 +-
 docs/reference/gck/gck-docs.sgml        |  3 ++
 docs/reference/gck/gck-pkcs11-links.xml |  4 +--
 docs/reference/gck/gck-sections.txt     | 60 ++++++++++++++++++++++++++++-----
 gck/Makefile.am                         | 20 +++++++++--
 gck/gck-attributes.c                    | 16 ++++-----
 gck/gck-enum-types.c.template           | 43 +++++++++++++++++++++++
 gck/gck-enum-types.h.template           | 28 +++++++++++++++
 gck/gck-misc.c                          | 21 ++++++++----
 gck/gck-module.c                        | 22 ++++++++++--
 gck/gck-modules.c                       |  8 +++++
 gck/gck-object.c                        |  6 ++--
 gck/gck-session.c                       | 25 +++++++++++---
 gck/gck-slot.c                          | 30 +++++++++++++++--
 gck/gck-uri.c                           | 57 +++++++++++++++++++++++++++----
 gck/gck.h                               | 29 ++++++++--------
 16 files changed, 312 insertions(+), 62 deletions(-)

commit e56b3113af3e4924a2692333ab3e62b3eff22aea
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    gck: Work around g-ir-scanner syntax problem
    
     * Separate typedef from structure declaration.

 gck/gck.h | 30 ++++++++++++++++++++----------
 1 file changed, 20 insertions(+), 10 deletions(-)

commit 25bf4fed0b543f2a2d0ae255649d3db3906765ac
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    Gck: GckAttribute value field is a byte array

 gck/gck-attributes.c |  2 +-
 gck/gck-dump.c       |  4 ++--
 gck/gck.h            | 14 +++++++++-----
 3 files changed, 12 insertions(+), 8 deletions(-)

commit bd418b84b1a341ffa1ddcd6420f6cbe785b24dd1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    gck: Gck introspection doesn't depend on gtk

 gck/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 53dd9afb57e3d047a884698fd47b18e4166cfcab
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-28

    gcr: Complete introspection annotations for gcr library
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655651

 gcr/Makefile.am                      | 26 ++++++-------
 gcr/gcr-certificate-basics-widget.c  | 14 ++++++-
 gcr/gcr-certificate-chain.c          | 11 +++---
 gcr/gcr-certificate-details-widget.c | 15 ++++++++
 gcr/gcr-certificate-renderer.c       |  4 +-
 gcr/gcr-certificate-widget.c         |  4 +-
 gcr/gcr-certificate.c                | 72 ++++++++++++++++--------------------
 gcr/gcr-certificate.h                |  6 +--
 gcr/gcr-collection-model.c           | 14 +++----
 gcr/gcr-collection.c                 | 39 +++----------------
 gcr/gcr-combo-selector.c             |  8 ++--
 gcr/gcr-deprecated-base.h            |  2 +
 gcr/gcr-deprecated.h                 |  2 +
 gcr/gcr-failure-renderer.c           | 17 +++++++++
 gcr/gcr-icons.c                      | 10 ++++-
 gcr/gcr-icons.h                      |  2 +-
 gcr/gcr-importer.c                   | 12 +++---
 gcr/gcr-key-renderer.c               |  2 +-
 gcr/gcr-library.c                    | 16 ++++----
 gcr/gcr-list-selector.c              |  9 +++--
 gcr/gcr-parser.c                     | 15 ++++----
 gcr/gcr-parser.h                     |  4 +-
 gcr/gcr-pkcs11-certificate.c         | 12 +++---
 gcr/gcr-pkcs11-importer.c            |  2 +-
 gcr/gcr-renderer.c                   | 28 ++++----------
 gcr/gcr-renderer.h                   |  1 +
 gcr/gcr-simple-certificate.c         |  8 ++--
 gcr/gcr-simple-collection.c          |  6 +--
 gcr/gcr-tree-selector.c              | 19 +++++-----
 gcr/gcr-types.h                      | 13 +++++++
 gcr/gcr-union-collection.c           |  6 +--
 gcr/gcr-viewer.c                     | 12 +++---
 32 files changed, 219 insertions(+), 192 deletions(-)

commit 34fd5215bdc064247409acc4e1fce892450b8e51
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-28

    gck: Fix introspection warnings and complete introspection annotations
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655651

 gck/Makefile.am             |  53 +++++++++++++++---
 gck/gck-attributes.c        |  51 ++++++++++++------
 gck/gck-deprecated.h        |  51 ++++++++++++++++++
 gck/gck-enumerator.c        |  10 ++--
 gck/gck-misc.c              |  14 +++--
 gck/gck-module.c            |  47 +++++++++++++---
 gck/gck-modules.c           |  56 +++++++++++--------
 gck/gck-object.c            |  81 +++++++++++++++++-----------
 gck/gck-session.c           | 110 +++++++++++++++++++++++++-------------
 gck/gck-slot.c              | 127 ++++++++++++++++++++++++++++++++++++--------
 gck/gck-uri.c               |  42 +++++++++++++++
 gck/gck.h                   | 105 ++++++++++++++++++++++++------------
 gck/tests/test-gck-crypto.c |   3 +-
 gck/tests/test-gck-object.c |   6 +--
 gck/tests/test-gck-slot.c   |   2 +-
 15 files changed, 569 insertions(+), 189 deletions(-)

commit 007e09a075927b6ab5095ea60278ed1cd91c8397
Author: Evan Nemerson <evan@coeus-group.com>
Date:   2011-07-30

    gcr: mark many fields as private

 gcr/gcr-certificate-exporter.h | 1 +
 gcr/gcr-certificate-widget.c   | 3 +--
 gcr/gcr-display-scrolled.h     | 1 +
 gcr/gcr-display-view.h         | 1 +
 gcr/gcr-gnupg-collection.h     | 1 +
 gcr/gcr-gnupg-key.h            | 3 +--
 gcr/gcr-gnupg-process.h        | 1 +
 gcr/gcr-import-dialog.h        | 1 +
 gcr/gcr-live-search.h          | 3 +--
 gcr/gcr-memory-icon.h          | 3 +--
 10 files changed, 10 insertions(+), 8 deletions(-)

commit 79df02ea2c54900be1ea3ab651e49cc2b216d0de
Author: Evan Nemerson <evan@coeus-group.com>
Date:   2011-07-30

    gcr: add GObject introspection support
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655651

 gcr/Makefile.am | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

commit 71fa1a24ea4cca8389ce228e1e07e498ed9c0129
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: Fix logic in GcrImportButton when unlocking is going on (again)

 gcr/gcr-import-button.c | 47 +++++++++++++++++++++++------------------------
 1 file changed, 23 insertions(+), 24 deletions(-)

commit 83d13b2cc5cd4f4962b4f750f526e5f99a62bf7c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: More deprecation tweaking so we can build on FC16

 gcr/gcr-library.c     | 2 +-
 gcr/gcr-live-search.c | 8 ++++----
 gcr/gcr-parser.c      | 4 ++++
 3 files changed, 9 insertions(+), 5 deletions(-)

commit bd9f435831a2596cfc86cf5f395ca293912ba476
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: Fix logic in GcrImportButton when unlocking is going on
    
     * Don't show the spinner when no importers are ready even though
       initializing

 gcr/gcr-import-button.c | 45 ++++++++++++++++++++++++---------------------
 1 file changed, 24 insertions(+), 21 deletions(-)

commit b9315ad910fcf68d4edd0760dc89e4fc7934f1e4
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: Fix problem with unlock prompt
    
     * Signal handling of the authenticate was in the wrong order.

 gcr/gcr-viewer-widget.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6a9fce5701da32bde5eaf7726abb1d26837601c4
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: Fix documentation, abi, and translation issues

 docs/reference/gcr/Makefile.am      |   3 ++
 docs/reference/gcr/gcr-sections.txt |  22 +++++---
 docs/reference/gcr/gcr.types        |   1 +
 gcr/Makefile.am                     |   4 +-
 gcr/gcr-base.symbols                |  19 ++++++-
 gcr/gcr-collection-model.c          |  21 +++++++-
 gcr/gcr-combo-selector.c            |   2 +-
 gcr/gcr-combo-selector.h            |   2 -
 gcr/gcr-deprecated-base.h           |  16 ++++++
 gcr/gcr-import-button.c             |  15 ++++++
 gcr/gcr-import-button.h             |   2 +-
 gcr/gcr-importer.c                  | 104 +++++++++++++++++++++++++++++++++++-
 gcr/gcr-list-selector.c             |   4 +-
 gcr/gcr-list-selector.h             |   2 -
 gcr/gcr-parser.c                    |  42 ++++++++++++++-
 gcr/gcr-viewer-tool.c               |   4 +-
 gcr/gcr-viewer-window.c             |  16 +++---
 gcr/gcr-viewer-window.h             |  14 +++--
 gcr/gcr.symbols                     |  10 ++++
 gcr/tests/frob-unlock.c             |   2 +-
 20 files changed, 267 insertions(+), 38 deletions(-)

commit 04213253537242d1cf43e1af33e49c861b298ed5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: Fix invalid memory access in _gcr_record_set_base64

 gcr/gcr-record.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b0bdf8849435364752cfd0c7f31156de70cd52e5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: Use correct icon in the PKCS#11 importer

 gcr/Makefile.am           |  2 +-
 gcr/gcr-icons.h           |  2 ++
 gcr/gcr-pkcs11-importer.c | 15 +++++++--------
 3 files changed, 10 insertions(+), 9 deletions(-)

commit 6ec42fc0fea9484b207b980b877aeac9c1dbd161
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: Refactor GcrParser and delay listing of importers
    
     * PKCS#11 takes a long time to initialize with certain smart cards
       (several seconds). So we can't block the UI.
     * Expose the PKCS#11 initialization functions publicly.
     * Refactor GcrParser so that the current parsed item can be held
       around until later in the form of a GcrParsed structure.
     * Queue parsed items in GcrImportButton until PKCS#11 is initialized.

 gcr/gcr-gnupg-importer.c     |  14 +--
 gcr/gcr-import-button.c      |  48 ++++++++-
 gcr/gcr-import-button.h      |   2 +-
 gcr/gcr-importer.c           |  40 +++++--
 gcr/gcr-importer.h           |  26 ++---
 gcr/gcr-internal.h           |  10 --
 gcr/gcr-library.c            |  18 ++--
 gcr/gcr-library.h            |  10 ++
 gcr/gcr-parser.c             | 246 ++++++++++++++++++++++++++++++++-----------
 gcr/gcr-parser.h             |  22 ++++
 gcr/gcr-pkcs11-certificate.c |   4 +-
 gcr/gcr-pkcs11-importer.c    |  41 +++++---
 gcr/gcr-pkcs11-importer.h    |   3 +
 gcr/gcr-trust.c              |   8 +-
 gcr/gcr-viewer-widget.c      |   9 +-
 gcr/gcr-viewer-window.c      |   4 +-
 16 files changed, 358 insertions(+), 147 deletions(-)

commit 240903e80ca841495686c96638f925aecdc53883
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: Add GcrSingleCollection internal class

 gcr/Makefile.am             |   1 +
 gcr/gcr-single-collection.c | 157 ++++++++++++++++++++++++++++++++++++++++++++
 gcr/gcr-single-collection.h |  55 ++++++++++++++++
 3 files changed, 213 insertions(+)

commit 8a6e43e16c8fbe9416643f1b906ca7038083822a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-23

    gcr: Show warnings about keys that have not been verified
    
     * And emblem icons that have not been verified.

 gcr/gcr-display-view.c   | 71 ++++++++++++++++++++++++++++++++++++++++++++++++
 gcr/gcr-display-view.h   |  5 ++++
 gcr/gcr-gnupg-records.c  | 31 ++++++++++++++++++---
 gcr/gcr-gnupg-renderer.c | 43 +++++++++++++++--------------
 gcr/gcr-parser.c         |  4 ++-
 5 files changed, 128 insertions(+), 26 deletions(-)

commit 5241d4bfb92f7fb054c433f2dcb1f7cacb544f6c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-22

    gcr: Fixes for the import button and viewer widget
    
     * Update the button before anything queued.
     * Fix viewer widget arguments

 gcr/gcr-import-button.c | 120 ++++++++++++++++++++++++------------------------
 gcr/gcr-viewer-widget.c |   2 +-
 gcr/gcr-viewer-widget.h |   2 +-
 3 files changed, 63 insertions(+), 61 deletions(-)

commit 4d59ea3ffe0dd47311bdae6b45c9c67ae3aab840
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-22

    gcr: Distribute new headers properly.

 gcr/Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 61214a59d5470fc7eabb9f49795518a709ccafa6
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-22

    gcr: Fix up documentation images

 docs/reference/gcr/gcr-visual-index.xml | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)

commit 3f73408777f73c4edd7ebfe2be34b5d4ef3c4b64
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-22

    gcr: Complete GcrViewerWidget and GcrImportButton
    
     * Cleanup documentation
     * Rework how the GcrViewerWindow works so that it can be used
       elsewhere.
     * Create GcrImportButton which can import certificates and widgets.

 docs/reference/gcr/Makefile.am                   |  13 +-
 docs/reference/gcr/gcr-docs.sgml                 |   2 +
 docs/reference/gcr/gcr-sections.txt              |  46 ++-
 docs/reference/gcr/gcr-widgets.c                 |  46 ++-
 docs/reference/gcr/gcr.types                     |  23 +-
 docs/reference/gcr/images/certificate-widget.png | Bin 15090 -> 16144 bytes
 docs/reference/gcr/images/import-button.png      | Bin 0 -> 2925 bytes
 docs/reference/gcr/images/key-widget.png         | Bin 10159 -> 10159 bytes
 docs/reference/gcr/images/viewer-widget.png      | Bin 0 -> 13167 bytes
 gcr/Makefile.am                                  |  15 +-
 gcr/gcr-base.h                                   |   1 +
 gcr/gcr-collection-model.c                       |   1 -
 gcr/gcr-combo-selector.c                         |   1 -
 gcr/gcr-failure-renderer.c                       |  32 +-
 gcr/gcr-failure-renderer.h                       |  11 +-
 gcr/gcr-gnupg-process.c                          |  62 ++-
 gcr/gcr-import-button.c                          | 485 +++++++++++++++++++++++
 gcr/gcr-import-button.h                          |  68 ++++
 gcr/gcr-list-selector.c                          |   1 -
 gcr/gcr-marshal.list                             |   2 +
 gcr/gcr-pkcs11-importer.c                        |   2 +-
 gcr/gcr-simple-collection.c                      |   1 -
 gcr/gcr-tree-selector.c                          |   1 -
 gcr/gcr-union-collection.c                       |   1 -
 gcr/gcr-unlock-renderer.c                        |  98 ++---
 gcr/gcr-unlock-renderer.h                        |  12 +-
 gcr/gcr-viewer-tool.c                            |   6 +-
 gcr/gcr-viewer-widget.c                          | 436 ++++++++++++++++++++
 gcr/gcr-viewer-widget.h                          |  53 +++
 gcr/gcr-viewer-window.c                          | 371 ++++-------------
 gcr/gcr-viewer-window.h                          |  12 +-
 gcr/gcr-viewer.c                                 |  27 +-
 gcr/gcr.h                                        |   8 +-
 gcr/tests/Makefile.am                            |   4 +
 gcr/tests/frob-unlock.c                          |   3 +-
 35 files changed, 1366 insertions(+), 478 deletions(-)

commit 8fce8d6ab106813d47a71dd882d81b8aff277e0e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-22

    gcr: Fix up documentation for importer and menu button

 docs/reference/gcr/Makefile.am |  1 +
 gcr/gcr-importer.c             | 14 ++++++++++----
 gcr/gcr-importer.h             |  1 +
 3 files changed, 12 insertions(+), 4 deletions(-)

commit c38e80cb5afd9dcd885cc8cd17a2c6678d131084
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-21

    gcr: Implement GcrMenuButton which is copied from gnome-contacts
    
     * The standard clickable button which drops down a menu.

 gcr/Makefile.am       |   1 +
 gcr/gcr-menu-button.c | 366 ++++++++++++++++++++++++++++++++++++++++++++++++++
 gcr/gcr-menu-button.h |  61 +++++++++
 3 files changed, 428 insertions(+)

commit 23caa912b07371a295f8d361c404add9888df6ff
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-21

    gcr: Refactor the importer with multiple registered importers
    
     * Allow multiple importers to register, and have a way for
       them to identify whether something is importable by the
       importer or not.
     * Create a new GnuPG keyring importer.
     * Add boxed type for a GList of GObject
     * Some other minor cleanups.

 docs/reference/gck/gck-sections.txt |    2 +
 docs/reference/gcr/Makefile.am      |    4 +
 docs/reference/gcr/gcr-sections.txt |   79 +--
 gck/gck-misc.c                      |   12 +
 gck/gck.h                           |    4 +
 gck/gck.symbols                     |    1 +
 gcr/Makefile.am                     |    4 +-
 gcr/gcr-base.symbols                |   12 +
 gcr/gcr-certificate-widget.c        |    7 -
 gcr/gcr-deprecated-base.h           |    6 +
 gcr/gcr-deprecated.h                |    5 -
 gcr/gcr-gnupg-importer.c            |  315 ++++++++++
 gcr/gcr-gnupg-importer.h            |   67 +++
 gcr/gcr-gnupg-process.c             |    7 +
 gcr/gcr-gnupg-process.h             |    2 +
 gcr/gcr-import-dialog.c             |   15 +-
 gcr/gcr-import-dialog.h             |   17 +-
 gcr/gcr-importer.c                  | 1118 ++++++++++-------------------------
 gcr/gcr-importer.h                  |   95 ++-
 gcr/gcr-internal.h                  |    1 +
 gcr/gcr-key-widget.c                |    7 -
 gcr/gcr-pkcs11-importer.c           |  582 ++++++++++++++++++
 gcr/gcr-pkcs11-importer.h           |   68 +++
 gcr/gcr-record.h                    |   11 +
 gcr/gcr.symbols                     |   14 -
 25 files changed, 1476 insertions(+), 979 deletions(-)

commit 10e13e6d09e77d3bfde7a9d1b45b87893c0111a9
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-20

    gcr: Add Renderer for Gnupg keys
    
     * Uses the colon style GcrRecord data to render gnupg key.

 docs/reference/gcr/gcr-sections.txt |  10 +
 gcr/Makefile.am                     |   6 +
 gcr/gcr-gnupg-collection.c          |   5 +-
 gcr/gcr-gnupg-key.c                 | 127 +-----
 gcr/gcr-gnupg-key.h                 |   4 -
 gcr/gcr-gnupg-records.c             | 244 +++++++++++
 gcr/gcr-gnupg-records.h             |  52 +++
 gcr/gcr-gnupg-renderer.c            | 852 ++++++++++++++++++++++++++++++++++++
 gcr/gcr-gnupg-renderer.h            |  77 ++++
 gcr/gcr-openpgp.c                   |  55 +--
 gcr/gcr-openpgp.h                   |   8 +
 gcr/gcr-parser.c                    |  20 +-
 gcr/gcr-record.c                    | 150 ++++---
 gcr/gcr-record.h                    |  33 +-
 gcr/gcr-renderer.c                  |   2 +
 gcr/gcr-types.h                     |  10 +
 gcr/tests/test-gnupg-collection.c   |   2 +-
 gcr/tests/test-gnupg-key.c          |   3 +-
 gcr/tests/test-openpgp.c            |  16 +
 gcr/tests/test-record.c             |   4 +-
 20 files changed, 1438 insertions(+), 242 deletions(-)

commit 967e6356ddb2b68c4bfde66525790f7cb4739d04
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-16

    gcr: Implement parsing of openpgp packet contents into records.
    
     * Also centralize our timegm() implementation for dumb OS's.
     * Add tests for openpgp packet parsing
     * Produces with-colons format in the gnupg style, slight differences
       but not incompatible.

 docs/reference/gcr/gcr-sections.txt |   10 +
 egg/Makefile.am                     |    1 +
 egg/egg-asn1x.c                     |   31 +-
 egg/egg-timegm.c                    |   58 ++
 egg/egg-timegm.h                    |   33 +
 gck/gck-slot.c                      |   35 +-
 gcr/gcr-gnupg-collection.c          |    2 +-
 gcr/gcr-gnupg-key.c                 |    4 +-
 gcr/gcr-gnupg-util.c                |   59 +-
 gcr/gcr-openpgp.c                   | 1125 ++++++++++++++++++++++++++++++++++-
 gcr/gcr-openpgp.h                   |    9 +
 gcr/gcr-parser.c                    |    4 +-
 gcr/gcr-record.c                    |  611 +++++++++++++++++--
 gcr/gcr-record.h                    |  142 ++++-
 gcr/tests/Makefile.am               |    1 +
 gcr/tests/files/secring.gpg         |  Bin 0 -> 4398 bytes
 gcr/tests/frob-openpgp.c            |  122 ++++
 gcr/tests/test-openpgp.c            |  270 ++++++++-
 gcr/tests/test-record.c             |   22 -
 19 files changed, 2306 insertions(+), 233 deletions(-)

commit 90a5361c4886de91e50228cb1a6e3e51cbfac2a1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-14

    gcr: Implement input for GcrGnupgProcess
    
     * Use io streams for input and output

 docs/reference/gcr/gcr-sections.txt               |   9 +
 gcr/Makefile.am                                   |   1 +
 gcr/gcr-callback-output-stream.c                  | 127 ++++++++
 gcr/gcr-callback-output-stream.h                  |  58 ++++
 gcr/gcr-gnupg-collection.c                        |  54 ++--
 gcr/gcr-gnupg-process.c                           | 373 ++++++++++++++++++----
 gcr/gcr-gnupg-process.h                           |  19 +-
 gcr/tests/files/gnupg-mock/mock-arguments-environ |   2 +-
 gcr/tests/files/gnupg-mock/mock-echo              |   8 +
 gcr/tests/test-gnupg-process.c                    | 148 +++++++--
 10 files changed, 665 insertions(+), 134 deletions(-)

commit a59215f1766e8f970043973847a1af2ab97b2341
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-14

    gcr: GcrParser now reports current format for block parsed
    
     * The current format represents the inner most block
     * Refactor GcrParser so that we can accurately track the state of
       the parsed items when multiple functions contribute to that state.

 docs/reference/gcr/gcr-sections.txt |   1 +
 gcr/gcr-base.symbols                |   1 +
 gcr/gcr-parser.c                    | 646 +++++++++++++++++++++---------------
 gcr/gcr-parser.h                    |   8 +-
 gcr/gcr-types.h                     |   3 +-
 gcr/tests/test-parser.c             |   9 +-
 6 files changed, 401 insertions(+), 267 deletions(-)

commit 8368e7e9f60a4a0f6f7a1d2175f24ba02b1b7521
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-13

    gcr: Implement recognizing of OpenPGP packets
    
     * Doesn't actually parse keys or anything else about OpenPGP (yet).
     * Generalize the PEM code so that it works for PGP armor.

 docs/reference/gcr/gcr-sections.txt |   1 +
 egg/Makefile.am                     |   1 +
 egg/egg-armor.c                     | 407 ++++++++++++++++++++++++++++++++++++
 egg/egg-armor.h                     |  50 +++++
 egg/egg-openssl.c                   | 350 -------------------------------
 egg/egg-openssl.h                   |  18 --
 egg/tests/test-openssl.c            |  17 +-
 gcr/Makefile.am                     |   1 +
 gcr/gcr-certificate-exporter.c      |   7 +-
 gcr/gcr-openpgp.c                   | 226 ++++++++++++++++++++
 gcr/gcr-openpgp.h                   |  49 +++++
 gcr/gcr-parser.c                    |  83 +++++++-
 gcr/gcr-types.h                     |   3 +
 gcr/tests/Makefile.am               |   1 +
 gcr/tests/files/pubring.gpg         | Bin 0 -> 21969 bytes
 gcr/tests/files/werner-koch.asc     |  71 +++++++
 gcr/tests/test-openpgp.c            |  94 +++++++++
 17 files changed, 989 insertions(+), 390 deletions(-)

commit 3b76bda50a43a7315e2c8c66bbf9a7d2304cbf73
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-13

    gcr: Implement OpenSSH public key parser
    
     * And add tests for various formats.

 docs/reference/gcr/gcr-sections.txt |   1 +
 gcr/Makefile.am                     |   1 +
 gcr/gcr-internal.h                  |   3 +
 gcr/gcr-live-search.c               |  19 +-
 gcr/gcr-openssh.c                   | 491 ++++++++++++++++++++++++++++++++++++
 gcr/gcr-openssh.h                   |  51 ++++
 gcr/gcr-parser.c                    | 108 ++++++--
 gcr/gcr-types.h                     |   2 +
 gcr/tests/Makefile.am               |   1 +
 gcr/tests/files/openssh_keys.pub    |   2 +
 gcr/tests/test-openssh.c            | 196 ++++++++++++++
 testing/ssh-example/README          |   1 +
 testing/ssh-example/id_dsa          |  15 ++
 testing/ssh-example/id_dsa.pub      |   1 +
 testing/ssh-example/id_rsa          |  30 +++
 testing/ssh-example/id_rsa.pub      |   1 +
 testing/ssh-example/identity        | Bin 0 -> 988 bytes
 testing/ssh-example/identity.pub    |   1 +
 18 files changed, 907 insertions(+), 17 deletions(-)

commit 08c238dcd77bd645d216c8e7c6e4bbc68c1a7b80
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-12

    egg: Add decoder for decimal data, analogous to the hex decoder.

 egg/Makefile.am          |   1 +
 egg/egg-decimal.c        | 101 +++++++++++++++++++++++++++++++++++
 egg/egg-decimal.h        |  33 ++++++++++++
 egg/tests/Makefile.am    |   1 +
 egg/tests/test-decimal.c | 136 +++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 272 insertions(+)

commit 5658fca73b9783b08949fca8db984c1e1436503a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: Remove stock icon code, add gcr_icon_for_token_info()
    
     * gcr-icons.h is public
     * Remove old stock icon code, and use themed icons properly
     * Add gcr_icon_for_token_info() function which looks up an
       appropriate icon for a token.

 gcr/Makefile.am                |  1 +
 gcr/gcr-base.h                 |  1 +
 gcr/gcr-certificate-renderer.c |  1 -
 gcr/gcr-failure-renderer.c     |  2 --
 gcr/gcr-icons.c                | 70 ++++++++----------------------------------
 gcr/gcr-icons.h                |  7 +++--
 gcr/gcr-key-renderer.c         |  2 --
 gcr/gcr-unlock-renderer.c      |  2 --
 8 files changed, 20 insertions(+), 66 deletions(-)

commit 00f5efb6f9dc9508153ee280d1c582f62e858a87
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: Compatiblity fix for glib 2.28.x

 gcr/gcr-library.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 01696f02e22e1359c6c63f46993188f6d2638e60
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-23

    gcr: Add icons for smart card
    
     * Copy a bit of infrastructure from gnome-icon-theme
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659951

 gcr/icons/16x16/Makefile.am          |    1 +
 gcr/icons/16x16/gcr-smart-card.png   |  Bin 0 -> 509 bytes
 gcr/icons/22x22/Makefile.am          |    1 +
 gcr/icons/22x22/gcr-smart-card.png   |  Bin 0 -> 662 bytes
 gcr/icons/24x24/Makefile.am          |    1 +
 gcr/icons/24x24/gcr-smart-card.png   |  Bin 0 -> 636 bytes
 gcr/icons/256x256/Makefile.am        |    9 +
 gcr/icons/256x256/gcr-smart-card.png |  Bin 0 -> 9294 bytes
 gcr/icons/32x32/Makefile.am          |    1 +
 gcr/icons/32x32/gcr-smart-card.png   |  Bin 0 -> 1093 bytes
 gcr/icons/48x48/Makefile.am          |    1 +
 gcr/icons/48x48/gcr-smart-card.png   |  Bin 0 -> 1684 bytes
 gcr/icons/Makefile.am                |    9 +-
 gcr/icons/render-icons.py            |  174 +++++
 gcr/icons/src/gcr-smart-card.svg     | 1165 ++++++++++++++++++++++++++++++++++
 15 files changed, 1361 insertions(+), 1 deletion(-)

commit 48767fcff6d008622561f2d8a7cc9191167139f3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-26

    gcr: Fix for more glib deprecations

 gcr/gcr-library.c         |  2 +-
 gcr/gcr-live-search.c     | 10 ++++------
 gcr/gcr-unlock-renderer.c |  2 +-
 3 files changed, 6 insertions(+), 8 deletions(-)

commit 76add73aa3a11b073aaec400021c870fee8858f9
Merge: 8a0c332 c9298e5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-26

    Merge branch 'introspect-nodes'

commit 8a0c332bc6f853fa39f889b666ff291e0465f054
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-26

    Rework configure build options based on recent mailing list posts
    
     * --enable-strict to enable -Werror, fatal warnings and disable
       deprecations
     * --disable-debug to G_DISABLE_ASSERT
     * default debug for -g, WITH_DEBUG
     * --enable-debug to -OO

 egg/Makefile.am |  8 +-------
 gck/Makefile.am | 12 ++----------
 gcr/Makefile.am | 12 ++----------
 3 files changed, 5 insertions(+), 27 deletions(-)

commit c9298e5229b6561fe86459d7bbe5afc9b42e4a88
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-26

    Split the gcr library into base and ui components.
    
     * Different pkg-config files gcr-3.pc and gcr-base-3.pc
     * The base library doesn't link to GTK+ or anything that
       is used in the UI. It can be used by non-ui programs.

 gcr/Makefile.am                     | 177 +++++++++++++++++++++++-------------
 gcr/gcr-base.h                      |  51 +++++++++++
 gcr/gcr-base.pc.in                  |  16 ++++
 gcr/gcr-base.symbols                | 110 ++++++++++++++++++++++
 gcr/gcr-certificate-chain.h         |   5 +-
 gcr/gcr-certificate-exporter.h      |   4 +-
 gcr/gcr-certificate-extensions.h    |   4 +-
 gcr/gcr-certificate-renderer.h      |   4 +-
 gcr/gcr-certificate-widget.h        |   4 +-
 gcr/gcr-certificate.h               |   4 +-
 gcr/gcr-combo-selector.c            |   2 -
 gcr/gcr-deprecated-base.h           |  49 ++++++++++
 gcr/gcr-deprecated.h                |  27 ++----
 gcr/gcr-enum-types.c.template       |  10 +-
 gcr/gcr-enum-types.h.template       |   2 +-
 gcr/gcr-failure-renderer.h          |   4 +-
 gcr/gcr-gnupg-collection.h          |   2 +-
 gcr/gcr-gnupg-key.c                 |   1 -
 gcr/gcr-gnupg-key.h                 |   5 +-
 gcr/gcr-gnupg-process.h             |   2 +-
 gcr/gcr-gnupg-util.h                |   4 +-
 gcr/gcr-import-dialog.c             |   2 -
 gcr/gcr-importer.c                  |   2 -
 gcr/gcr-importer.h                  |   4 +-
 gcr/gcr-key-renderer.h              |   4 +-
 gcr/gcr-key-widget.h                |   4 +-
 gcr/gcr-library.c                   |  73 +--------------
 gcr/gcr-library.h                   |   4 +-
 gcr/gcr-list-selector.c             |   2 -
 gcr/gcr-memory.c                    |  92 +++++++++++++++++++
 gcr/gcr-parser.h                    |   4 +-
 gcr/gcr-pkcs11-certificate.h        |   4 +-
 gcr/gcr-record.h                    |   4 +-
 gcr/gcr-simple-certificate.h        |   6 +-
 gcr/gcr-simple-collection.c         |   3 +-
 gcr/gcr-simple-collection.h         |   2 +-
 gcr/gcr-tree-selector.c             |   2 -
 gcr/gcr-trust.c                     |   2 +-
 gcr/gcr-trust.h                     |   4 +-
 gcr/gcr-types.h                     |   4 +-
 gcr/gcr-union-collection.h          |   2 +-
 gcr/gcr-unlock-options-widget.h     |   4 +-
 gcr/gcr-unlock-renderer.h           |   4 +-
 gcr/gcr.h                           |  16 +---
 gcr/gcr.pc.in                       |   2 +-
 gcr/gcr.symbols                     | 106 ---------------------
 gcr/tests/frob-parser.c             |   6 +-
 gcr/tests/test-certificate-chain.c  |   2 +-
 gcr/tests/test-certificate.c        |   2 +-
 gcr/tests/test-fingerprint.c        |   2 +-
 gcr/tests/test-gnupg-collection.c   |   2 +-
 gcr/tests/test-gnupg-process.c      |   2 +-
 gcr/tests/test-parser.c             |   2 +-
 gcr/tests/test-pkcs11-certificate.c |   2 +-
 gcr/tests/test-simple-certificate.c |   2 +-
 gcr/tests/test-trust.c              |   2 +-
 gcr/tests/test-util.c               |   2 +-
 57 files changed, 514 insertions(+), 355 deletions(-)

commit 500619f616b102e9a401f96cca95ee67ba947dc5
Merge: c35a400 7ae4cd1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-26

    Merge branch 'gnome-3-2'

commit c35a40040233acaa177709cd0832e41ea6f04a36
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-21

    Update symbols files for recently added API.

 gck/gck.symbols | 2 ++
 gcr/gcr.symbols | 9 +++++++++
 2 files changed, 11 insertions(+)

commit d230dc529061462cc7b1f7c5297d6e44da024e1a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-19

    Fix pkcs11 related pkg-config variables and build output.
    
     * These were accidentally missed in earlier commits related
       to p11-kit 0.6

 gcr/gcr.pc.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bb10e659e8b855ad47a861c5b03465214fb3d560
Merge: 73a1ad7 efcf16d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-19

    Merge branch 'track-memory'

commit 73a1ad763b81774e3f423cb77054bdeeda5f821d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-19

    gck: Documentation fix

 docs/reference/gck/gck-sections.txt | 1 +
 1 file changed, 1 insertion(+)

commit 0d1929b7a79dd619f4ace02444b51b7315d42283
Merge: 7ae4cd1 c7b1d28
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-19

    Merge branch 'sort-values'

commit 7ae4cd1bbbe2b12abac4243f3514565ae3b6b6f4
Author: Bastien Nocera <hadess@hadess.net>
Date:   2011-09-17

    build: Fix parallel compilation
    
    We need to tell Makefile how to generate gcr-oids.h

 gcr/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 7b9525b2f1f0904698f80a8c2c6962d758829495
Author: Andre Klapper <a9016009@gmx.de>
Date:   2011-09-13

    Change online URL from library.g.o to developer.g.o

 docs/reference/gck/gck-docs.sgml | 4 ++--
 docs/reference/gcr/gcr-docs.sgml | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 0b1557f7da4f6688abb96c50f374435e73962967
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-12

    gcr: Accept slightly invalid PKCS#12 files
    
     * In particular when the order of a SET OF is incorrect as is generated
       by certain implementations.
     * Revert cbecc802e8cf5803aac9fbd3c546b539773220b2 since this fix was
       wrong.
     * Add egg_asn1x_decode_no_validate() so that callers can validate on
       their own and specify validation options.

 egg/egg-asn1x.c  | 70 +++++++++++++++++++++++++++++++++++++-------------------
 egg/egg-asn1x.h  |  7 +++++-
 gcr/gcr-parser.c | 58 ++++++++++++++++++++++++++++++++++++++++------
 3 files changed, 103 insertions(+), 32 deletions(-)

commit 483ef5a82cd2a1834737c506e85031d26b719557
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-12

    gcr: Verify PKCS#12 MAC
    
     * This also has the nice effect of sanifying the prompting for unlock
       passwords for PKCS#12 file, since it's done by the parser before
       looking inside the various parts of the file.

 egg/egg-symkey.c | 138 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 egg/egg-symkey.h |  16 +++++++
 gcr/gcr-parser.c |  96 ++++++++++++++++++++++++++++++++++++--
 3 files changed, 246 insertions(+), 4 deletions(-)

commit d3933248a820ed1ce4629c3a0440223597f3a1a4
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-12

    gcr: Fix memory leak while parsing PKCS#8 encrypted keys.

 gcr/gcr-parser.c | 1 +
 1 file changed, 1 insertion(+)

commit 878fa9700c48a2b842873e39de87bb69b04d5993
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-12

    egg: Fix issue generating PKCS#12 symkey from password
    
     * If the key needed was longer than the hash size we would
       generate the incorrect key.
     * Right align the calculated number correctly in the buffer

 egg/egg-symkey.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 529322d79ee708de3d24619a7b491600bad9cb64
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-12

    egg: Fix ASN.1 issues validating order of SETOF
    
     * Compare just the value, rather than the entire TLV
     * This fixes some corner cases parsing PKCS#12 files

 egg/egg-asn1x.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit efcf16d64440d668a56efdb446c725339e072f89
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-14

    Secure memory tagging
    
     * Tag all secure memory with strings, and print out diagnostic
       report of what's in use, upon request.

 egg/egg-dh.c            |   2 +
 egg/egg-entry-buffer.c  |   2 +
 egg/egg-libgcrypt.c     |   2 +
 egg/egg-openssl.c       |   2 +
 egg/egg-secure-memory.c | 269 +++++++++++++++++++++++++++++++-----------------
 egg/egg-secure-memory.h |  31 ++++--
 egg/egg-symkey.c        |   2 +
 egg/tests/test-secmem.c |  20 ++--
 gcr/gcr-parser.c        |   2 +
 9 files changed, 218 insertions(+), 114 deletions(-)

commit d2181a276b1a1fbeedad1f27b7f49074105eaaec
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-10

    Fix typo in GcrUnlockRenderer
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658668

 gcr/gcr-unlock-renderer.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c7b1d28d5b933210855e8aefcb44e9b7db2003ad
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-09

    gck: Add functions for matching uri to modules and tokens

 docs/reference/gck/gck-sections.txt |  2 ++
 gck/gck-module.c                    | 31 ++++++++++++++++++++++++++++++
 gck/gck-slot.c                      | 38 +++++++++++++++++++++++++++++++++++++
 gck/gck.h                           | 14 ++++++++++++--
 4 files changed, 83 insertions(+), 2 deletions(-)

commit 2a73924b070044ceb9e600c0daf007f0bddaf65b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-09

    gcr: Add gcr_union_collection_have() and gcr_union_collection_size()
    
     * Used to check wether a collection is part of the union.

 docs/reference/gcr/gcr-sections.txt |  2 ++
 gcr/gcr-union-collection.c          | 34 ++++++++++++++++++++++++++++++++++
 gcr/gcr-union-collection.h          |  5 +++++
 3 files changed, 41 insertions(+)

commit d14a8aff48381ea97e68b7996e1b7bb2f7a923fb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-07

    gcr: Fix extra object reference in gcr_union_collection_take()

 gcr/gcr-union-collection.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fa06cfbd780c0a36aa93c85d8fe792ea0883f925
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-07

    gcr: Fix null pointer dereference when finalizing GcrCollectionModel

 gcr/gcr-collection-model.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 949360d644ccc5b4adb1494740968da23ca1e146
Author: Travis Reitter <treitter@gmail.com>
Date:   2011-09-06

    gcr: Fix gcr-viewer build errors
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658319

 gcr/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit e31176810201a57a60a9eb0a3d0bd0172dcde887
Author: Rodrigo Moya <rodrigo@gnome-db.org>
Date:   2011-09-06

    gcr: Fix linking of gcr-viewer
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658249

 gcr/Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 2faab0712e8ccd7c733454a16e0227536b54f536
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-06

    gcr: Add GcrUnionCollection class
    
     * A GcrCollection which combines the contents of other collections
       into a single collection.

 docs/reference/gcr/gcr-sections.txt |  23 ++-
 gcr/Makefile.am                     |   2 +
 gcr/gcr-collection.c                |   1 +
 gcr/gcr-union-collection.c          | 307 ++++++++++++++++++++++++++++++++++++
 gcr/gcr-union-collection.h          |  71 +++++++++
 gcr/gcr.h                           |   1 +
 6 files changed, 403 insertions(+), 2 deletions(-)

commit b620c6b1ac741477afeaefc22aef2b54dde05f92
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-05

    gcr: gcr_collection_model_set_columns() now returns number of columns
    
     * Return the number of real columns added (not including the
       possible selected column).
     * Fix several crashers in GcrCollectionModel as well.

 gcr/gcr-collection-model.c | 23 +++++++++++++++++------
 gcr/gcr-collection-model.h |  2 +-
 2 files changed, 18 insertions(+), 7 deletions(-)

commit 185ab819dea0a3e4bc57ac12bcd5f0e0a4e243ea
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-05

    gcr: Add gcr_collection_model_get_collection()
    
     * A way to get the collection that collection model is based on.

 docs/reference/gcr/gcr-sections.txt |  1 +
 gcr/gcr-collection-model.c          | 15 +++++++++++++++
 gcr/gcr-collection-model.h          |  2 ++
 3 files changed, 18 insertions(+)

commit ac4a4fbe2ef99be613ad5e5aadf70a7ed8afee72
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-05

    gcr: Add gcr_collection_contains() as a virtual interface method.
    
     * And deprecate gcr_simple_collection_contains()
     * This is because this method is hard to implement at a higher layer
       efficiently, and the collection itself needs to get involved.

 docs/reference/gcr/gcr-sections.txt |  5 +++--
 gcr/gcr-collection.c                | 18 ++++++++++++++++++
 gcr/gcr-collection.h                | 10 ++++++++--
 gcr/gcr-deprecated.h                |  4 ++++
 gcr/gcr-gnupg-collection.c          | 17 +++++++++++++++++
 gcr/gcr-simple-collection.c         | 14 +++++++++++++-
 gcr/gcr-simple-collection.h         |  3 ---
 7 files changed, 63 insertions(+), 8 deletions(-)

commit 85ec938827fa390350d74a6c40d5e7ef3f03dc02
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-02

    gcr: Add support for GcrCollectionModel to have child rows
    
     * A child row is represented by an object that implements the
       GcrCollection

 gcr/gcr-collection-model.c     | 571 ++++++++++++++++++++++++++++-------------
 gcr/gcr-collection-model.h     |   7 -
 gcr/tests/frob-tree-selector.c | 114 +++++++-
 3 files changed, 499 insertions(+), 193 deletions(-)

commit e66d7d8c5b77fcb9bddef0ad8aecae1872c6fd02
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-02

    gcr: Add GtkTreeSortable interface to GcrCollectionModel
    
     * Can now sort based on values, which simplifies callers of
       GcrCollectionModel.
     * Needed for use in seahorse.

 gcr/gcr-collection-model.c     | 482 ++++++++++++++++++++++++++++++++++++++---
 gcr/gcr-collection-model.h     |   7 +
 gcr/gcr-tree-selector.c        | 103 +--------
 gcr/tests/frob-tree-selector.c |   4 +-
 4 files changed, 460 insertions(+), 136 deletions(-)

commit bd846bd1d8a4d3c3f8c5c915af1fdbac45dee86a
Author: Kalev Lember <kalevlember@gmail.com>
Date:   2011-08-31

    gcr: Don't update the MIME database if DESTDIR is set
    
    This way the configure defaults work for binary distributions and they
    don't need to pass --disable-update-mime to configure.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657871

 gcr/Makefile.am | 24 +++++++++++++-----------
 1 file changed, 13 insertions(+), 11 deletions(-)

commit 24cb6dc2cdddf776453dad65d87bd65661a4a569
Author: Frédéric Péters <fpeters@0d.be>
Date:   2011-09-04

    build: install gcr-viewer-window.h header file
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658147

 gcr/Makefile.am | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 319bfbf6f2590ca5606daca93acf42c56264d090
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-02

    gcr: Stop parsing PKCS#12 bag if locked
    
     * This allows GcrUnlockRenderer to work correctly for certain
       types of PKCS#12 files it was screwing up on before.

 gcr/gcr-parser.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 81317e80d803d1d6984a74eb3f85eb51e8c23d6e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-02

    gcr: Proper flags for GcrColumnFlags
    
     * Include GCR_COLUMN_NONE
     * Use << instead of hex numbers

 gcr/gcr-column.c | 1 +
 gcr/gcr-column.h | 7 ++++---
 2 files changed, 5 insertions(+), 3 deletions(-)

commit a6886d3eaf189131be4f5b6202e422b03ae88a1f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-01

    gcr: Add support for getting friendly name out of a PKCS#12 file.

 egg/egg-asn1x.c   | 19 +++++++++++++++++++
 egg/egg-asn1x.h   |  2 ++
 gcr/gcr-oids.list |  3 +++
 gcr/gcr-parser.c  | 52 +++++++++++++++++++++++++++++++++++++++++++++++-----
 4 files changed, 71 insertions(+), 5 deletions(-)

commit 46b743d63926e8171e6bca56a7365bb3fce3d9db
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-01

    gcr: Support multiple items inside a PKCS#12 bag.
    
     * This is how (at least) openssl sends along additional certs in
       a PKCS#12 file.
     * Create a new file personal.p12 to test this.

 gcr/gcr-parser.c                         |  13 ++++---------
 gcr/tests/files/personal.p12             | Bin 0 -> 3396 bytes
 testing/ca-example/certs/personal.crt    |  16 ++++++++++++++++
 testing/ca-example/certs/personal.p12    | Bin 0 -> 3396 bytes
 testing/ca-example/commands.txt          |  17 +++++++++++++++--
 testing/ca-example/keys/personal.key     |  30 ++++++++++++++++++++++++++++++
 testing/ca-example/requests/personal.req |  15 +++++++++++++++
 testing/ca-example/serial.txt            |   2 +-
 8 files changed, 81 insertions(+), 12 deletions(-)

commit cbbe6b8f97ccab00d79aa24b8cd18a633ab4762e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-01

    gcr: Use place holder text in viewer unlock prompt.
    
     * Displays 'Password' in the box where the user types the password.

 gcr/gcr-unlock-renderer.c | 3 +++
 1 file changed, 3 insertions(+)

commit 79e9e7eaf04f0ffe66e99812a51ca2af73af86d0
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-01

    gcr: Documentation, testing and distcheck fixes
    
     * Update symbols for new APIs
     * Update docs with new APIs
     * Change how tests find fixture files.

 docs/reference/gcr/Makefile.am      |  2 ++
 docs/reference/gcr/gcr-sections.txt |  1 +
 egg/egg-testing.c                   | 21 ---------------
 egg/egg-testing.h                   |  2 --
 egg/tests/Makefile.am               |  2 +-
 egg/tests/test-asn1x.c              |  2 --
 egg/tests/test-openssl.c            |  1 -
 gck/Makefile.am                     |  3 ++-
 gck/gck.symbols                     |  1 +
 gck/tests/Makefile.am               |  2 +-
 gcr/gcr-parser.c                    |  7 ++---
 gcr/gcr.symbols                     |  2 ++
 gcr/tests/Makefile.am               |  2 +-
 gcr/tests/frob-certificate.c        | 27 ++------------------
 gcr/tests/frob-combo-selector.c     | 22 ----------------
 gcr/tests/frob-key.c                | 27 ++------------------
 gcr/tests/frob-tree-selector.c      | 22 ----------------
 gcr/tests/frob-unlock-options.c     | 22 ----------------
 gcr/tests/test-fingerprint.c        | 51 ++++++++++++++++++++-----------------
 gcr/tests/test-gnupg-collection.c   | 12 +--------
 gcr/tests/test-gnupg-process.c      | 19 +++-----------
 21 files changed, 49 insertions(+), 201 deletions(-)

commit d6cbd89863a56b629556ab2f6a45231db1efcd54
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-31

    gcr: Expose correct outer block for PEM in GcrParser

 gcr/gcr-parser.c | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 6d3309d99045be7c49dfaeaa3d6fe518e85bc449
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-31

    egg: Make OpenSSL PEM routines return outer block as well.
    
     * We expose this in GcrParser so that we can reparse a block that needs
       a password.

 egg/egg-openssl.c        | 32 +++++++++++++++++++++++++++-----
 egg/egg-openssl.h        |  9 +++++++--
 egg/tests/test-openssl.c |  9 +++++++--
 gcr/gcr-parser.c         |  9 +++++++--
 4 files changed, 48 insertions(+), 11 deletions(-)

commit 89c2508f94af7aff8fb6f6ea135baa0f8dc9de84
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-31

    gcr: Display errors in the gcr-viewer
    
     * Add GcrFailureRenderer which shows errors with reason and icon

 gcr/Makefile.am            |   1 +
 gcr/gcr-failure-renderer.c | 209 +++++++++++++++++++++++++++++++++++++++++++++
 gcr/gcr-failure-renderer.h |  68 +++++++++++++++
 gcr/gcr-viewer-window.c    |  32 ++++---
 4 files changed, 297 insertions(+), 13 deletions(-)

commit 01d9b05bba8be349478a582a6798185cf6682f9e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-31

    gcr: Add support for unlocking files in gcr-viewer
    
     * Add a GcrRenderer which displays unlock widgets
     * Add method to GcrViewer which allows insertion of renderer before another
     * Functionality in GcrDisplayView for showing dialog like widgets in view
     * Fixes for removing renderer from view
     * Parser fixes for enabling all formats
     * Parser fixes for PKCS#12 parsing with locked data

 gcr/Makefile.am            |   1 +
 gcr/gcr-display-scrolled.c |  10 ++
 gcr/gcr-display-view.c     | 141 ++++++++++++++---
 gcr/gcr-display-view.h     |   4 +
 gcr/gcr-parser.c           |  39 +++--
 gcr/gcr-unlock-renderer.c  | 368 +++++++++++++++++++++++++++++++++++++++++++++
 gcr/gcr-unlock-renderer.h  |  69 +++++++++
 gcr/gcr-viewer-window.c    | 125 ++++++++++++++-
 gcr/gcr-viewer.c           |  56 ++++---
 gcr/gcr-viewer.h           |  27 +++-
 gcr/gcr.h                  |   1 +
 gcr/tests/Makefile.am      |   3 +-
 gcr/tests/frob-unlock.c    | 111 ++++++++++++++
 13 files changed, 882 insertions(+), 73 deletions(-)

commit 2545fe9737dae4bea08687363feb1233e5a9f09c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    gcr: Support get surrounding data block from GcrParser
    
     * This is needed for importing parsed data into other places
       than PKCS#11 tokens.
     * Going to use this in seahorse.

 docs/reference/gcr/gcr-sections.txt |  1 +
 gcr/gcr-parser.c                    | 84 ++++++++++++++++++++++++++++++-------
 gcr/gcr-parser.h                    |  3 ++
 gcr/tests/test-parser.c             | 27 ++++++++++++
 4 files changed, 101 insertions(+), 14 deletions(-)

commit 4d786ed2a27d04551afa796eb5421883592bf6c8
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    gcr: Test GcrParser with null and empty data

 gcr/gcr-parser.c        | 22 ++++++++++++----------
 gcr/tests/test-parser.c | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+), 10 deletions(-)

commit 0483d81b97f1c461192716891647c2cf36004fc0
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    gcr: Refactor the parser tests
    
     * Make one test per file, and give them descriptive names.
     * Make the tests quieter as well.

 gcr/tests/test-parser.c | 83 +++++++++++++++++++++++++++++--------------------
 1 file changed, 50 insertions(+), 33 deletions(-)

commit 6770c9f5250ddf697b5bd8866f5a70b93d072623
Author: Friedel Wolff <friedel@translate.org.za>
Date:   2011-08-31

    Typo in translatable string
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656599

 gck/gck-uri.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 66504010c3b34229ce92b67c92c429c162c9b2a6
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-31

    gck: Fix tests for new PKCS#11 URI revesion
    
     * Some of the attribute names changed to include dashes

 gck/tests/test-gck-uri.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit b2f6cbaa8ab8259ece2e779d6b0d10497fdfbe48
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-31

    gck: Add gck_modules_tokens_for_uri() function
    
     * Returns multilpe tokens matching a URI
     * We use this when looking up the trust slots

 docs/reference/gck/gck-sections.txt |  1 +
 gck/gck-modules.c                   | 80 ++++++++++++++++++++++++++++---------
 gcr/gcr-library.c                   |  7 +---
 3 files changed, 64 insertions(+), 24 deletions(-)

commit fed0206792938444a457c928bb1e6ee333a81e8c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-31

    gck: Add debug output to GckEnumerator and bits of GckSession
    
     * Also fix up Gcr debugging
     * And add debugging to trust stuff.

 docs/reference/gck/Makefile.am |   4 +-
 gck/Makefile.am                |   2 +
 gck/gck-attributes.c           | 350 +++++++++++++++++++++++++++++++++++++++++
 gck/gck-debug.c                | 109 +++++++++++++
 gck/gck-debug.h                |  86 ++++++++++
 gck/gck-enumerator.c           |  70 +++++++--
 gck/gck-misc.c                 |  97 ++++++++++++
 gck/gck-private.h              |   4 +
 gck/gck-session.c              |  27 +++-
 gck/gck.h                      |   4 +
 gck/pkcs11-trust-assertions.h  |  56 +++++++
 gcr/Makefile.am                |   3 +-
 gcr/gcr-debug.c                |   1 +
 gcr/gcr-debug.h                |   3 +-
 gcr/gcr-trust.c                |   8 +
 15 files changed, 808 insertions(+), 16 deletions(-)

commit fae3191a62a6471893ccad979dfb0282c9cd6459
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-30

    gcr: Fix library initialization bugs, and add some debug statements.
    
     * Fix problems loading trust URIS and initializing modules.
     * Better debug output about library initialization.

 gcr/gcr-debug.c   |  1 +
 gcr/gcr-library.c | 53 ++++++++++++++++++++++++++++++++++++++++++++---------
 2 files changed, 45 insertions(+), 9 deletions(-)

commit 6d46370fe0d0216cf4a048228e827a1f29930987
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-30

    Fix compile warnings when building with --disable-debug

 egg/egg-asn1x.c                | 4 +---
 egg/egg-secure-memory.c        | 4 ++++
 gcr/gcr-certificate-renderer.c | 2 +-
 gcr/gcr-parser.c               | 2 +-
 4 files changed, 7 insertions(+), 5 deletions(-)

commit d4fe26de576b8815169df2f5eb37b6c8e70ba204
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-30

    gcr: Fix up GcrViewerWindow documentation

 docs/reference/gcr/gcr-sections.txt | 18 ++++++++++++++++++
 gcr/gcr-viewer-window.c             | 36 ++++++++++++++++++++++++++++++++++++
 gcr/gcr-viewer-window.h             |  2 ++
 3 files changed, 56 insertions(+)

commit af8fa5521bddd9baf36b18e67f779b52c372098f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-30

    Release 3.1.90
    
     * Fix build issues to do with mime database
     * Fix testing issues in pkcs11 trust assertion database
     * Fix distribution issues.

 gcr/Makefile.am | 5 +++--
 gcr/gcr.symbols | 4 ++++
 2 files changed, 7 insertions(+), 2 deletions(-)

commit b1fb128fe568a2e7560868e3a49452da514cca65
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-22

    gcr: Add better xdg-mime files for identifying crypto related file types
    
     * Add hook up gcr-viewer to view most of those types.
     * Rename test file extensions to match the proper ones

 gcr/Makefile.am                                |  31 +++++
 gcr/gcr-crypto-types.xml                       | 151 +++++++++++++++++++++++++
 gcr/gcr-viewer.desktop.in.in                   |  10 ++
 gcr/tests/files/der-key-PBE-MD5-DES.p8         | Bin 0 -> 677 bytes
 gcr/tests/files/der-key-PBE-SHA1-3DES.p8       | Bin 0 -> 678 bytes
 gcr/tests/files/der-key-PBE-SHA1-DES.p8        | Bin 0 -> 677 bytes
 gcr/tests/files/der-key-PBE-SHA1-RC2-40.p8     | Bin 0 -> 678 bytes
 gcr/tests/files/der-key-PBE-SHA1-RC4-128.p8    | Bin 0 -> 673 bytes
 gcr/tests/files/der-key-dsa.p8                 | Bin 0 -> 335 bytes
 gcr/tests/files/der-key-encrypted-pkcs5.p8     | Bin 0 -> 677 bytes
 gcr/tests/files/der-key-v2-des.p8              | Bin 0 -> 711 bytes
 gcr/tests/files/der-key-v2-des3.p8             | Bin 0 -> 714 bytes
 gcr/tests/files/der-key.p8                     | Bin 0 -> 635 bytes
 gcr/tests/files/der-pkcs8-PBE-MD5-DES.key      | Bin 677 -> 0 bytes
 gcr/tests/files/der-pkcs8-PBE-SHA1-3DES.key    | Bin 678 -> 0 bytes
 gcr/tests/files/der-pkcs8-PBE-SHA1-DES.key     | Bin 677 -> 0 bytes
 gcr/tests/files/der-pkcs8-PBE-SHA1-RC2-40.key  | Bin 678 -> 0 bytes
 gcr/tests/files/der-pkcs8-PBE-SHA1-RC4-128.key | Bin 673 -> 0 bytes
 gcr/tests/files/der-pkcs8-dsa.key              | Bin 335 -> 0 bytes
 gcr/tests/files/der-pkcs8-encrypted-pkcs5.key  | Bin 677 -> 0 bytes
 gcr/tests/files/der-pkcs8-v2-des.key           | Bin 711 -> 0 bytes
 gcr/tests/files/der-pkcs8-v2-des3.key          | Bin 714 -> 0 bytes
 gcr/tests/files/der-pkcs8.key                  | Bin 635 -> 0 bytes
 23 files changed, 192 insertions(+)

commit 6310b35bac3bbe5db903e2bb962219fdca7fe992
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-22

    gcr: Fix up GcrDisplayView bugs and look
    
     * Separators between items.
     * Clicking details doesn't remove items when more than one
       is displayed.
     * Better spacing.

 gcr/gcr-certificate-renderer.c |   7 +-
 gcr/gcr-display-view.c         | 193 +++++++++++++++++++++++++++++++++--------
 gcr/gcr-display-view.h         |   5 +-
 gcr/gcr-key-renderer.c         |   9 +-
 4 files changed, 172 insertions(+), 42 deletions(-)

commit c2fa32ba872fb25ca6bbdf95751427801bfd060b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-31

    Add function for registering well known renderers.
    
    Renderers for certificates and keys are registered.

 gcr/gcr-renderer.c | 12 ++++++++++++
 gcr/gcr-renderer.h |  2 ++
 2 files changed, 14 insertions(+)

commit f0b2e74919d77afc620363e8592e0728c102974e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-25

    Implement basic little viewer window.
    
    Doesn't yet layout correctly, and is pretty plain, but displays
    certificates.

 gcr/Makefile.am         |  15 ++++
 gcr/gcr-viewer-tool.c   | 131 ++++++++++++++++++++++++++++
 gcr/gcr-viewer-window.c | 222 ++++++++++++++++++++++++++++++++++++++++++++++++
 gcr/gcr-viewer-window.h |  56 ++++++++++++
 4 files changed, 424 insertions(+)

commit dd40ad5d5d8cb9a280f767e7d9151e12430c31ee
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    Fix up documentation warning.

 docs/reference/gcr/gcr-sections.txt | 2 ++
 1 file changed, 2 insertions(+)

commit a0e70733627ec8c18693664319d476892b17e838
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    gcr: Don't initialize pkcs11 modules automatically.
    
    Only load and initialize the pkcs11 modules when they're needed rather
    than when anything in gcr is touched. For starters this is lighter,
    and secondly modules can block while loading.
    
    Add async initialization functions, and treat the initialization
    of PkcS#11 modules as something that can block.

 gcr/gcr-certificate.c        |   2 +-
 gcr/gcr-combo-selector.c     |   2 +-
 gcr/gcr-gnupg-collection.c   |   2 +-
 gcr/gcr-import-dialog.c      |   2 +-
 gcr/gcr-importer.c           |   2 +-
 gcr/gcr-internal.h           |  12 +-
 gcr/gcr-library.c            | 179 +++++++++++++++++-----
 gcr/gcr-list-selector.c      |   2 +-
 gcr/gcr-parser.c             |   2 +-
 gcr/gcr-pkcs11-certificate.c |  96 ++++++------
 gcr/gcr-simple-certificate.c |   2 +-
 gcr/gcr-simple-collection.c  |   2 +-
 gcr/gcr-tree-selector.c      |   2 +-
 gcr/gcr-trust.c              | 346 +++++++++++++++++--------------------------
 14 files changed, 353 insertions(+), 300 deletions(-)

commit e0281879af4a2a1f7562690efcdacfe9eb50dc20
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    Don't keep going after tests fail
    
     * Remove -k from gtester arguments

 egg/tests/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 17b8e4548044d49282da453f8dad642ac4e94da3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    gck: Cleanup gck API for consistency
    
     * The GCK library is incrementing its major library version number
       this release cycle. So take that advantage to cleanup the API
       a little bit before stable releases.

 gck/gck-module.c                |  4 +++-
 gck/gck-modules.c               | 21 +++++++++++----------
 gck/gck.h                       |  4 +++-
 gck/gck.symbols                 |  9 +++++++--
 gck/tests/test-gck-crypto.c     |  2 +-
 gck/tests/test-gck-enumerator.c |  2 +-
 gck/tests/test-gck-module.c     |  6 +++---
 gck/tests/test-gck-modules.c    |  2 +-
 gck/tests/test-gck-object.c     |  2 +-
 gck/tests/test-gck-session.c    |  2 +-
 gck/tests/test-gck-slot.c       |  2 +-
 gcr/gcr-library.c               |  9 +++++++--
 12 files changed, 40 insertions(+), 25 deletions(-)

commit 127ce4ea00240b51e8ad928f6c5be3fcc3ab5450
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    gcr: ABI fixes for gcr library
    
     * The gcr library has not iterated its major version
     * Move deprecated stuff into separate headers
     * Also fix problem with enum-types header.

 docs/reference/gcr/gcr-sections.txt |  1 +
 gcr/Makefile.am                     | 20 +++++++-----
 gcr/gcr-deprecated.h                | 61 +++++++++++++++++++++++++++++++++++++
 gcr/gcr-importer.h                  |  9 ------
 gcr/gcr-renderer.c                  | 17 +++++++++++
 gcr/gcr-types.h                     |  8 -----
 gcr/gcr.h                           |  8 +----
 7 files changed, 92 insertions(+), 32 deletions(-)

commit b49cc30e1117e9b35f6c3a988ddb05cf85c0c643
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    Put ABI symbol checks into 'make check'
    
     * We have files in which all public symbols for the gck and gcr
       libraries, and then check these against the linked libraries.
     * Not a panacea for ABI changes, but at least a simple check

 gck/Makefile.am |  26 ++++++--
 gck/gck.symbols | 195 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gcr/Makefile.am |  20 +++++-
 gcr/gcr.symbols | 197 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 429 insertions(+), 9 deletions(-)

commit ecd677096ca975f77f1c73d11144ea6f0e4ed17c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    gck: Add async initialization functions.
    
     * PKCS#11 modules can take indeterminate time to initialize
     * Allow initialization in a separate thread

 docs/reference/gck/gck-sections.txt |   8 +-
 gck/gck-call.c                      |   7 +-
 gck/gck-module.c                    | 150 ++++++++++++++++++++++++++++--------
 gck/gck-modules.c                   | 108 ++++++++++++++++++++++----
 gck/gck.h                           |  17 +++-
 gck/tests/Makefile.am               |   2 +-
 gck/tests/test-gck-module.c         |  51 ++++++++++--
 7 files changed, 279 insertions(+), 64 deletions(-)

commit 3191bc099aa05d42bdd994155f141638fb7ca5e3
Merge: 2405fb4 6274dd0
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-17

    Merge branch 'parse-other-names'

commit 6274dd09e8d3dd1224efd20160731854aae98d13
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-03

    gcr: Display otherName subject-alt-name for xmppAddr and DNS SRV
    
     * Display the xmppAddr and DNS SRV otherName type subject alt names
       correctly. These are displayed as simple strings.
     * Also fix the critical warning when these were encountered.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655902

 gcr/gcr-certificate-extensions.c | 25 ++++++++++++++++++++++++-
 1 file changed, 24 insertions(+), 1 deletion(-)

commit df082058abb17c971fdd2ba4f8a7efd8833a708d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-03

    gcr: Reorganize how gcr oids are generated
    
     * Use script gcr-mkoids to generate oid quark code.
     * Call _gcr_oids_init() before using any GCR_OID_XXX symbols.

 gcr/Makefile.am                  |  8 +++-
 gcr/gcr-certificate-extensions.c |  3 ++
 gcr/gcr-certificate-renderer.c   | 23 ++++-------
 gcr/gcr-certificate.c            | 11 +++---
 gcr/gcr-fingerprint.c            | 31 +++------------
 gcr/gcr-mkoids                   | 85 ++++++++++++++++++++++++++++++++++++++++
 gcr/gcr-oids.list                | 19 +++++++++
 gcr/gcr-parser.c                 | 55 ++++++++------------------
 8 files changed, 148 insertions(+), 87 deletions(-)

commit 2405fb4480b42c29331d3043cfbfbcccf9547275
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-27

    schema: Add support for keyservers in o.g.crypto.pgp schema
    
     * This is needed by seahorse's GSettings migration.
     * This keyservers setting is here, because it's a desktop
       wide setting, rather than seahorse specific.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=622401

 schema/Makefile.am                             | 3 ++-
 schema/org.gnome.crypto.pgp.gschema.xml        | 5 +++++
 schema/org.gnome.crypto.pgp_keyservers.convert | 2 ++
 3 files changed, 9 insertions(+), 1 deletion(-)

commit 7eba34210e78be2ced21383a110d7ef5fc0a97fc
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-25

    Release version 3.1.4
    
     * Include some changes to make comparing symbols easier.
     * Fix some issues that came up when doing make distcheck

 gck/Makefile.am            |   6 ++
 gcr/Makefile.am            |  18 +++--
 gcr/libgcr.symbols         | 183 ---------------------------------------------
 gcr/tests/test-gnupg-key.c |   2 +-
 4 files changed, 17 insertions(+), 192 deletions(-)

commit 76acd5cb35c6725a54c27699ed52913774e8178a
Author: Ross Burton <ross@linux.intel.com>
Date:   2011-07-19

    gcr: install the enum headers
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654896

 gcr/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 593b87b4a7bf45bed27947b1ddbcbb777c84bd26
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-18

    gck: Fix PKCS#11 URI documentation.

 gck/gck-uri.c | 17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)

commit 4f76ec58f2f26b7773f559b47d6e3d3858ad657a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-18

    gcr: Use glib-mkenums to generate types for enums and flags
    
     * And remove manually coded type registration in GcrCertificateChain

 docs/reference/gcr/gcr-sections.txt |  9 ++++++++
 gcr/Makefile.am                     | 17 +++++++++++----
 gcr/gcr-certificate-chain.c         | 41 -------------------------------------
 gcr/gcr-certificate-chain.h         | 20 ++----------------
 gcr/gcr-enum-types.c.template       | 35 +++++++++++++++++++++++++++++++
 gcr/gcr-enum-types.h.template       | 28 +++++++++++++++++++++++++
 gcr/gcr.h                           |  2 ++
 7 files changed, 89 insertions(+), 63 deletions(-)

commit c84838df247bd1b1d4b25de2a65e504894a12d03
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-18

    Cleanup doc sections a bit.

 docs/reference/gcr/gcr-sections.txt | 6 ++++++
 1 file changed, 6 insertions(+)

commit 9eb4a70d9cb9febd24bd9d7bf2ad0dd1aeb3138b
Merge: 2b2e921 cc527f8
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-18

    Merge branch 'list-selector'

commit 2b2e921ba6508224ed9d7e0e63913c9ce224f310
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-13

    gcr: Better markup for PGP keys.

 gcr/gcr-gnupg-key.c | 105 +++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 99 insertions(+), 6 deletions(-)

commit cc527f893f5eb56337a9853f389d34fa2294eabf
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-12

    gcr: Document GcrListSelector

 docs/reference/gcr/Makefile.am              |   7 +++--
 docs/reference/gcr/gcr-docs.sgml            |   1 +
 docs/reference/gcr/gcr-sections.txt         |  20 ++++++++++++++
 docs/reference/gcr/gcr-visual-index.xml     |   3 +++
 docs/reference/gcr/gcr-widgets.c            |  39 ++++++++++++++++++++++++++++
 docs/reference/gcr/images/list-selector.png | Bin 0 -> 10123 bytes
 gcr/gcr-list-selector.c                     |   8 +++---
 7 files changed, 73 insertions(+), 5 deletions(-)

commit aec404d9926ab1636c747fd24ba5c98c82016607
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-12

    gcr: Add the list selector and live search.
    
     * Use live search from Empathy.
     * Selector has [x] boxes next to each object.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654484

 gcr/Makefile.am                 |   3 +
 gcr/gcr-list-selector-private.h |  40 +++
 gcr/gcr-list-selector.c         | 456 ++++++++++++++++++++++++++++
 gcr/gcr-list-selector.h         |  73 +++++
 gcr/gcr-live-search.c           | 651 ++++++++++++++++++++++++++++++++++++++++
 gcr/gcr-live-search.h           |  85 ++++++
 gcr/gcr-marshal.list            |   1 +
 gcr/gcr.h                       |   1 +
 gcr/tests/frob-gnupg-selector.c |  18 +-
 9 files changed, 1324 insertions(+), 4 deletions(-)

commit f614b407f3dfa2ed256eb9ab0b07938512b1a3cd
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-13

    gcr: Better markup for PGP keys.

 gcr/gcr-gnupg-key.c | 102 ++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 96 insertions(+), 6 deletions(-)

commit 6d79a71040933c702f834fa2e0253410a9168e18
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-13

    Fix some distcheck problems

 gcr/tests/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit cd568d943fbeed82bcd02102213ff672d6f3985d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-13

    gcr: Update doc images
    
     * And fix some issues with building shooter executable

 docs/reference/gcr/Makefile.am                   |   6 +++---
 docs/reference/gcr/gcr-shooter.c                 |   6 +-----
 docs/reference/gcr/images/certificate-widget.png | Bin 17514 -> 15090 bytes
 docs/reference/gcr/images/combo-selector.png     | Bin 7855 -> 7065 bytes
 docs/reference/gcr/images/key-widget.png         | Bin 8311 -> 10159 bytes
 docs/reference/gcr/images/tree-selector.png      | Bin 11930 -> 10628 bytes
 6 files changed, 4 insertions(+), 8 deletions(-)

commit 90b6deb471c78b3dfda3ad4f9dbd3e8bd626bf4f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-13

    gcr: Add icons for key and keypair
    
    https://bugzilla.gnome.org/show_bug.cgi?id=651862

 gcr/Makefile.am                  |    2 +-
 gcr/gcr-gnupg-key.c              |    8 +-
 gcr/gcr-icons.c                  |    3 +-
 gcr/gcr-icons.h                  |    3 +-
 gcr/gcr-key-renderer.c           |    2 +-
 gcr/icons/16x16/Makefile.am      |   10 +
 gcr/icons/16x16/gcr-key-pair.png |  Bin 0 -> 878 bytes
 gcr/icons/16x16/gcr-key.png      |  Bin 0 -> 675 bytes
 gcr/icons/22x22/Makefile.am      |    8 +
 gcr/icons/24x24/Makefile.am      |   10 +
 gcr/icons/24x24/gcr-key-pair.png |  Bin 0 -> 1221 bytes
 gcr/icons/24x24/gcr-key.png      |  Bin 0 -> 875 bytes
 gcr/icons/32x32/Makefile.am      |   10 +
 gcr/icons/32x32/gcr-key-pair.png |  Bin 0 -> 1882 bytes
 gcr/icons/32x32/gcr-key.png      |  Bin 0 -> 1201 bytes
 gcr/icons/48x48/Makefile.am      |   10 +
 gcr/icons/48x48/gcr-key-pair.png |  Bin 0 -> 3480 bytes
 gcr/icons/48x48/gcr-key.png      |  Bin 0 -> 2087 bytes
 gcr/icons/Makefile.am            |   13 +
 gcr/icons/key-and-keypair.svg    | 3921 ++++++++++++++++++++++++++++++++++++++
 20 files changed, 3994 insertions(+), 6 deletions(-)

commit 97848afe580ab7e31ae487871ad06816a897b1aa
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-12

    gcr: Review fixes for gnupg icon support
    
     * Reviewed by Phillip Withnall
     * Memory leak fixes.
     * Documentation
     * Other minor bits.

 gcr/gcr-gnupg-collection.c        |  5 +++++
 gcr/gcr-gnupg-key.c               | 38 +++++++++++++++++++++++++++++---------
 gcr/gcr-gnupg-util.c              | 12 ++++++++++++
 gcr/gcr-memory-icon.c             | 34 ++++++++++++++++++++++++++++++++--
 gcr/gcr-memory-icon.h             |  2 +-
 gcr/gcr-record.c                  | 10 ++++++++++
 gcr/tests/test-gnupg-collection.c |  5 +++++
 gcr/tests/test-memory-icon.c      |  2 +-
 8 files changed, 95 insertions(+), 13 deletions(-)

commit 356b4decfa47efc1e0a97b82b77b37cd0163ea73
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-13

    gcr: Display photo as icon for Gnupg keys.
    
     * Load the first photo uid and use as icon for Gnupg Keys.
     * Add GcrMemoryIcon which is a GLoadableIcon which loads from
       data in memory.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=650433

 docs/reference/gcr/gcr-sections.txt |  10 ++
 gcr/Makefile.am                     |   1 +
 gcr/gcr-gnupg-key.c                 |  85 ++++++++++++++-
 gcr/gcr-gnupg-key.h                 |   2 +
 gcr/gcr-memory-icon.c               | 195 ++++++++++++++++++++++++++++++++++
 gcr/gcr-memory-icon.h               |  67 ++++++++++++
 gcr/gcr-record.c                    |  14 +++
 gcr/gcr-record.h                    |   4 +
 gcr/tests/Makefile.am               |   1 +
 gcr/tests/test-memory-icon.c        | 206 ++++++++++++++++++++++++++++++++++++
 gcr/tests/test-record.c             |  18 +++-
 11 files changed, 598 insertions(+), 5 deletions(-)

commit ccf8557422c72aa81c121ae696ce4706ee993510
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-12

    gcr: Implement loading of attributes in GcrGnupgCollection
    
     * These attributes can contain photo ids.
     * Add various definitions for dealing with attributes.
     * Since we like everything in the --with-colons gnupg format,
       we implement our own record type 'xa1' and cram the attribute
       (photo id) into there, along with all data.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=650433

 docs/reference/gcr/gcr-sections.txt |   6 ++
 gcr/Makefile.am                     |   1 +
 gcr/gcr-gnupg-collection.c          | 161 +++++++++++++++++++++++++++++++++---
 gcr/gcr-gnupg-key.c                 |  11 +++
 gcr/gcr-gnupg-key.h                 |   2 +
 gcr/gcr-gnupg-util.c                | 102 +++++++++++++++++++++++
 gcr/gcr-gnupg-util.h                |  41 +++++++++
 gcr/gcr-record.h                    |  43 +++++++++-
 gcr/tests/test-gnupg-collection.c   |  45 ++++++++--
 9 files changed, 393 insertions(+), 19 deletions(-)

commit ea92ea4093127d434af5725ba0a31d8beaeef8a2
Merge: e000c83 68e1dea
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-12

    Merge branch 'gnupg-process'

commit 68e1dea0a165cf7752b00a9d1e987edff23e8017
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-12

    gcr: Review changes for GcrGnupgProcess from Phillip Withnall
    
     * Better docs
     * Disconnect signal handlers properly.
     * Cleanup tests.
     * Other bits

 gcr/gcr-gnupg-collection.c                         |  26 +++--
 gcr/gcr-gnupg-process.c                            |  85 ++++++++++++---
 gcr/gcr-gnupg-process.h                            |   3 +-
 .../files/gnupg-mock/mock-status-and-attribute     |   2 +-
 gcr/tests/test-gnupg-process.c                     | 117 ++++++++++++++++++---
 5 files changed, 193 insertions(+), 40 deletions(-)

commit f80f64c12c83e25b7d9ef04119ed8754b8f6ff93
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-12

    gcr: Refactor gnupg process execution into its own class.
    
     * Support getting user attribute data from keyring.
     * Support getting status messages from gpg.
     * Better cancellation api.
     * Control over LOCALE
    
    https://bugzilla.gnome.org/show_bug.cgi?id=650336

 docs/reference/gcr/gcr-sections.txt                |  12 +-
 gcr/Makefile.am                                    |   1 +
 gcr/gcr-gnupg-collection.c                         | 156 ++--
 gcr/gcr-gnupg-collection.h                         |  10 +-
 gcr/gcr-gnupg-process.c                            | 866 +++++++++++++++++++++
 gcr/gcr-gnupg-process.h                            |  88 +++
 gcr/gcr-marshal.list                               |   2 +
 gcr/tests/Makefile.am                              |   3 +-
 gcr/tests/files/gnupg-mock/mock-arguments-environ  |  22 +
 gcr/tests/files/gnupg-mock/mock-fail-exit          |   6 +
 gcr/tests/files/gnupg-mock/mock-fail-signal        |   8 +
 gcr/tests/files/gnupg-mock/mock-simple-error       |   9 +
 gcr/tests/files/gnupg-mock/mock-simple-output      |   8 +
 .../files/gnupg-mock/mock-status-and-attribute     |  34 +
 gcr/tests/files/gnupg-mock/mock-status-and-output  |  24 +
 gcr/tests/files/gnupg-mock/mock-with-homedir       |  22 +
 gcr/tests/test-gnupg-collection.c                  |   1 -
 gcr/tests/test-gnupg-process.c                     | 446 +++++++++++
 18 files changed, 1608 insertions(+), 110 deletions(-)

commit e000c8359b771b308d328d2517af7b0bbb18ffc6
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-09

    gcr: Fixes for the gcr-3.pc file
    
     * Proper Name: field
     * Fix GTK dependency

 gcr/gcr.pc.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9c8b7b6e9df99299b5cd1121c4c2ddfc79b89e2c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-09

    gck: Dump major version number due to recent API refactoring.
    
     * API is not yet stable, but we increase the major version so that we
       don't piss off packagers.

 docs/reference/gcr/Makefile.am |  2 +-
 gck/Makefile.am                | 15 +++++++-------
 gck/gck.pc.in                  |  6 +++---
 gcr/Makefile.am                |  2 +-
 gcr/libgcr.symbols             | 46 +++++++++++++++++++++++++++++++++++++++++-
 5 files changed, 58 insertions(+), 13 deletions(-)

commit ab8c61d32104f6c8d5c29e84ac6352a7b6d4f861
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-08

    More build fixes after recent changes.
    
     * Use proper library names for gcr
     * Use lib64 properly for pam modules when default is configured.

 gcr/Makefile.am | 4 ++--
 gcr/gcr.pc.in   | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

commit ade6c524287423026d9bf359f2af02c3c30563c2
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-13

    Remove support for GTK+2.
    
     * Simplifies things going forward. Now that GTK+3 is in stable distros
       we can depend on it.
     * This was raised on the mailing list a while back.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=650144

 docs/reference/gcr/Makefile.am |  2 +-
 gcr/Makefile.am                | 20 +++++++--------
 gcr/gcr-display-scrolled.c     |  6 -----
 gcr/gcr-display-view.c         | 56 ------------------------------------------
 4 files changed, 11 insertions(+), 73 deletions(-)

commit 727ec47a63604da32058c8784cd21c60c2d60fa1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-06

    gck: Update GckUriFlags to match p11-kit

 gck/gck-modules.c        |  6 ++++--
 gck/gck-uri.c            | 21 ++++++++++++-------
 gck/gck.h                | 18 +++++++++++++----
 gck/tests/test-gck-uri.c | 52 ++++++++++++++++++++++++------------------------
 4 files changed, 58 insertions(+), 39 deletions(-)

commit 39344e506c679be793e32031c2df099c736d8dba
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-05

    Use p11-kit to lookup trust uris.

 gcr/Makefile.am   |  1 +
 gcr/gcr-library.c | 38 +++++++++++++++++++++++++++-----------
 2 files changed, 28 insertions(+), 11 deletions(-)

commit eae3bfcd68988bab401510f686bd9c718ec1fa6e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-05

    Remove extraneous argument from gck_module_new and gck_module_initialize
    
     * Since the signature of these functions changed anyway (API not yet
       stable, we are going to clean them up a bit more.
     * The xxx_full versions may be needed in the future if more options
       show up.

 gck/gck-module.c                    | 10 ++++------
 gck/gck-modules.c                   |  5 ++---
 gck/gck-private.h                   |  3 +--
 gck/gck.h                           |  6 ++----
 gck/tests/test-gck-crypto.c         |  2 +-
 gck/tests/test-gck-enumerator.c     |  2 +-
 gck/tests/test-gck-module.c         |  8 ++++----
 gck/tests/test-gck-modules.c        |  2 +-
 gck/tests/test-gck-object.c         |  2 +-
 gck/tests/test-gck-session.c        |  2 +-
 gck/tests/test-gck-slot.c           |  4 ++--
 gcr/gcr-library.c                   |  4 ++--
 gcr/tests/test-certificate-chain.c  |  2 +-
 gcr/tests/test-pkcs11-certificate.c |  2 +-
 gcr/tests/test-trust.c              |  2 +-
 15 files changed, 25 insertions(+), 31 deletions(-)

commit 6854ac2de334708e3c2f62e36c99ea6655507d6e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-02-21

    gck: Use p11-kit for module loading, messages, and uri parsing.

 docs/reference/gck/gck-sections.txt |  10 +-
 gck/Makefile.am                     |   3 +
 gck/gck-enumerator.c                |  12 +-
 gck/gck-misc.c                      | 212 ++++-------------
 gck/gck-module.c                    | 131 +++++------
 gck/gck-modules.c                   | 136 +++--------
 gck/gck-private.h                   |  21 +-
 gck/gck-slot.c                      | 147 ++++++++----
 gck/gck-uri.c                       | 456 ++++++++++--------------------------
 gck/gck.h                           |  52 ++--
 gck/gck.pc.in                       |   2 +-
 gck/tests/test-gck-crypto.c         |   2 +-
 gck/tests/test-gck-enumerator.c     |  64 ++---
 gck/tests/test-gck-module.c         |   6 +-
 gck/tests/test-gck-modules.c        |   2 +-
 gck/tests/test-gck-object.c         |   2 +-
 gck/tests/test-gck-session.c        |   2 +-
 gck/tests/test-gck-slot.c           |   2 +-
 gck/tests/test-gck-uri.c            | 320 ++++++++++++-------------
 gcr/Makefile.am                     |   6 +-
 gcr/gcr-collection-model.c          |   4 +-
 gcr/gcr-library.c                   |   6 +-
 gcr/gcr-library.h                   |   2 +-
 gcr/gcr.pc.in                       |   2 +-
 24 files changed, 636 insertions(+), 966 deletions(-)

commit adb706c84cc5bc75a97347942d2c250e527081c8
Merge: c035fc7 eb3eb51
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-06-07

    Merge branch 'gnome-3-0'

commit c035fc7f56f0190f942fb30a530763f220406abc
Merge: b31945a 1034f9a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-06-04

    Merge remote-tracking branch 'stefw/display-extensions'

commit b31945a1fb55c38ef660eb78b5c198fa0994b8a4
Merge: 7c8c92a eb3eb51
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-31

    Merge branch 'gnome-3-0'

commit eb3eb51c85a6ae016f646e097bede5d995572efb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-30

    gcr: Login properly when importing private keys.

 gcr/gcr-importer.c | 16 ++++++++++++++--
 gcr/gcr-parser.c   | 11 +++++++++++
 2 files changed, 25 insertions(+), 2 deletions(-)

commit edd1f8f86001f546b52f661a0413e25f46808344
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-30

    gcr: Fix warnings using the importer.

 gcr/gcr-importer.c | 2 +-
 gcr/gcr-parser.c   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 7c8c92a725803a78888ed4a7d83af57514f93244
Merge: 9d3ad04 96ef605
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-26

    Merge branch 'gnome-3-0'
    
    Conflicts:
    	NEWS
    	configure.ac
    	docs/reference/gcr/Makefile.am
    	docs/reference/gcr/gcr-visual-index.xml
    	docs/reference/gcr/gcr-widgets.c
    	docs/reference/gcr/images/key-widget.png
    	gcr/Makefile.am

commit 1034f9afc591674647755273c074ebe007c5ee86
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-06

    gcr: Parse and display certificate extensions.
    
     * Subject Alt Name
     * Basic Constraints
     * Extended Key Usage
     * Key Usage
     * Subject Key Identifier
    
    https://bugzilla.gnome.org/show_bug.cgi?id=646907

 egg/egg-oid.c                    |  31 ++---
 gcr/Makefile.am                  |   1 +
 gcr/gcr-certificate-extensions.c | 269 +++++++++++++++++++++++++++++++++++++++
 gcr/gcr-certificate-extensions.h |  88 +++++++++++++
 gcr/gcr-certificate-renderer.c   | 216 ++++++++++++++++++++++++++++---
 gcr/gcr-display-view.h           |   2 +
 6 files changed, 577 insertions(+), 30 deletions(-)

commit 9d3ad04deff9e25e49812857e4461ca7f263cf13
Merge: 2dcd037 6df0c53
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-24

    Merge branch 'key-fingerprints'
    
    Conflicts:
    	gcr/Makefile.am

commit 2dcd037ac4919cdcfa5ca0e76c69c0c0197cbe91
Merge: af983cb acc5e71
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-24

    Merge branch 'display-hex'

commit af983cb17b14c92ac4cf118d48402e58da904f3e
Merge: 198c099 0c5f590
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-24

    Merge branch 'split-selector'
    
    Conflicts:
    	gcr/Makefile.am
    	gcr/gcr-collection-model.c
    	gcr/gcr-tree-selector.c

commit 198c0993d8622634db5263803967602fdce6a034
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-17

    gcr: Fix ununitialized memory in GcrColumns.

 gcr/gcr-collection-model.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 96ef605a5173972e607baf3764184b68f386ae05
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-19

    Release version 3.0.2

 gcr/libgcr.symbols | 1 +
 1 file changed, 1 insertion(+)

commit ee6146d739573140e750e5c2dca8ce049db522c1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-19

    gcr: Export list of symbols when making distribution.

 gcr/Makefile.am    |  10 +++-
 gcr/libgcr.symbols | 138 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 146 insertions(+), 2 deletions(-)

commit b44538051517c407d7838794dadb37141fc6d4c5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-19

    Revert "Bump libtool version of gnome-keyring library for 3.0"
    
    This reverts commit aebb7bf381694c3b72e456c2c1d19c0853d18836.
    
     * We also add back the deprecated symbol, and just leave it
       hanging around.

 gcr/gcr-library.c | 9 +++++++++
 gcr/gcr-types.h   | 8 ++++++++
 2 files changed, 17 insertions(+)

commit 25d0a9e105846abfad2cad93eb3d61c4b10173d4
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-16

    gcr: Cleanup GcrRecord after review.
    
     * Use G_DEFINE_BOXED_TYPE
     * Fix some test corner cases.
     * Locale independent integer parsing.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=650255

 gcr/gcr-record.c        | 22 +++-------------------
 gcr/gcr-record.h        |  4 ++--
 gcr/tests/test-record.c |  4 ++++
 3 files changed, 9 insertions(+), 21 deletions(-)

commit f3de93ddedafeb5b955ab07caff0c7f5ae1fe01f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-13

    gcr: More record functionality.
    
     * Add boxed type for records
     * Allow parsing of space delimited records.
     * Lookup unsigned integers in records.
     * More tests for GcrRecord
    
    https://bugzilla.gnome.org/show_bug.cgi?id=650255

 docs/reference/gcr/gcr-sections.txt |   1 +
 gcr/gcr-record.c                    | 138 +++++++++++++++++++++++++++++++-----
 gcr/gcr-record.h                    |  15 ++++
 gcr/tests/test-record.c             | 122 ++++++++++++++++++++++++++++++-
 4 files changed, 257 insertions(+), 19 deletions(-)

commit 1f2d900fbb6ab30f4ff67d2bdafb18237ceb6c3d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-15

    gcr: Fix 'make dist' of doc directory.

 docs/reference/gcr/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 20d401eb61c25b950cf74676be93f666fda6e399
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-12

    gcr: Rename GcrColons to GcrRecord
    
     * These records can be used for other purposes as well. Can represent
       any data with uniform single character delimiters

 docs/reference/gcr/gcr-sections.txt |  16 ++--
 gcr/Makefile.am                     |   2 +-
 gcr/gcr-colons.c                    | 152 ------------------------------
 gcr/gcr-colons.h                    | 106 ---------------------
 gcr/gcr-gnupg-collection.c          |  80 ++++++++--------
 gcr/gcr-gnupg-key.c                 | 162 ++++++++++++++++----------------
 gcr/gcr-gnupg-key.h                 |  14 +--
 gcr/gcr-record.c                    | 162 ++++++++++++++++++++++++++++++++
 gcr/gcr-record.h                    | 109 ++++++++++++++++++++++
 gcr/tests/Makefile.am               |   2 +-
 gcr/tests/test-colons.c             | 180 ------------------------------------
 gcr/tests/test-gnupg-collection.c   |   8 +-
 gcr/tests/test-gnupg-key.c          |  94 +++++++++----------
 gcr/tests/test-record.c             | 180 ++++++++++++++++++++++++++++++++++++
 14 files changed, 641 insertions(+), 626 deletions(-)

commit 408e65d0ca76da88e3375c128975756061895cac
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-15

    gcr: Fix race condition in gnupg collection async tests.

 gcr/tests/test-gnupg-collection.c | 1 +
 1 file changed, 1 insertion(+)

commit b64e26b2c45698fff0bf0ffb3d600df6d64363f5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-15

    gcr: Stop tests when a failure occurs

 gcr/tests/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5afef86b4b11d253063bd2f2c32d90e1b2abd6fe
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-15

    gcr: Fix tests for GcrGnupgKey keyid and short-keyid properties

 gcr/tests/test-gnupg-key.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 1acceb1bde3a87cff89a1beceb434ae3f2b82caa
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-15

    gcr: Fix annotation of _gcr_gnupg_key_get_secret_dataset

 gcr/gcr-gnupg-key.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dbcbf9a091dddcadf28e1ba23576fee33311d47c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-15

    gcr: Fixes and debugging for GcrGnupgCollection.
    
     * Comments and review changes.
     * Add tests for collection loading and reloading.
     * Debug logging
     * Remove racy pid tracking. Will solve this in another branch.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=648019

 gcr/gcr-debug.c                           |   1 +
 gcr/gcr-debug.h                           |   1 +
 gcr/gcr-gnupg-collection.c                |  61 ++++++++------
 gcr/tests/Makefile.am                     |   1 +
 gcr/tests/files/gnupg-homedir/pubring.gpg | Bin 19689 -> 21969 bytes
 gcr/tests/files/gnupg-homedir/secring.gpg | Bin 0 -> 4398 bytes
 gcr/tests/files/gnupg-homedir/trustdb.gpg | Bin 1200 -> 1400 bytes
 gcr/tests/test-gnupg-collection.c         | 136 +++++++++++++++++++++++++++---
 testing/gnupg-example/random_seed         | Bin 600 -> 0 bytes
 9 files changed, 161 insertions(+), 39 deletions(-)

commit 6d2b3acf8fd8153a834b2ee479b9b12dc561bb89
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-15

    gcr: Make GcrGnupgKey::keyid full keyid and add short-keyid for display.
    
     * More documentation fixes and cleanup.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=648019

 gcr/gcr-gnupg-key.c        | 42 ++++++++++++++++++++++++++++++++++--------
 gcr/gcr-gnupg-key.h        |  2 ++
 gcr/tests/test-gnupg-key.c | 31 +++++++++++++++++++++++++++++++
 3 files changed, 67 insertions(+), 8 deletions(-)

commit 6223b6023e718f3bf8a5a4882039349a54941ea0
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-15

    gcr: Documentation and naming fixes.
    
     * Fixes after review.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=648019

 gcr/gcr-gnupg-collection.c | 45 ++++++++++++++++++++--------------
 gcr/gcr-gnupg-key.c        | 61 +++++++++++++++++++++++++++++++++-------------
 2 files changed, 71 insertions(+), 35 deletions(-)

commit ab51bef700f52f75656079e3f53a130729db7154
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-14

    gcr: Build GcrCertificateDetailsWidget and GcrCertificateBasicsWidget properly.
    
     * Forgot to inlcude these in the build.

 gcr/Makefile.am                      | 2 ++
 gcr/gcr-certificate-details-widget.h | 1 +
 2 files changed, 3 insertions(+)

commit 6df0c53e32acbc42f1658a28e65f62cd28aeeff4
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-09

    gcr: Fix creation of fingerprints, make tests pass.
    
     * Fix encoding of test files.
     * Always encode NULL in RSA keys as the parameter.

 egg/pk.asn                      |   2 ++
 gcr/gcr-fingerprint.c           |  15 +++++++++++++--
 gcr/tests/files/client.crt      | Bin 1054 -> 736 bytes
 gcr/tests/files/client.pem      |  18 ++++++++++++++++++
 gcr/tests/files/generic-dsa.crt | Bin 1298 -> 918 bytes
 gcr/tests/files/generic-dsa.pem |  22 ++++++++++++++++++++++
 gcr/tests/test-fingerprint.c    |   8 ++++----
 7 files changed, 59 insertions(+), 6 deletions(-)

commit 4c6ddeeb70eb1ac0ac0bab06a3cd57937c52e95e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-09

    egg: Add support for encoding NULL in ASN.1

 egg/egg-asn1x.c       | 13 +++++++++++++
 egg/egg-asn1x.h       |  2 ++
